<?php

defined('BASEPATH') OR exit('No direct script access allowed');



class Agent_list extends CI_Controller {



	 function __construct()

    {

        parent::__construct();

		$this->load->model('agent_model');

		$this->load->model('search_model');

		$this->load->model('dropdown_model');
		$this->load->model('permission_model');

    }

    public function index(){

		

		$search_name = '';

		$search_position = '';

		$search_gender = '';

		$search_group = '';    	

		$data_search =  array(

			'search_name' =>$search_name,

			'search_position' =>$search_position,

			'search_gender' =>$search_gender,

			'search_group' =>$search_group,

		);

		$search = $this->search_model->search($data_search);

		

		// $data['data'] = $this->agent_model->get($search);  
		$data['data']=$this->db->query("SELECT agnCode, pliID, pliDOB, pliPhone, agnImage,

									CONCAT(pliFristName,' ',pliLastName) AS userName,

									gender.pdwNameFull AS gender,agnReference,agnCommission,agnNote

									FROM nso007_user

									LEFT JOIN nso007_dropdown AS gender ON nso007_user.pliGender = gender.pdwCode AND gender.pdStatus = 1 WHERE nso007_user.pliStatus = 1 order by pliID ASC 

									")->result_array();

    	$this->load->view('agent_list/index', $data);

    }

	public function view(){	

		

		$search_name = (empty($_POST['pliID']))? '':' pliID = "'.$_POST['pliID'].'" ';

		$search_position = (empty($_POST['pptID']))? '':' pptID = "'.$_POST['pptID'].'" ';

		$search_gender = (empty($_POST['pclGender']))? '':' pliGroup = "'.$_POST['pclGender'].'" ';

		$search_group = (empty($_POST['pugID']))? '':' pugID = "'.$_POST['pugID'].'" ';

		

		$data_search = array(

			'search_name' =>$search_name,

			'search_position' =>$search_position,

			'search_gender' =>$search_gender,

			'search_group' =>$search_group,

		);

		$search = $this->search_model->search($data_search);

		

		$data["icon"] = 'fa fa-users';

		$data["title"] = 'User';

	

		$data['data'] = $this->user_model->get($search);  

		  

		$this->load->view('setting/user/index.php',$data);

	}

	public function addnew(){

        $this->load->view('agent_list/addnew.php');

	}

	public function insert(){

		// for image

		$path = 'upload/agent/';

		if(!is_dir($path))mkdir($path,0777,TRUE);

		

		$extension = pathinfo($_FILES['agnImage']['name'], PATHINFO_EXTENSION);

		$filename = basename($_FILES['agnImage']['name'], '.'.$extension);



		$filename = empty($_FILES['agnImage']['name']) ? "" : $filename.'-'.uniqid().'.'.$extension;

		move_uploaded_file($_FILES['agnImage']['tmp_name'], $path.$filename);

		$agency_id = $this->db->query("
			SELECT MAX(agnCode) AS agencyid FROM nso007_user LIMIT 1
		");
		$agency_id = $agency_id->row();
		$agecy_code = 0;
		$agecy_code += $agency_id->agencyid;
		$agecy_code++;

		if ($agecy_code <'10'){$agecy_code = "000$agecy_code";}
		elseif ($agecy_code <'100'){$agecy_code = "00$agecy_code";}
		elseif ($agecy_code <'1000'){$agecy_code = "0$agecy_code";}

		$data = array(
			'agnCode' => $agecy_code,

			'pliFristName' => $_POST['agnFirstname'],

			'pliLastName' => $_POST['agnLastname'],

			'agnNickname' => $_POST['agnNickname'],

			'pliGender' => $_POST['agnGender'],

			'pliPhone' => $_POST['agnPhone1'],

			'agnPhone2' => $_POST['agnPhone2'],

			'pliEmail' => $_POST['agnEmail'],

			'pliDOB' => date('Y-m-d',strtotime($_POST['agnDOB'])),

			'agnImage' => $filename,

			'agnNational' => $_POST['agnNational'],

			'agnIDcard' => $_POST['agnIDcard'],

			'agnIDcarddate' => date('Y-m-d',strtotime($_POST['agnIDcarddate'])),

			'agnIDcardvalid' => date('Y-m-d',strtotime($_POST['agnIDcardvalid'])),

			'agnIDcardby' => $_POST['agnIDcardby'],

			'agnAddress' => $_POST['agnAddress'],

			'agnReference' => $_POST['agnReference'],

			'agnCommission' => $_POST['agnCommission'],

			'agnNote' => $_POST['agnNote'],

			'agnEntryby' => $_POST['agnEntryby'],

			'pliStatus' => 1,

		);

		$this->db->insert('nso007_user', $data);

		redirect(site_url('agent_list/index'));

	}

    public function edit_agent($id){



        $data['agent'] = $this->agent_model->getAllAgent($id);



        $this->load->view('agent_list/edit_agent.php',$data);

    }

    public function insert_update($id){

        // for image

        $path = 'upload/agent/';

        if(!is_dir($path))mkdir($path,0777,TRUE);



        $extension = pathinfo($_FILES['agnImage']['name'], PATHINFO_EXTENSION);

        $filename = basename($_FILES['agnImage']['name'], '.'.$extension);

        $pclImage = $_POST["pclImage"];

        $filename = empty($_FILES['agnImage']['name']) ? "$pclImage" : $filename.'-'.uniqid().'.'.$extension;

        move_uploaded_file($_FILES['agnImage']['tmp_name'], $path.$filename);



        $data = array(

            'pliFristName' => $_POST['agnFirstname'],

            'pliLastName' => $_POST['agnLastname'],

            'agnNickname' => $_POST['agnNickname'],

            'pliGender' => $_POST['agnGender'],

            'pliPhone' => $_POST['agnPhone1'],

            'agnPhone2' => $_POST['agnPhone2'],

            'pliEmail' => $_POST['agnEmail'],

            'pliDOB' => date('Y-m-d',strtotime($_POST['agnDOB'])),

            'agnImage' => $filename,

            'agnNational' => $_POST['agnNational'],

            'agnIDcard' => $_POST['agnIDcard'],

            'agnIDcarddate' => date('Y-m-d',strtotime($_POST['agnIDcarddate'])),

            'agnIDcardvalid' => date('Y-m-d',strtotime($_POST['agnIDcardvalid'])),

            'agnIDcardby' => $_POST['agnIDcardby'],

            'agnAddress' => $_POST['agnAddress'],

			'agnReference' => $_POST['agnReference'],

			'agnCommission' => $_POST['agnCommission'],

			'agnNote' => $_POST['agnNote'],

            'agnEntryby' => $_POST['agnEntryby'],

            'pliStatus' => 1,

        );

        $this->db->where('pliID', $id);

        $this->db->update('nso007_user', $data);

        redirect(site_url('agent_list/index'));

    }



    public function show_agent_info($id){

		$get = $this->agent_model->getAgentID($id);



		$data['agnImage'] = $get->agnImage;

		$data['pliFristName'] = $get->pliFristName;

		$data['pliLastName'] = $get->pliLastName;

		$data['agnGender'] = $get->agnGender;

		$data['pliDOB'] = $get->pliDOB;

		$data['pliPhone'] = $get->pliPhone;

		$data['agnPhone2'] = $get->agnPhone2;

		$data['agnAddress'] = $this->zone->help('getaddress',$get->agnAddress);

		$data['pliEmail'] = $get->pliEmail;

		$data['agnNational'] = $get->agnNational;

		$data['agnReference'] = $get->agnReference;

		$data['agnCommission'] = $get->agnCommission;

		$data['agnNote'] = $get->agnNote;



		echo json_encode($data);

	}

}

	

	

