<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class PosReport extends CI_Controller {

	 function __construct()
    {
        parent::__construct();
		$this->load->library('form_validation');
		$this->load->model('posreport_model');
		$this->load->model('Dropdown_model');
		$this->load->model('Pagination_model');
		$this->load->model('search_model');
		$this->load->library('pagination');
		$this->load->model('address_model');
		$this->load->library('upload');
        $this->load->model('permission_model');
    }
	
	public function index(){		
		$data["datas"] = $this->posreport_model->getClient1($search);
		$data['clients'] = $this->posreport_model->client_list();
		$data['user'] = $this->Dropdown_model->drop_user();
		$data["icon"] = 'fa fa-user';
		$data["title"] = 'POS Client';
		$data['gender'] = $this->Dropdown_model->drop_Gender();
		
		$this->load->view('pos_report_view/index.php',$data); 
	}
	public function view($id){
		$data["icon"] = 'fa fa-user';
		$data["title"] = 'Client';
		$data['gender'] = $this->Dropdown_model->drop_Gender();
		$data['client'] = $this->client_model->get_client($id);  
		$this->load->view('client/view.php',$data); 
	}
	
	public function getAddress(){
		$id = $_POST['id'];
		$get = $this->address_model->get(4,$like=" AND zlc_code LIKE '$id%' ");
		
		$showTitle ='';
		foreach($get as $row){
			$selected = '';
			if(!empty($row['zlc_code']) && !empty($select) && $row['zlc_code'] == $select) $selected = 'selected';
			$showTitle .='<option value="'.$row['zlc_code'].'" '.$selected.'>'.$row['zlc_namekh'].'</option>';
		}
		echo $showTitle;
	}
	public function srok(){
		$id = $_POST['id'];
		$get = $this->address_model->get(6,$like=" AND zlc_code LIKE '$id%' ");
		
		$showTitle ='';
		foreach($get as $row){
			$selected = '';
			if(!empty($row['zlc_code']) && !empty($select) && $row['zlc_code'] == $select) $selected = 'selected';
			$showTitle .='<option value="'.$row['zlc_code'].'" '.$selected.'>'.$row['zlc_namekh'].'</option>';
		}
		echo $showTitle;
	}
	public function porm(){
		$id = $_POST['id'];
		$get = $this->address_model->get(8,$like=" AND zlc_code LIKE '$id%' ");
		
		$showTitle ='';
		foreach($get as $row){
			$selected = '';
			if(!empty($row['zlc_code']) && !empty($select) && $row['zlc_code'] == $select) $selected = 'selected';
			$showTitle .='<option value="'.$row['zlc_code'].'" '.$selected.'>'.$row['zlc_namekh'].'</option>';
		}
		echo $showTitle;
	}
	public function fullAddress(){
		$id = $_POST['id'];
		$get = $this->address_model->fullAddress($id);
	
		echo $get->zlc_path_kh;
	}
	public function update($id){
		$path = 'upload/client/';
		if(!is_dir($path))mkdir($path,0777,TRUE);
		
		$extension = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);
		$filename = basename($_FILES['image']['name'], '.'.$extension);
		$pclImage = $_POST["pclImage"];
		$filename = empty($_FILES['image']['name']) ? "$pclImage" : $filename.'-'.uniqid().'.'.$extension;
		move_uploaded_file($_FILES['image']['tmp_name'], $path.$filename);
		
		
		$data = array(
			'pclName' => $_POST['pclName'],
			'pclNickName' => $_POST['pclNickName'],
			'pclGender' => $_POST['pclGender'],
			'pclDOB' => date('Y-m-d',strtotime($_POST['pclDOB'])),
			'pclJob' => $_POST['pclJob'],
			'pclWorkPlace' => $_POST['pclWorkPlace'],
			'pclNational' => $_POST['pclNational'],
			'pclPhone1' => $_POST['pclPhone1'],
			'pclPhone2' => $_POST['pclPhone2'],
			'pclDocumentLocation' => $_POST['pclDocumentLocation'],
			'pcllDCard' => $_POST['pcllDCard'],
			'pcllDCardDate' => date('Y-m-d',strtotime($_POST['pcllDCardDate'])),
			'pcllDCardValid' => date('Y-m-d',strtotime($_POST['pcllDCardValid'])),
			'pcIlDCardBy' => $_POST['pcIlDCardBy'],
			'pclUser' => $_POST['pclUser'],
			'pclAddress' => $_POST['address'],
			'pclImage' =>$filename,
		);
		
		$this->db->where('pclID',$id);  
		$this->db->update('nso007_client',$data);
		redirect(site_url('client/index'));
	}
	
}
	
	
