<?php

defined('BASEPATH') OR exit('No direct script access allowed');



class Commision extends CI_Controller{

	function __construct() {

		parent::__construct();

		$this->load->model('loan_model');

		$this->load->model('sale_model');

		$this->load->model('description_model');

		$this->load->model('commision_model');

		$this->load->model('search_model');

        $this->load->library('numbertowordconvertsconver');
		$this->load->library('numbertowordconvertsconvers1');
        $this->load->library('numbertowordconvertsconvers');
        $this->load->model('permission_model');
	}

	public function index($msg=''){

		$msg = $msg;

		$search_date = (empty($_POST['searchSartDate']))? "":" pcsDoDate BETWEEN '".date('Y-m-d',strtotime($_POST['searchSartDate']))."' AND '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";

		$form_to_percentage = (empty($_POST['percentage_from']))? "":" pcspercentagePay BETWEEN '".$_POST['percentage_from']."' AND '".$_POST['percentage_to']."' ";

		$search_client = (empty($_POST['pclName']))? '':' pcsClientID = "'.$_POST['pclName'].'" ';

		$search_project = (empty($_POST['searchProject']))? '':' ppjID = "'.$_POST['searchProject'].'" ';

		$search_category = (empty($_POST['searchCategory']))? '':' pctID = "'.$_POST['searchCategory'].'" ';

		$search_agent = (empty($_POST['searchAgent']))? '':' pcsAgent = "'.$_POST['searchAgent'].'" ';
		$search_item = (empty($_POST['searchItemCode']))? '':' piID = "'.$_POST['searchItemCode'].'" ';

		$data_search = array(

			'search_date' =>$search_date,

			'form_to_percentage' =>$form_to_percentage,

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

			 'search_item' =>$search_item,

		);

		$search = $this->search_model->search($data_search);

		

		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commision';

		$data ['no'] = 1;

		$data['msg'] = $msg;

		$data['data'] = $this->commision_model->get($search);

		$this->load->view('commision/index.php',$data);

	}

	public function view_cancel($msg=''){

		$msg = $msg;

		$search_date = (empty($_POST['searchSartDate']))? "":" pcsDoDate BETWEEN '".date('Y-m-d',strtotime($_POST['searchSartDate']))."' AND '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";

		$form_to_percentage = (empty($_POST['percentage_from']))? "":" pcspercentagePay BETWEEN '".$_POST['percentage_from']."' AND '".$_POST['percentage_to']."' ";

		$search_client = (empty($_POST['pclName']))? '':' pcsClientID = "'.$_POST['pclName'].'" ';

		$search_project = (empty($_POST['searchProject']))? '':' ppjID = "'.$_POST['searchProject'].'" ';

		$search_category = (empty($_POST['searchCategory']))? '':' pctID = "'.$_POST['searchCategory'].'" ';

		$search_agent = (empty($_POST['searchAgent']))? '':' pcsAgent = "'.$_POST['searchAgent'].'" ';
		$search_item = (empty($_POST['searchItemCode']))? '':' piID = "'.$_POST['searchItemCode'].'" ';

		$data_search = array(

			'search_date' =>$search_date,

			'form_to_percentage' =>$form_to_percentage,

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

			'search_item' =>$search_item,

		);

		$search = $this->search_model->search($data_search);



		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commision';

		$data ['no'] = 1;

		$data['msg'] = $msg;

		$data['data'] = $this->commision_model->get_cancel($search);

		$this->load->view('commision/index_cancel.php',$data);

	}

    public function view_cancellation($msg=''){

        $msg = $msg;

        $search_date = (empty($_POST['searchSartDate']))? "":" pcaDoDate BETWEEN '".date('Y-m-d',strtotime($_POST['searchSartDate']))."' AND '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";

        $form_to_percentage = (empty($_POST['percentage_from']))? "":" pcapercentagePay BETWEEN '".$_POST['percentage_from']."' AND '".$_POST['percentage_to']."' ";

        $search_client = (empty($_POST['pclName']))? '':' pcaClientID = "'.$_POST['pclName'].'" ';

        $search_project = (empty($_POST['searchProject']))? '':' ppjID = "'.$_POST['searchProject'].'" ';

        $search_category = (empty($_POST['searchCategory']))? '':' pctID = "'.$_POST['searchCategory'].'" ';

        $search_agent = (empty($_POST['searchAgent']))? '':' pcaAgent = "'.$_POST['searchAgent'].'" ';

        // $search_phone = (empty($_POST['pclPhone1']))? '':' pclPhone1 = "'.$_POST['pclPhone1'].'" ';
        $search_item = (empty($_POST['searchItemCode']))? '': ' piID = "'.$_POST['searchItemCode'].'"';



        $data_search = array(

            'search_date' =>$search_date,

            'form_to_percentage' =>$form_to_percentage,

            'search_client' =>$search_client,

            'search_project' =>$search_project,

            'search_category' =>$search_category,

            'search_agent' => $search_agent,

            // 'search_phone' =>$search_phone,
            'search_item' => $search_item,
        );

        $search = $this->search_model->search($data_search);



        $data["icon"] = 'fa fa-file-text-o';

        $data["title"] = 'Cancellation';

        $data ['no'] = 1;

        $data['msg'] = $msg;

        $data['data'] = $this->commision_model->get_cancellation($search);

        $this->load->view('commision/cancellation.php',$data);

    }


    public function view_commission_history($msg=''){

        $msg = $msg;

        $search_date = (empty($_POST['searchSartDate']))? "":" chDate BETWEEN '".date('Y-m-d',strtotime($_POST['searchSartDate']))."' AND '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";

        $search_agent = (empty($_POST['searchAgent']))? '':' chAgentID = "'.$_POST['searchAgent'].'" ';
        $search_project = (empty($_POST['searchProject']))? '': ' ppjID ="'.$_POST['searchProject'].'"';
        $search_item = (empty($_POST['searchItemCode']))? '': ' chItemCode in ("'.$_POST['searchItemCode'].'")';



        $data_search = array(

            'search_date' =>$search_date,
            'search_agent' => $search_agent,
            'search_item' => $search_item,
            'search_project' => $search_project,
        );

        $search = $this->search_model->search($data_search);



        $data["icon"] = 'fa fa-file-text-o';

        $data["title"] = 'Commission History';

        $data ['no'] = 1;

        $data['msg'] = $msg;

        $data['data'] = $this->commision_model->get_CommHistory($search);

        $this->load->view('commision/commission_history.php',$data);

    }



	public function half_withdraw(){

		$search_client = '';

		$search_project = '';

		$search_category = '';

		$search_agent = '';

		

		$data_search = array(

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

		);

		$search = $this->search_model->search($data_search);

		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commision';

		$data ['no'] = 1;

		$data['data'] = $this->commision_model->get_half($search);

		$this->load->view('commision/half.php',$data);

	}



	public function full_withdraw(){

		$search_client = '';

		$search_project = '';

		$search_category = '';

		$search_agent = '';

		

		$data_search = array(

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

		);

		$search = $this->search_model->search($data_search);

		

		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commision';

		$data ['no'] = 1;

		$data['data'] = $this->commision_model->get_full($search);

		$this->load->view('commision/full.php',$data);

	}



	public function addnew(){

		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commsion';

		$data["id"] = $_POST['loanID'];

		$this->load->view('commision/addnew.php',$data);

	}

	public function save(){
		$id = $_POST['loanID'];
		$client_id = $_POST['client_id'];
		$sale_id = $_POST['sale_id'];
		$staff = $_POST['agentID'];
		$by = $_POST['by'];
		$do_date = date('Y-m-d',strtotime($_POST['do_date']));
		$commis_amount = $_POST['pay_commission'];
		$loanAmount = $_POST['loanAmount'];
		$loanAmountOS = $_POST['loanAmountOS'];
		$loanDiscount = $_POST['loanDiscount'];
		$ploAgDiscount = $_POST['ploAgDiscount'];
		$loanPercentPaid = $_POST['loanPercentPaid'];
        //$commiss_type = $_POST['commiss_type'];

        $a_comm=$loanAmount - $loanAmountOS-$loanDiscount-$ploAgDiscount;
        $percent=($a_comm*100)/($loanAmount - $loanDiscount - $ploAgDiscount);

		$commis_percent = ($commis_amount * 100 / $loanAmount);
		if ($percent >= 50){
			$add_compay=$commis_amount;
		}else{

			$com_pay=($a_comm*40)/100;

			if($com_pay > $commis_amount){
				$add_compay=$commis_amount;
			}else{
				$add_compay=$com_pay;
			}
		}



		$this->commission_added($id);

		$data = array(
			'pcsAgent' => $staff,
			'pcsBy' => $by,
			'pcsClientID' => $client_id,
			'pcsSaleID' => $sale_id,
			'pcsLoanID' => $id,
			'pcsCommisionPrecentage' => $commis_percent,
			'pcsCommisionAmount' => $commis_amount,
			'pcsConditionPrecentage' => 50,
			'pcsConditionAmount' => ($loanAmount / 2),
			'pcsSaleAmount' => $loanAmount,
			'pcsPaidAmount' => ($loanAmount - $loanAmountOS),
			'pcsCommisionWithdraw' => 0,
			'pcsCommisionWithdraw1' => 0,
			'pcsCommisionWithdraw2' => 0,
			'pcsCommisionWithdraw3' => 0,
			'pcspercentagePay' => $loanPercentPaid,
			'pcsCommission' => $add_compay,
			'pcsDoDate' => $do_date,

		);

		$this->db->insert('nso007_commission',$data);
		redirect(site_url('commision/commision'));
	}

    public function edit_commission(){
        $id = $_POST['eloanID'];
        $pcsID = $_POST['pcsID'];

        $client_id = $_POST['eclient_id'];
        $sale_id = $_POST['esale_id'];
        $staff = $_POST['eagentID'];
        $by = $_POST['by'];
        $do_date = date('Y-m-d',strtotime($_POST['do_date']));
        $commis_amount = $_POST['pay_commission'];
        $loanAmount = $_POST['eloanAmount'];
        $loanAmountOS = $_POST['eloanAmountOS'];
        $loanDiscount = $_POST['eloanDiscount'];
        $loanPercentPaid = $_POST['eloanPercentPaid'];
        //$commiss_type = $_POST['commiss_type'];

        $a_comm=$loanAmount - $loanAmountOS-$loanDiscount;

        $commis_percent = ($commis_amount * 100 / $loanAmount);

        $com_pay=($a_comm*40)/100;

        if($com_pay > $commis_amount){
            $add_compay=$commis_amount;
        }else{
            $add_compay=$com_pay;
        }
        $data = array(
            'pcsAgent' => $staff,
            'pcsBy' => $by,
            'pcsClientID' => $client_id,
            'pcsSaleID' => $sale_id,
            'pcsLoanID' => $id,
            'pcsCommisionPrecentage' => $commis_percent,
            'pcsCommisionAmount' => $commis_amount,
            'pcsConditionPrecentage' => 50,
            'pcsConditionAmount' => ($loanAmount / 2),
            'pcsSaleAmount' => $loanAmount,
            'pcsPaidAmount' => ($loanAmount - $loanAmountOS),
            'pcsCommisionWithdraw1' => 0,
            'pcsCommisionWithdraw2' => 0,
            'pcsCommisionWithdraw3' => 0,
            'pcspercentagePay' => $loanPercentPaid,
            'pcsDoDate' => $do_date,

        );
        $this->db->where('pcsID', $pcsID);
        $this->db->update('nso007_commission',$data);
        redirect(site_url('commision/commision'));
    }

	public function commission_added($id){
		$data = array(
			'ploCommission' => '1',
		);
		$this->db->where('ploID',$id);  
		return $this->db->update('nso007_loan',$data);
	}

	public function get_pay(){

		$com = $this->commision_model->getID($_POST['id']);

		$data['sale_id'] = $com->psdSaleID;
		$data['piItemCode'] = $com->piID;
		$data['piItemName'] = $com->items;

		$data['client_name'] = $com->pclName;

		$data['agent_name'] = $com->agentName;
		$data['agent_id'] = $com->pliID;

		$data['amount'] = $com->pcsConditionAmount;

		$data['CommisionPrecentage'] = $com->pcsCommisionPrecentage;

		$data['ConditionPrecentage'] = $com->pcsConditionPrecentage;

		$data['CommisionAmount'] = $com->pcsCommisionAmount;
		$data['pcsCommission'] = $com->pcsCommission;

		$data['CommisionWithdraw'] = $com->pcsCommisionWithdraw;

		$data['balance'] = $com->pcsCommisionAmount - $com->pcsCommisionWithdraw;
		$data['pcsEarningPay'] = $com->pcsWithdrawEarning;

		$data['piPrice'] = $com->piPrice;

		

		echo json_encode($data);

	}
    public function get_view($id)

    {
        $data['data'] =$this->commision_model->getComHistory($id);
        $this->load->view('commision/view_history.php', $data);

    }
    public function get_view_cancel($id)

    {
        $data['data'] =$this->commision_model->getComHistory($id);
        $this->load->view('commision/view_history_cancel.php', $data);

    }
    public function get_pay_cancel(){

        $com = $this->commision_model->getIDCan($_POST['id']);

        $data['sale_id'] = $com->psdSaleID;

        $data['client_name'] = $com->pclName;

        $data['agent_name'] = $com->agentName;

        $data['amount'] = $com->pcaConditionAmount;

        $data['CommisionPrecentage'] = $com->pcaCommisionPrecentage;

        $data['ConditionPrecentage'] = $com->pcaConditionPrecentage;

        $data['CommisionAmount'] = $com->pcaCommisionAmount;

        $data['CommisionWithdraw'] = $com->pcaCommisionWithdraw;
        $data['pcaCommission'] = $com->pcaCommission;

        $data['balance'] = $com->pcaCommisionAmount - $com->pcaCommisionWithdraw;

        $data['piItemCode'] = $com->piItemCode;
        $data['pcsEarningPay'] = $com->pcaWithdrawEarning;

        $data['piPrice'] = $com->piPrice;



        echo json_encode($data);

    }

	public function save_pay(){

		$id = $_POST['id'];

		$des_id = $id;

		$amount = $_POST['widraw'];
		$piItemCode = $_POST['piItemCode'];
		$piItemnane = $_POST['piItemName'];
		$agent_name = $_POST['agent_name'];
		$agent_id = $_POST['agent_id'];
        $date = date('Y-m-d');

		$pcsAmount = $_POST['pcsAmount'];
		$reference = $_POST['reference'];
		$pay_to = $_POST['pay_to'];
		$balance = $_POST['balance'];
        $commission=$balance-$amount;
		$note = $_POST['note'];

		$sale_id = $_POST['sale_id'];

		if ($amount === "0") {

			redirect(site_url('/commision/commision'));

		} else {

            $data2 = array(
                'chCommissionID'=>$id,
                'chDate'=>$date,
                'chAgentName'=>$agent_name,
                'chCommission'=>$amount,
                'chItemName'=>$piItemnane,
                'chItemCode'=>$piItemCode,
                'chAgentID'=>$agent_id,
                'chNoted'=>$note,
            );
            $this->db->insert('nso007_commission_history', $data2);

			$this->db->query("

				UPDATE nso007_commission
 
				SET pcsCommisionWithdraw = pcsCommisionWithdraw + $amount , pcsCommission = $commission

				WHERE pcsID = $id

			");



			$comm_des = $this->description_model->get_des($sale_id);						

			$des = $comm_des->ppjName.', '.$comm_des->pctName.', '.$comm_des->items.' (Commission)';

			$data = array(

				'pjnPID'=>0,

				'pjnAccCode'=>50005,

				'pjnType'=>5,

				'pjnDr'=>$amount,

				'pjnDateTransaction'=>date('Y-m-d H:i:s'),

				'pjnDatePay'=>date('Y-m-d'),

				'pjnInvoice'=>$reference,
				'pay_to'=>$pay_to,
				'pjnDes'=>$des,

				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

				'pjnCurrency'=>1,

				'pjnRefID'=>$id,

			);

			

			$this->db->insert('nso007_jounal', $data);

			$insert_id = $this->db->insert_id();

			

			$data1 =array(

				'pjnPID'=>$insert_id,

				'pjnAccCode'=>10000,

				'pjnType'=>5,

				'pjnCr'=>$amount,

				'pjnDateTransaction'=>date('Y-m-d H:i:s'),

				'pjnDatePay'=>date('Y-m-d'),

				'pjnInvoice'=>$reference,
				'pay_to'=>$pay_to,
				'pjnDes'=>$des,

				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

				'pjnCurrency'=>1,

				'pjnRefID'=>$id,

			);

			$this->db->insert('nso007_jounal', $data1);



			$commission_withdraw = $this->commision_model->get_commission_withdraw($id);

			$commission_amount = $commission_withdraw->pcsCommisionAmount;
			$pcsCommission = $commission_withdraw->pcsCommission;

			$commission_withdrawal = $commission_withdraw->pcsCommisionWithdraw;

			$haft_withdraw = $pcsCommission-$amount;



			if ($pcsCommission > 0) {

				$this->db->query("UPDATE nso007_commission SET pcsStatus = 1 WHERE pcsID = $id");

			} elseif ($commission_withdrawal == $commission_amount) {

                $this->db->query("UPDATE nso007_commission SET pcsStatus = 0 WHERE pcsID = $id");

			} else{

                $this->db->query("UPDATE nso007_commission SET pcsStatus = null WHERE pcsID = $id");

            }

			redirect(site_url('commision/commision'));

		}

	}

	public function save_pay_cancel(){

		$id = $_POST['id'];

		$des_id = $id;

		$amount = $_POST['widraw'];
		$piItemCode = $_POST['piItemCode'];
		$piItemnane = $_POST['piItemName'];
		$agent_name = $_POST['agent_name'];
		$agent_id = $_POST['agent_id'];
        $date = date('Y-m-d');

		$pcsAmount = $_POST['pcsAmount'];
		$reference = $_POST['reference'];
		$pay_to = $_POST['pay_to'];
		$balance = $_POST['balance'];
        $commission=$balance-$amount;
		$note = $_POST['note'];

		$sale_id = $_POST['sale_id'];

		if ($amount === "0") {

			redirect(site_url('/commision/commision'));

		} else {

            $data2 = array(
                'chCommissionID'=>$id,
                'chDate'=>$date,
                'chAgentName'=>$agent_name,
                'chCommission'=>$amount,
                'chItemName'=>$piItemnane,
                'chItemCode'=>$piItemCode,
                'chAgentID'=>$agent_id,
                'chNoted'=>$note,
            );
            $this->db->insert('nso007_commission_history', $data2);

			$this->db->query("

				UPDATE nso007_commission
 
				SET pcsCommisionWithdraw = pcsCommisionWithdraw + $amount , pcsCommission = $commission

				WHERE pcsID = $id

			");



			$comm_des = $this->description_model->get_des($sale_id);

			$des = $comm_des->ppjName.', '.$comm_des->pctName.', '.$comm_des->items.' (Commission)';

			$data = array(

				'pjnPID'=>0,

				'pjnAccCode'=>50005,

				'pjnType'=>5,

				'pjnDr'=>$amount,

				'pjnDateTransaction'=>date('Y-m-d H:i:s'),

				'pjnDatePay'=>date('Y-m-d'),

				'pjnInvoice'=>$reference,
				'pay_to'=>$pay_to,
				'pjnDes'=>$des,

				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

				'pjnCurrency'=>1,

				'pjnRefID'=>$id,

			);



			$this->db->insert('nso007_jounal', $data);

			$insert_id = $this->db->insert_id();



			$data1 =array(

				'pjnPID'=>$insert_id,

				'pjnAccCode'=>10000,

				'pjnType'=>5,

				'pjnCr'=>$amount,

				'pjnDateTransaction'=>date('Y-m-d H:i:s'),

				'pjnDatePay'=>date('Y-m-d'),

				'pjnInvoice'=>$reference,
				'pay_to'=>$pay_to,
				'pjnDes'=>$des,

				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

				'pjnCurrency'=>1,

				'pjnRefID'=>$id,

			);

			$this->db->insert('nso007_jounal', $data1);



			$commission_withdraw = $this->commision_model->get_commission_withdraw($id);

			$commission_amount = $commission_withdraw->pcsCommisionAmount;
			$pcsCommission = $commission_withdraw->pcsCommission;

			$commission_withdrawal = $commission_withdraw->pcsCommisionWithdraw;

			$haft_withdraw = $pcsCommission-$amount;



			if ($pcsCommission > 0) {

				$this->db->query("UPDATE nso007_commission SET pcsStatus = 1 WHERE pcsID = $id");

			} elseif ($commission_withdrawal == $commission_amount) {

                $this->db->query("UPDATE nso007_commission SET pcsStatus = 0 WHERE pcsID = $id");

			} else{

                $this->db->query("UPDATE nso007_commission SET pcsStatus = null WHERE pcsID = $id");

            }

			redirect(site_url('commision/commision/view_cancel'));

		}

	}

    public function save_pay1(){

        $id = $_POST['id'];

        $des_id = $id;

        $amount = $_POST['widraw'];

        $pcsAmount = $_POST['pcsAmount'];

        $note = $_POST['note'];

        $sale_id = $_POST['sale_id'];

        if ($amount === "0") {

            redirect(site_url('/commision/commision'));

        } else {

            $this->db->query("

				UPDATE nso007_commission

				SET pcsPay1=1, pcsCommisionWithdraw = pcsCommisionWithdraw + $amount, pcsCommisionWithdraw1 = $amount

				WHERE pcsID = $id

			");



            $comm_des = $this->description_model->get_des($sale_id);

            $des = $comm_des->ppjName.', '.$comm_des->pctName.', '.$comm_des->items.' (Commission)';

            $data = array(

                'pjnPID'=>0,

                'pjnAccCode'=>50005,

                'pjnType'=>5,

                'pjnDr'=>$amount,

                'pjnDateTransaction'=>date('Y-m-d H:i:s'),

                'pjnDatePay'=>date('Y-m-d'),

                'pjnDes'=>$des,

                'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

                'pjnCurrency'=>1,

                'pjnRefID'=>$id,

            );



            $this->db->insert('nso007_jounal', $data);

            $insert_id = $this->db->insert_id();



            $data1 =array(

                'pjnPID'=>$insert_id,

                'pjnAccCode'=>10000,

                'pjnType'=>5,

                'pjnCr'=>$amount,

                'pjnDateTransaction'=>date('Y-m-d H:i:s'),

                'pjnDatePay'=>date('Y-m-d'),

                'pjnDes'=>$des,

                'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

                'pjnCurrency'=>1,

                'pjnRefID'=>$id,

            );

            $this->db->insert('nso007_jounal', $data1);

//
//
//            $commission_withdraw = $this->commision_model->get_commission_withdraw($id);
//
//            $commission_amount = $commission_withdraw->pcsCommisionAmount;
//
//            $commission_withdrawal = $commission_withdraw->pcsCommisionWithdraw;
//
//            $haft_withdraw = $commission_amount / 2;
//
//
//
//            if ($commission_withdrawal < $haft_withdraw) {
//
//                $this->db->query("UPDATE nso007_commission SET pcsStatus = 1 WHERE pcsID = $id");
//
//            } elseif ($commission_withdrawal == $haft_withdraw) {
//
//                $this->db->query("UPDATE nso007_commission SET pcsStatus = null WHERE pcsID = $id");
//
//            } elseif ($commission_withdrawal > $haft_withdraw && $commission_withdrawal < $commission_amount) {
//
//                $this->db->query("UPDATE nso007_commission SET pcsStatus = 2 WHERE pcsID = $id");
//
//            } elseif ($commission_withdrawal == $commission_amount) {
//
//                $this->db->query("UPDATE nso007_commission SET pcsStatus = 0 WHERE pcsID = $id");
//
//            }

            redirect(site_url('commision/commision'));

        }

    }

    public function save_pay_can(){

        $id = $_POST['id'];

        $des_id = $id;

        $amount = $_POST['widraw'];
        $balance = $_POST['balance'];
        $commission = $balance-$amount;
        if($amount==$balance){
            $pcaStatus=0;
        }else{
            $pcaStatus=1;
        }

        $pcsAmount = $_POST['pcsAmount'];

        $note = $_POST['note'];

        $sale_id = $_POST['sale_id'];

        if ($amount === "0") {

            redirect(site_url('/commision/commision/view_cancellation'));

        } else {

            $this->db->query("

				UPDATE nso007_cancellation

				SET pcaStatus = $pcaStatus , pcaCommisionWithdraw = pcaCommisionWithdraw + $amount , pcaCommission = $commission 

				WHERE pcaID = $id

			");



            $comm_des = $this->description_model->get_des($sale_id);

            $des = $comm_des->ppjName.', '.$comm_des->pctName.', '.$comm_des->items.' (Cancellation)';

            $data = array(

                'pjnPID'=>0,

                'pjnAccCode'=>50005,

                'pjnType'=>5,

                'pjnDr'=>$amount,

                'pjnDateTransaction'=>date('Y-m-d H:i:s'),

                'pjnDatePay'=>date('Y-m-d'),

                'pjnDes'=>$des,

                'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

                'pjnCurrency'=>1,

                'pjnRefID'=>$id,

            );



            $this->db->insert('nso007_jounal', $data);

            $insert_id = $this->db->insert_id();



            $data1 =array(

                'pjnPID'=>$insert_id,

                'pjnAccCode'=>10000,

                'pjnType'=>5,

                'pjnCr'=>$amount,

                'pjnDateTransaction'=>date('Y-m-d H:i:s'),

                'pjnDatePay'=>date('Y-m-d'),

                'pjnDes'=>$des,

                'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

                'pjnCurrency'=>1,

                'pjnRefID'=>$id,

            );

            $this->db->insert('nso007_jounal', $data1);

            redirect(site_url('commision/commision/view_cancellation'));

        }

    }

    public function save_pay2(){

        $id = $_POST['id'];

        $des_id = $id;

        $amount = $_POST['widraw'];

        $pcsAmount = $_POST['pcsAmount'];

        $note = $_POST['note'];

        $sale_id = $_POST['sale_id'];

        if ($amount === "0") {

            redirect(site_url('/commision/commision'));

        } else {

            $this->db->query("

				UPDATE nso007_commission

				SET pcsPay2=1, pcsCommisionWithdraw = pcsCommisionWithdraw + $amount, pcsCommisionWithdraw2 = $amount

				WHERE pcsID = $id

			");



            $comm_des = $this->description_model->get_des($sale_id);

            $des = $comm_des->ppjName.', '.$comm_des->pctName.', '.$comm_des->items.' (Commission)';

            $data = array(

                'pjnPID'=>0,

                'pjnAccCode'=>50005,

                'pjnType'=>5,

                'pjnDr'=>$amount,

                'pjnDateTransaction'=>date('Y-m-d H:i:s'),

                'pjnDatePay'=>date('Y-m-d'),

                'pjnDes'=>$des,

                'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

                'pjnCurrency'=>1,

                'pjnRefID'=>$id,

            );



            $this->db->insert('nso007_jounal', $data);

            $insert_id = $this->db->insert_id();



            $data1 =array(

                'pjnPID'=>$insert_id,

                'pjnAccCode'=>10000,

                'pjnType'=>5,

                'pjnCr'=>$amount,

                'pjnDateTransaction'=>date('Y-m-d H:i:s'),

                'pjnDatePay'=>date('Y-m-d'),

                'pjnDes'=>$des,

                'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

                'pjnCurrency'=>1,

                'pjnRefID'=>$id,

            );

            $this->db->insert('nso007_jounal', $data1);


            redirect(site_url('commision/commision'));

        }

    }



    public function save_pay3(){

        $id = $_POST['id'];

        $des_id = $id;

        $amount = $_POST['widraw'];
        $balance = $_POST['balance'];
        $a_widraw=$balance-$amount;
        $pcsAmount = $_POST['pcsAmount'];

        $note = $_POST['note'];

        $sale_id = $_POST['sale_id'];

        if ($amount === "0") {

            redirect(site_url('/commision/commision'));

        } else {

            $this->db->query("

				UPDATE nso007_commission

				SET pcsPay3=1, pcsCommisionWithdraw = pcsCommisionWithdraw + $amount, pcsCommisionWithdraw3 = pcsCommisionWithdraw3+$amount, pcsWithdrawEarning = $a_widraw

				WHERE pcsID = $id

			");



            $comm_des = $this->description_model->get_des($sale_id);

            $des = $comm_des->ppjName.', '.$comm_des->pctName.', '.$comm_des->items.' (Commission)';

            $data = array(

                'pjnPID'=>0,

                'pjnAccCode'=>50005,

                'pjnType'=>5,

                'pjnDr'=>$amount,

                'pjnDateTransaction'=>date('Y-m-d H:i:s'),

                'pjnDatePay'=>date('Y-m-d'),

                'pjnDes'=>$des,

                'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

                'pjnCurrency'=>1,

                'pjnRefID'=>$id,

            );



            $this->db->insert('nso007_jounal', $data);

            $insert_id = $this->db->insert_id();



            $data1 =array(

                'pjnPID'=>$insert_id,

                'pjnAccCode'=>10000,

                'pjnType'=>5,

                'pjnCr'=>$amount,

                'pjnDateTransaction'=>date('Y-m-d H:i:s'),

                'pjnDatePay'=>date('Y-m-d'),

                'pjnDes'=>$des,

                'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

                'pjnCurrency'=>1,

                'pjnRefID'=>$id,

            );

            $this->db->insert('nso007_jounal', $data1);


            redirect(site_url('commision/commision'));

        }

    }


	public function save_item(){

		$data = array(

			'cs_id' => $_POST['commision_id'],

			'cs_item_des' => $_POST['pay_for'],

			'cs_item_amount' =>$_POST['pay_amount'],

			'cs_item_date' =>$_POST['pay_date'],

		);

					

		$this->commision_model->set_commission_item($data);

		redirect(site_url('commision/commision'));

	}

	public function get_item(){

		$id = $_POST['id'];

		$item = $this->commision_model->getItem($id);

		echo json_encode($item);

	}

	public function show_item($id){

        $data['dataheat']=$this->commision_model->getItems($id);

        $this->load->view('commision/commision_detail.php',$data);
	}

	public function show_item_by($id){

        $data['dataheat']=$this->commision_model->getItemsBy($id);

        $this->load->view('commision/commision_detail.php',$data);
	}
	public function show_item_cancellation($id){

        $data['dataheat']=$this->commision_model->getItemsCan($id);

        $this->load->view('commision/commision_cancel.php',$data);
	}
	public function show_item1($id){

        $data['dataheat']=$this->commision_model->getItems1($id);

        $this->load->view('commision/commision_detail1.php',$data);
	}
	public function show_item2($id){

        $data['dataheat']=$this->commision_model->getItems2($id);

        $this->load->view('commision/commision_detail2.php',$data);
	}

	public function report(){

		$search_date = (empty($_POST['searchSartDate']))? "":" pcsDoDate BETWEEN '".date('Y-m-d',strtotime($_POST['searchSartDate']))."' AND '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";

		$form_to_percentage = (empty($_POST['percentage_from']))? "":" pcspercentagePay BETWEEN '".$_POST['percentage_from']."' AND '".$_POST['percentage_to']."' ";

		$search_client = (empty($_POST['pclName']))? '':' pcsClientID = "'.$_POST['pclName'].'" ';

		$search_project = (empty($_POST['searchProject']))? '':' ppjID = "'.$_POST['searchProject'].'" ';

		$search_category = (empty($_POST['searchCategory']))? '':' pctID = "'.$_POST['searchCategory'].'" ';

		$search_agent = (empty($_POST['searchAgent']))? '':' pcsAgent = "'.$_POST['searchAgent'].'" ';

		// $search_phone = (empty($_POST['pclPhone1']))? '':' pclPhone1 = "'.$_POST['pclPhone1'].'" ';

		

		$data_search = array(

			'search_date' =>$search_date,

			'form_to_percentage' =>$form_to_percentage,

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

			// 'search_phone' =>$search_phone,

		);

		$search = $this->search_model->search($data_search);



		$data ['no'] = 1;

		$data['data'] = $this->commision_model->get($search);

		$data["icon"] = 'fa fa-file';

		$data["title"] = 'Commission Report';

		$this->load->view('commision/report', $data);

	}



	public function addShare($id)

	{

		$data['data'] = $this->commision_model->getCommissionDetail($id);

		$this->load->view('commission_share/addnew', $data);

	}

	public function insert_share()

	{

		$no 	= 1;

		$csID 	= $this->input->post('csID');

		$payfor = $this->input->post('payfor');

		$description = $this->input->post('description');

		$amount = $this->input->post('amount');

		$data = array();

		for ($i = 0; $i < count($this->input->post('amount')); $i++){

			$data[$i] = array(

				'csID' 				=>	 $csID,

				'csiNo' 			=>	 $no,

				'csiPayfor' 		=>	 $payfor[$i],

				'csiDescription' 	=>	 $description[$i],

				'csiAmount' 		=>	 $amount[$i],

			);

			$no++;

		}

		$this->commision_model->insertItem($data);

		redirect(site_url('commision/commision'));

	}

	public function view_share($id)

	{

		$data['data'] = $this->commision_model->getCommissionDetail($id);

		$data['item'] = $this->commision_model->getCommissionItem($id);

		$this->load->view('commission_share/view', $data);

	}

	public function update_share()

	{

		$csID 	= $this->input->post('csID');

		$get = $this->db->query("

			SELECT MAX(csiNo) AS num_order

			FROM nso007_commission_item

			WHERE csID = $csID

		");

		$get = $get->row();

		$no = $get->num_order + 1;

		$payfor = $this->input->post('payfor');

		$description = $this->input->post('description');

		$amount = $this->input->post('amount');

		$data = array();

		for ($i = 0; $i < count($this->input->post('amount')); $i++){

			$data[$i] = array(

				'csID' 				=>	 $csID,

				'csiNo' 			=>	 $no,

				'csiPayfor' 		=>	 $payfor[$i],

				'csiDescription' 	=>	 $description[$i],

				'csiAmount' 		=>	 $amount[$i],

			);

			$no++;

		}

		$this->commision_model->insertItem($data);

		redirect(site_url('commision/commision/view_share/'.$csID));

	}

	public function show_item_list($id){

        $csid = $id;

        $data['data'] = $this->commision_model->getItems($csid);

        $data['item'] = $this->commision_model->getCommissionItem($id);



        $do_date = date('Y-m-d');

        $data['do_date'] = $this->zone->help('khmer_date',$do_date);

        

        $this->load->view('commision/show_item_list.php',$data);

	}

	public function select_item($id){
		$get = $this->commision_model->query_item($id);
		$data['csi_id'] = $get->csiID;
		$data['cs_id'] = $get->csID;
		$data['csi_payfor'] = $get->csiPayfor;
		$data['csi_des'] = $get->csiDescription;
		$data['csi_amount'] = $get->csiAmount;
		$data['csi_balance'] = ($get->csiAmount - $get->csiWithdraw);

		echo json_encode($data);
	}

	public function update_c_item()
	{
		$cs_id = $_POST['cs_id'];
		$csi_id = $_POST['csi_id'];
		$csi_payfor = $_POST['csi_payfor'];
		$csi_des = $_POST['csi_des'];
		$csi_amount = $_POST['csi_amount'];

		$data = array(
			'csiPayfor' => $csi_payfor,
			'csiDescription' => $csi_des,
			'csiAmount' => $csi_amount,
		);

		$this->db->where('csiID', $csi_id);  
		$this->db->update('nso007_commission_item', $data);

		redirect(site_url('commision/commision/view_share/'.$cs_id));
	}

	public function withdraw_c_item()
	{
		$wcs_id = $_POST['wcs_id'];
		$wcsi_id = $_POST['wcsi_id'];
		$wcsi_withdraw = $_POST['wcsi_withdraw'];

		$this->db->query("
			UPDATE nso007_commission_item
			SET csiWithdraw = csiWithdraw + $wcsi_withdraw
			WHERE csiID = $wcsi_id
		");

		redirect(site_url('commision/commision/view_share/'.$wcs_id));	
	}

}
