<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Category extends CI_Controller {
	function __construct() {
		parent::__construct();
		
		$this->load->library('pagination');
		$this->load->model('category_model');
		$this->load->library('upload');
        $this->load->model('permission_model');
	}

	public function index(){		
		
		$this->load->view('pawn/index.php');
	}
	public function view(){ 
		$search_item_code = (empty($_POST['pctID']))? '':' pctID = "'.$_POST['pctID'].'" ';
		$search_des = (empty($_POST['pctDes']))? '':' pctDes = "'.$_POST['pctDes'].'" ';
		
		$data_search = array(
			'search_item_code' =>$search_item_code,
			'search_des' =>$search_des,
		);
		$search = $this->search_model->search($data_search);
	
		$data["data"] = $this->category_model->get($search);
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'category';
		$data["no"] = 1;
		
		$this->load->view('stock/category/index.php',$data);
	}
	public function addnew(){  
		
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Addnew';
		
		$this->load->view('stock/category/addnew.php',$data);
	}
	public function save(){ 
		$path = 'upload/stock/';
		if(!is_dir($path))mkdir($path,0777,TRUE);
		
		$extension = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);
		$filename = basename($_FILES['image']['name'], '.'.$extension);

		$filename = empty($_FILES['image']['name']) ? "" : $filename.'-'.uniqid().'.'.$extension;
		move_uploaded_file($_FILES['image']['tmp_name'], $path.$filename);
		
		$data = array(
				'pctImage' => $filename,
				'pctName' => $_POST['name'],
				'pctDes' => $_POST['des'],
				
		);
		$this->db->insert('nso007_category_stock',$data);
		$lastID = $this->db->insert_id();
		
		$ic_id_max= $this->get_max_item_id();
		$ic_id_max = empty($ic_id_max)? '1': $ic_id_max;
		
		
		$icDes =$_POST['name'];
		
				$acc_sale = $this->acc_chart_code(42,4);
				$acc_cogs = $this->acc_chart_code(53,5);
				$acc_inventory = $this->acc_chart_code(15,1);
				
				$acc_sale = empty($acc_sale)? '42000' : $acc_sale;
				$acc_cogs = empty($acc_cogs)? '53000' : $acc_cogs;
				$acc_inventory = empty($acc_inventory)? '15000' :$acc_inventory;
				
				
				$data_acc_chart_sale = array(
					'pacCode'    =>   $acc_sale,
					'pacName'	=>	 'Sale '.$icDes,
					'pacType'	=>	 '42',
					'pacDes'		=>	 'Sale '.$icDes,	
				);
				$this->db->insert('nso007_account_chart',$data_acc_chart_sale);
			    
				$data_acc_chart_cogs = array(
					'pacCode'    =>   $acc_cogs,
					'pacName'	=>	 'COGS '.$icDes,
					'pacType'	=>	 '53',
					'pacDes'		=>	 'COGS '.$icDes,	
				);
				$this->db->insert('nso007_account_chart',$data_acc_chart_cogs);
			
				$data_acc_chart_inventory = array(
					'pacCode'    =>   $acc_inventory,
					'pacName'	=>	 'Inventory '.$icDes,
					'pacType'	=>	 '15',
					'pacDes'		=>	 'Inventory '.$icDes,	
				);
				$this->db->insert('nso007_account_chart',$data_acc_chart_inventory);
				
				$data_accpreset = array(
					'iaItemID'    =>   $lastID,
					'iaType'	=>	 'cat',
					'iaDescription'  => 'Category of '.$icDes,
					'iaSalesAcc'	=>	 $acc_sale,
					'iaPurchaseAcc'		=>	 $acc_inventory,
					'iaCOGSAcc'		=>	 $acc_cogs
				);
				$this->db->insert('nso007_item_accpreset',$data_accpreset);
		
		redirect(site_url('stock/category/view'));
	}
	public function get_parent($id){
				$query = $this->db->query("SELECT
						nso007_category_stock.pctDes
						FROM
						nso007_category_stock
						WHERE ctID = ".$id." ");
				$get = $query->result_array();
				return $get[0]['pctDes'];			
			}
	public function edit($id){
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Edit';
		$data["data"] = $this->category_model->getID($id);
		
		$this->load->view('stock/category/edit.php',$data);
	}
	public function update($id){
        $path = 'upload/stock/';
        if(!is_dir($path))mkdir($path,0777,TRUE);

        $extension = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);
        $filename = basename($_FILES['image']['name'], '.'.$extension);
        $pclImage = $_POST["pclImage"];
        $filename = empty($_FILES['image']['name']) ? "$pclImage" : $filename.'-'.uniqid().'.'.$extension;
        move_uploaded_file($_FILES['image']['tmp_name'], $path.$filename);

        $data = array(
			'pctName' => $_POST['name'],
			'pctDes' => $_POST['des'],
			'pctImage' => $filename,
		);
		
		$this->db->where('pctID', $id);
		$this->db->update('nso007_category_stock', $data);
		
		redirect(site_url('stock/category/view'));
	}
	public function get_max_item_id(){	
		$query=$this->db->query("SELECT MAX(COALESCE(nso007_category_stock.pctID,0)+1) as icID
								FROM
								nso007_category_stock");
		$get = $query->result_array();
		return $get[0]['icID'];						
	}
	public function acc_chart_code($atID,$agID){
		$query = $this->db->query("SELECT
				MAX(nso007_account_chart.pacCode)+1 as pacCode
				FROM
				nso007_account_chart
				INNER JOIN nso007_account_type ON nso007_account_type.patID = nso007_account_chart.pacType
				INNER JOIN nso007_accunt_group ON nso007_accunt_group.pagID = nso007_account_type.patGroup
				WHERE patID =".$atID." AND pagID = ".$agID." ");
		$get = $query->result_array();
		//var_dump($get);
		return $get[0]['pacCode'];			
	}
	public function delete(){
		
		$this->db->where('pctID', $_POST['id']);
		$this->db->delete('nso007_category_stock');
		
		redirect(site_url('stock/category/view'));
	}

}
