<?php
	class Report_balance_sheet_model extends CI_Model{
		
		public function getReportAsset($search){
			$search = (empty($search))? " WHERE pjnAccCode like '1%' AND pjnType NOT IN(13) ":" $search AND pjnAccCode like '1%' AND pjnType NOT IN(13) ";
			$data = $this->db->query("SELECT 
										COALESCE(Sum(nso007_jounal.pjnDr),0) - COALESCE(Sum(nso007_jounal.pjnCr),0) AS asset,
										nso007_jounal.pjnAccCode,nso007_account_chart.pacName
										FROM nso007_jounal
										LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
										LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
										$search
										GROUP BY pjnAccCode");
			return $data->result_array();
		}
		public function getReportLibility($search){
			$search = (empty($search))? " WHERE pjnAccCode like '2%'  ":" $search AND pjnAccCode like '2%' ";
			$data = $this->db->query("SELECT
										COALESCE(Sum(nso007_jounal.pjnCr),0) AS liability,
										nso007_jounal.pjnAccCode,nso007_account_chart.pacName
										FROM nso007_jounal
										LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
										LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
										$search
										GROUP BY pjnAccCode");
			return $data->result_array();
		}
		public function getReportLibilityHistory($search){
			$search = (empty($search))? " WHERE pjnAccCode like '2%' AND pjnType = 222 ":" $search AND pjnAccCode like '2%' AND pjnType = 222 ";
			$data = $this->db->query("SELECT
										COALESCE(Sum(nso007_jounal.pjnDr),0) AS total,
										nso007_jounal.pjnAccCode,nso007_account_chart.pacName
										FROM nso007_jounal
										LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
										LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
										$search
										GROUP BY pjnAccCode");
			return $data->row();
		}
		
		public function getReportDivedend($search){
			$search = (empty($search))? " WHERE pjnAccCode = 30002 ":" $search AND pjnAccCode = 30002 ";
			$data = $this->db->query("SELECT
										COALESCE(Sum(nso007_jounal.pjnDr),0) AS divedend,
										nso007_jounal.pjnAccCode,nso007_account_chart.pacName
										FROM nso007_jounal
										LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
										LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
										$search
										GROUP BY pjnAccCode");
			return $data->row();
		}
		public function getReportIncome($search){
			$search = (empty($search))? " WHERE pjnAccCode like '4%' ":" $search AND pjnAccCode like '4%' ";
			$data = $this->db->query("SELECT 
										COALESCE(Sum(nso007_jounal.pjnCr),0) AS income
										FROM nso007_jounal
										LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
										LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
										$search");
			return $data->row();
		}
		public function getReportExpense($search){
			$search = (empty($search))? " WHERE pjnAccCode like '5%' AND pjnType NOT IN(13) ":" $search AND pjnAccCode like '5%' AND pjnType NOT IN(13) ";
			$data = $this->db->query("SELECT 
										COALESCE(Sum(nso007_jounal.pjnDr),0) AS expense
										FROM nso007_jounal
										LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
										LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
										$search");
			return $data->row();
		}
	
		public function getCapital($search){
			$search = (empty($search))? " WHERE pjnAccCode like '3%' AND pjnAccCode NOT IN (30002) ":" $search AND pjnAccCode like '5%' AND pjnType NOT IN(13) AND pjnAccCode NOT IN (30002) ";
			$data = $this->db->query("SELECT
										COALESCE(Sum(nso007_jounal.pjnCr),0) AS capital,
										nso007_jounal.pjnAccCode,
										nso007_account_chart.pacName
										FROM nso007_jounal LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode INNER JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
										$search
										GROUP BY pjnAccCode");
			return $data->result_array();
		}
	}
?>