<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN SAMPLE FORM PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-plus font-red-sunglo"></i>
							<span class="caption-subject sbold uppercase"><?php echo zphrase('Addnew');?></span>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<form class="form-horizontal" role="form" action="<?php echo site_url('stock/item/save')?>" method="post">
						<div class="form-body">
							<div class="col-md-12">
								<div class="col-md-6">
									<?php echo zinput(array('type'=>'select2','label'=>'gatagory','name'=>'piCatagory','data'=>$this->zone->data(array('table'=>'nso007_category_stock','value'=>'pctID','text'=>'pctName'))));?>
									<?php echo zinput(array('type'=>'select2','label'=>'project','name'=>'piProject','data'=>$this->zone->data(array('table'=>'nso007_project_stock','value'=>'ppjID','text'=>'ppjName'))));?>
									<?php echo zinput(array('type'=>'text','label'=>'Cost','name'=>'cost','id'=>'cost','value'=>0));?>
									<?php echo zinput(array('type'=>'text','label'=>'Price','name'=>'price','id'=>'price'));?>
									<?php echo zinput(array('type'=>'color','value'=>'#fffffc','label'=>'Background Color','name'=>'bcolor','id'=>'bcolor'));?>
								</div>
								<div class="col-md-6">
									<?php echo zinput(array('type'=>'text','label'=>'Size','name'=>'size','id'=>'size'));?>
									<?php echo zinput(array('type'=>'text','label'=>'prefix','name'=>'prefix','id'=>'code'));?>
									<?php echo zinput(array('type'=>'text','label'=>'start from number','name'=>'start','id'=>'start','value'=>1));?>
									<?php echo zinput(array('type'=>'text','label'=>'Number of properties','name'=>'number','id'=>'number'));?>
                                    <?php echo zinput(array('type'=>'color','value'=>'#000000','label'=>'Text Color','name'=>'tcolor','id'=>'tcolor'));?>
                                </div>
							</div>
							<div class="row">
								<div class="form-actions">
									<div class="row">
										<div class="col-md-offset-2 col-md-10">
											<button type="button" id="generate" class="btn green"><?php echo zphrase('generate');?></button>
											<a href="<?php echo site_url("stock/item/view");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
										</div>
									</div>
									<br/>
									<div class="col-md-10">
										<div class="col-md-offset-2 col-md-12">
											<div id="generate_table">
												
											</div>
										</div>
										
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<script>
		$(document).ready(function(){
			
			$('#generate').click(function(){
				_j = $("#start").val();
				$(".sub_generate").remove();
				var number = $("#number").val();
				var code = $("#code").val();
				var price = $("#price").val();
				var cost = $("#cost").val();
				var size = $("#size").val();
				
				for(i = 1; i <= number; i ++){
					var form = form_table(i,code,price,cost,size);
					$("#generate_table").append(form);
					
				}
				var btn_add = "<div class=\"sub_generate\"><button class=\"btn green\" type=\"submit\"><i class=fa fa-file>Addnew</i></button></div>"; 
				$("#generate_table").append(btn_add);
				$(".btn_remove").click(function(i){ 
					$(this).closest("div.div_btton").remove(); 
				});
				
				$.post("<?php echo site_url('stock/item/check_stock')?>",{cost:cost}, function(){
					
				});
			});
			
			var _j = 0;
			
			function form_table(i,code,price,cost,size){
				var _k = _j;
				_k = _k.toString();
				
				
				var form1 = "<div class=\"div_btton sub_generate\"><div  class=\"col-md-2\"><input required type=\"text\" id=\"riCode\" name=\"code[]\" class=\"form-control\" value="+code+_k+" ></div>"; 
				var form2 = "<div class=\"col-md-3 sub_generate\"><input required type=\"text\" id=\"riPrice\" name=\"cost[]\" class=\"form-control\" value="+cost+"></div>"; 
				var form3 = "<div class=\"col-md-3 sub_generate\"><input required type=\"text\" id=\"riPrice\" name=\"price[]\" class=\"form-control\" value="+price+"></div>"; 
				var form4 = "<div class=\"col-md-3 sub_generate\"><input required type=\"text\" id=\"riPrice\" name=\"size[]\" class=\"form-control\" value="+size+"></div>";
				var form5 = "<div class=\"col-md-1 sub_generate\"><button class=\"btn btn-circle red btn_remove\" id=\"btn_remove\" type=\"button\"><i class=\"icon-trash\"></i></button></div></div>"; 
				
				var form = form1+form2+form3+form4+form5;
				
				_j++;
				return form;
			}
		});
	</script>
	
<?php $this->load->view('template/footer.php');?>