<?php

defined('BASEPATH') OR exit('No direct script access allowed');



class Invoice extends CI_Controller {

	function __construct() {

		parent::__construct();

		

		$this->load->library('pagination');

		$this->load->model('sale_model');
		$this->load->model('description_model');

        $this->load->library('numbertowordconvertsconver');
		$this->load->library('numbertowordconvertsconvers1');
        $this->load->library('numbertowordconvertsconvers');
        $this->load->model('permission_model');
	}



	public function index(){		

		

		$this->load->view('pawn/index.php');

	}

	public function view(){ 

		

		$data["data"] = $this->sale_model->get();

		$data["icon"] = 'fa fa-list';

		$data["title"] = 'Deposit';

		$data["no"] = 1;

		

		$this->load->view('stock/invoice/index.php',$data);

	}
	public function view_approval(){



		$data["data"] = $this->sale_model->get_approve();

		$data["icon"] = 'fa fa-list';

		$data["title"] = 'Deposit';

		$data["no"] = 1;



		$this->load->view('stock/invoice/index_approveal.php',$data);

	}

	public function info(){ 

		

		$data["data"] = $this->sale_model->get_only();

		$data["icon"] = 'fa fa-list';

		$data["title"] = 'Deposit';

		$data["no"] = 1;

		

		$this->load->view('stock/invoice/info.php',$data);

	}

    public function info_payment(){



        $data["data"] = $this->sale_model->alert_payment();

        $data["icon"] = 'fa fa-list';

        $data["title"] = 'Payment';

        $data["no"] = 1;



        $this->load->view('stock/invoice/info_payment.php',$data);

    }

	public function frm_deposit(){

		$get = $this->sale_model->getID($_POST['id']);

		

		$data['receive'] = $get->psReceive;

		echo json_encode($data);

	}

	

	public function deposit(){

		

		$id = $_POST['id'];



		$data = $this->sale_model->get_deposit($id);

		$get_item = $this->description_model->get_des($id);

		$des = $get_item->ppjName.', '.$get_item->pctName.', '.$get_item->items.' (Deposit)';

		$projectname = $data->projectname;

		$catname = $data->catname;

		$itemcode = $data->itemcode;

		$saleamount = $data->saleamount;

		$saleremain = $data->saleremain;



		$amount = $_POST['amount'];

		$dramount = $saleremain - $amount;

		// update table sale

		$this->db->query("UPDATE nso007_sale_stock

						SET

						psReceive = psReceive + $amount,

						psRemain = psRemain - $amount

						WHERE psID = $id");

						

		// end



		$data = array(

			'pdSaleID' =>$id,

			'pdDate' =>date('Y-m-d',strtotime($_POST['date'])),
			'pdDateLine' =>date('Y-m-d',strtotime($_POST['dateline'])),

			'pdAmount' =>$amount,

		);

		

		$this->db->insert('nso007_deposit',$data);



		// Journal

		$date = date('Y-m-d');

		$data = array(

			'pjnPID'=>0,

			'pjnAccCode'=>11000,

			'pjnType'=>13,

			'pjnDr'=>$dramount,

			'pjnDateTransaction'=>date('Y-m-d H:i:s'),

			'pjnDatePay'=>$date,

			'pjnDes'=>$des,

			'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

			'pjnCurrency'=>1,

			'pjnRefID'=>$id,

		);

		$this->db->insert('nso007_jounal', $data);



		$insert_id = $this->db->insert_id();

		$data1 =array(

			'pjnPID'=>$insert_id,

			'pjnAccCode'=>10000,

			'pjnType'=>13,

			'pjnDr'=>$amount,

			'pjnDateTransaction'=>date('Y-m-d H:i:s'),

			'pjnDatePay'=>$date,

			'pjnDes'=>$des,

			'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

			'pjnCurrency'=>1,

			'pjnRefID'=>$id,

		);

		$this->db->insert('nso007_jounal', $data1);



//		$data2 =array(
//
//			'pjnPID'=>$insert_id,
//
//			'pjnAccCode'=>'',
//
//			'pjnType'=>13,
//
//			'pjnCr'=>$saleremain,
//
//			'pjnDateTransaction'=>date('Y-m-d H:i:s'),
//
//			'pjnDatePay'=>$date,
//
//			'pjnDes'=>$des,
//
//			'pjnBy'=>$this->session->userdata['logged_in']['pliID'],
//
//			'pjnCurrency'=>1,
//
//			'pjnRefID'=>$id,
//
//		);
//
//		$this->db->insert('nso007_jounal', $data2);

		

		redirect(site_url('stock/invoice/view'));

	}

	public function frm_cancelDeposit(){

		$id = $_POST['id'];

		$get = $this->sale_model->getID($id);   

		$data['psID'] = $get->psID; 
		$data['psReceive'] = $get->psReceive;
		$data['pclUser'] = $get->pclUser;
		$data['psClientID'] = $get->psClientID;
		$data['psAmount'] = $get->psAmount;
		$data['psRemain'] = $get->psRemain;
		$data['pclAgent'] = $get->pclAgent;

		echo json_encode($data); 

	}

	public function frm_DeleteDeposit(){

		$id = $_POST['id'];

		$get = $this->sale_model->getID($id);

		$data['psID'] = $get->psID;
		$data['psReceive'] = $get->psReceive;
		$data['psClientID'] = $get->psClientID;
		$data['pclName'] = $get->pclName;
		$data['psAmount'] = $get->psAmount;
		$data['psRemain'] = $get->psRemain;
		$data['pclAgent'] = $get->pclAgent;

		echo json_encode($data);

	}

	public function cancel_deposit()
	{
		$sale_id = $_POST['ps_id'];


        $deposit = $this->db->query("SELECT * FROM nso007_sale_stock WHERE psID=$sale_id");
		$c_sale = $deposit->row(); 


		$deposit_saleDetail = $this->db->query("SELECT * FROM nso007_sale_detail_stock WHERE psdSaleID=$sale_id");
		$data['cancel'] = $deposit_saleDetail->result_array();

		$count_item = count($data['cancel']);
		for ($i=0; $i < $count_item; $i++) { 
			$item_id = $data['cancel'][$i]['psdItemID'];
			$this->db->query("
				UPDATE nso007_item_stock 
				SET piStockStatus=1, piSaleStatus=0 
				WHERE piID = $item_id
			");
		}

		$this->db->query("UPDATE nso007_sale_stock SET psDeposit=0 WHERE psID=$sale_id");		
		
		$date =date('Y-m-d');
		$description ='Cancel Deposit';
		$data_cancel = array(
			'pcSale'=>$c_sale->psID,
			'pcSaleDetail'=>$sale_id,
			'pcDate'=>$date,
			'pcDescription'=>$description,
		);
		$this->db->insert('nso007_cancel_deposit',$data_cancel);

        $a_comm=$_POST['psReceive'];
        $by=$_POST['pclUser'];
        $client_id=$_POST['psClientID'];
        $commis_amount=$_POST['commission'];
        $loanAmount=$_POST['psAmount'];
        $loanpsRemain=$_POST['psRemain'];
        $staff=$_POST['pclAgent'];

        if ($a_comm >= 300 && $a_comm < 1200) {
            $pcsStatus = 1;
        } else {
            $pcsStatus = NULL;
        }
        if ($a_comm >= 1200) {
            $pcsStatus1 = 2;
        } else {
            $pcsStatus1 = NULL;
        }


        $commis_percent = ($commis_amount * 100 / $loanAmount);
        $percentpay = ($a_comm * 100 / $loanpsRemain);
        $commission=($a_comm*40)/100;
        if($commission > $commis_amount){
            $add_compay=$commis_amount;
        }else{
            $add_compay=$commission;
        }

        $data = array(
            'pcaAgent' => $staff,
            'pcaBy' => $by,
            'pcaClientID' => $client_id,
            'pcaSaleID' => $sale_id,
            'pcaCommisionPrecentage' => $commis_percent,
            'pcaCommisionAmount' => $commis_amount,
            'pcaConditionPrecentage' => 50,
            'pcaConditionAmount' => ($loanAmount / 2),
            'pcaSaleAmount' => $loanAmount,
            'pcaPaidAmount' => $a_comm,
            'pcaCommisionWithdraw' => 0,
            'pcaCommisionWithdraw1' => 0,
            'pcaCommisionWithdraw2' => 0,
            'pcaCommisionWithdraw3' => 0,
            'pcapercentagePay' => $percentpay,
            'pcaEarningPay' => 0,
            'pcaWithdrawEarning' => 0,
            'pcaDoDate' => $date,
            'pcaStatus' => $pcsStatus,
            'pcaStatusCom' => $pcsStatus1,
            'pcaCommission' => $add_compay,
        );

        $this->db->insert('nso007_cancellation',$data);
        redirect(site_url('commision/commision/view_cancellation'));
	}
	public function delete_deposit()
	{
		$sale_id = $_POST['ps_id'];
		$date =date('Y-m-d');
		$description ='Delete Deposit';
        $by=$this->session->userdata['logged_in']['pliID'];
        $client=$_POST['pclName'];
        $loanAmount=$_POST['psAmount'];

		$item = $this->db->query("
				SELECT GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items
					FROM nso007_sale_stock
					LEFT JOIN nso007_sale_detail_stock as stock ON nso007_sale_stock.psID = stock.psdSaleID
					LEFT JOIN nso007_item_stock AS item ON stock.psdItemID = item.piID
					WHERE psID = $sale_id
					GROUP BY psdSaleID
				");

		$item_name = $item->row();

		$saleid = $this->db->query("
					SELECT dtSaleID,dtID
					FROM nso007_delete_transaction
					WHERE dtSaleID = $sale_id
				");
		$s_id = $saleid->row();
		if ($s_id->dtSaleID==$sale_id){
			$data1 = array(
				'dtID' => $s_id->dtID,
				'dtStatus' => 1,

			);
			$this->db->where('dtID', $s_id->dtID);
			$this->db->update('nso007_delete_transaction',$data1);
		}else{
			$data = array(
				'dtBy' => $by,
				'dtSaleID' => $sale_id,
				'dtSaleAmount' => $loanAmount,
				'dtDoDate' => $date,
				'dtStatus' => 1,
				'dtDes' => $description,
				'dtItem' => $item_name->items,
				'dtClient' => $client,
			);

			$this->db->insert('nso007_delete_transaction',$data);
		}


        redirect(site_url('stock/invoice/view'));
	}

	public function reject()
	{
		$de_id = $_POST['dt_id'];
        $data = array(
            'dtID' => $de_id,
            'dtStatus' => null,

        );
		$this->db->where('dtID', $de_id);
		$this->db->update('nso007_delete_transaction',$data);
        redirect(site_url('stock/invoice/view_approval'));
	}

	public function approve_delete_deposit()
	{
		$de_id = $_POST['dt_ids'];
		$saleid = $this->db->query("
					SELECT dtSaleID,dtID
					FROM nso007_delete_transaction
					WHERE dtID = $de_id
				");
		$s_id = $saleid->row();
        $data = array(
            'dtID' => $de_id,
            'dtStatus' => 2,

        );
		$this->db->where('dtID', $de_id);
		$this->db->update('nso007_delete_transaction',$data);


		$this->db->where('pjnRefID', $s_id->dtSaleID);
		$this->db->where('pjnType', 13);
		$this->db->delete('nso007_jounal');

		$this->db->where('pdSaleID', $s_id->dtSaleID);
		$this->db->delete('nso007_deposit');

		$deposit_saleDetail = $this->db->query("SELECT * FROM nso007_sale_detail_stock WHERE psdSaleID=$s_id->dtSaleID");
		$data['delete'] = $deposit_saleDetail->result_array();

		$count_item = count($data['delete']);
		for ($i=0; $i < $count_item; $i++) {
			$item_id = $data['delete'][$i]['psdItemID'];
			$this->db->query("
				UPDATE nso007_item_stock 
				SET piStockStatus=1, piSaleStatus=0 
				WHERE piID = $item_id
			");
		}

		$this->db->where('psdSaleID', $s_id->dtSaleID);
		$this->db->delete('nso007_sale_detail_stock');

		$this->db->where('psID', $s_id->dtSaleID);
		$this->db->delete('nso007_sale_stock');

        redirect(site_url('stock/invoice/view_approval'));
	}

	public function print_deposit($id){

		$data['data'] = $this->sale_model->invoice_deposit($id);

		$this->load->view('stock/invoice/print_deposit.php',$data);
	}

}

