<?php

	class Commision_model extends CI_Model{

		

		public function get($search){

			$search = (empty($search))? "where pcsCancel is null":" $search  AND pcsCancel is null";

			$data = $this->db->query("
				SELECT pcsID, ppjName, pctName, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				pclName, pcsSaleAmount, p_agency.agency, pcsCommisionWithdraw, pcsCommisionWithdraw1, pcsCommisionWithdraw2, pcsCommisionWithdraw3, pcsCommisionAmount,pcsCommissionType, pcsPaidAmount, ploAmount,
				ploAmountOS, ploDiscount,ploAgDiscount, psReceive, plopercentagePay, pcspercentagePay, pcsDoDate,pcsPay1,pcsPay2,pcsPay3,pcsCommission,pcsStatus
				FROM nso007_commission AS com
				LEFT JOIN (
					SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS agency
					FROM nso007_user
				) AS p_agency ON com.pcsAgent = p_agency.pliID
				LEFT JOIN nso007_loan AS loan ON com.pcsLoanID = loan.ploID
				LEFT JOIN nso007_client AS clin ON loan.ploClientID = clin.pclID
				LEFT JOIN nso007_sale_stock AS sale ON loan.ploSale = sale.psID
				LEFT JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				LEFT JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				LEFT JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				$search
				GROUP BY sale.psID
				ORDER BY com.pcsDoDate DESC 
			");

			return $data->result_array(); 

		}

		public function get_cancel($search){

			$search = (empty($search))? "where pcsCancel = 1":" $search AND pcsCancel = 1";

			$data = $this->db->query("
				SELECT pcsID, ppjName, pctName, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				pclName, pcsSaleAmount, p_agency.agency, pcsCommisionWithdraw, pcsCommisionWithdraw1, pcsCommisionWithdraw2, pcsCommisionWithdraw3, pcsCommisionAmount,pcsCommissionType, pcsPaidAmount, ploAmount,
				ploAmountOS, ploDiscount, psReceive, plopercentagePay, pcspercentagePay, pcsDateCancel,pcsPay1,pcsPay2,pcsPay3,pcsCommission,pcsStatus
				FROM nso007_commission AS com
				LEFT JOIN (
					SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS agency
					FROM nso007_user
				) AS p_agency ON com.pcsAgent = p_agency.pliID
				LEFT JOIN nso007_loan AS loan ON com.pcsLoanID = loan.ploID
				LEFT JOIN nso007_client AS clin ON loan.ploClientID = clin.pclID
				LEFT JOIN nso007_sale_stock AS sale ON loan.ploSale = sale.psID
				LEFT JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				LEFT JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				LEFT JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				$search
				GROUP BY sale.psID
				ORDER BY com.pcsDoDate DESC 
			");

			return $data->result_array();

		}

        public function get_cancellation($search){

            $search = (empty($search))? "":" $search ";

            $data = $this->db->query("SELECT
                                        pcaID,
                                        ppjName,
                                        pctName,
                                        GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
                                        pclName,
                                        pcaSaleAmount,
                                        p_agency.agency,
                                        pcaCommisionWithdraw,
                                        pcaCommisionWithdraw1,
                                        pcaCommisionWithdraw2,
                                        pcaCommisionWithdraw3,
                                        pcaCommisionAmount,
                                        pcaCommissionType,
                                        pcaPaidAmount,
                                        psAmount,
                                        psRemain,
                                        psDiscount,
                                        psReceive,
                                        pcapercentagePay,
                                        pcaDoDate,
                                        pcaPay1,
                                        pcaPay2,
                                        pcaPay3,
                                        pcaEarningPay,
                                        pcaWithdrawEarning,
                                        pcaCommission,
                                        pcaStatus
                                    FROM
                                        nso007_cancellation AS can
                                    LEFT JOIN (
                                        SELECT
                                            pliID,
                                            CONCAT(
                                                nso007_user.pliFristName,
                                                ' ',
                                                nso007_user.pliLastName
                                            ) AS agency
                                        FROM
                                            nso007_user
                                    ) AS p_agency ON can.pcaAgent = p_agency.pliID
                                    LEFT JOIN nso007_client AS clin ON can.pcaClientID = clin.pclID
                                    LEFT JOIN nso007_sale_stock AS sale ON can.pcaSaleID = sale.psID
                                    LEFT JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
                                    LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
                                    LEFT JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
                                    LEFT JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID 
                                    $search
                                    GROUP BY
                                        sale.psID
                                    ORDER BY
                                        can.pcaDoDate DESC 
			");

            return $data->result_array();

        }

        public function get_CommHistory($search){

            $search = (empty($search))? "":" $search ";

            $data = $this->db->query("SELECT
                                            chID,chAgentID,chAgentName,chCommission,chCommissionID,chDate,chItemCode,chItemName,ppjName
                                        FROM
                                            nso007_commission_history
                                        LEFT JOIN nso007_item_stock on nso007_commission_history.chItemCode=nso007_item_stock.piID
                                        LEFT JOIN nso007_project_stock on nso007_project_stock.ppjID=nso007_item_stock.piProject
                                    $search
                              
			");

            return $data->result_array();

        }

		public function get_half($search){

			$search = (empty($search))? "":" $search ";

			$data = $this->db->query("
				SELECT pcsID, ppjName, pctName, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				pclName, pcsSaleAmount, p_agency.agency, pcsCommisionWithdraw,pcsCommisionWithdraw1, pcsCommisionWithdraw2, pcsCommisionWithdraw3, pcsCommisionAmount,pcsCommissionType, pcsPaidAmount,
				ploAmountOS, ploDiscount, psReceive, plopercentagePay, pcsPay1,pcspercentagePay, pcsDoDate,pcsCommission,pcsStatus

				FROM nso007_commission AS com
				LEFT JOIN (
					SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS agency
					FROM nso007_user
				) AS p_agency ON com.pcsAgent = p_agency.pliID
				LEFT JOIN nso007_loan AS loan ON com.pcsLoanID = loan.ploID
				LEFT JOIN nso007_client AS clin ON loan.ploClientID = clin.pclID
				LEFT JOIN nso007_sale_stock AS sale ON loan.ploSale = sale.psID
				LEFT JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				LEFT JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				LEFT JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				$search AND pcsCommission != 0
				GROUP BY sale.psID
				ORDER BY com.pcsDoDate DESC 
			");

			return $data->result_array(); 

		}

		public function get_full($search){

			$search = (empty($search))? "":" $search ";

			$data = $this->db->query("
				SELECT pcsID, ppjName, pctName, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				pclName, pcsSaleAmount, p_agency.agency, pcsCommisionWithdraw,pcsCommisionWithdraw1, pcsCommisionWithdraw2, pcsCommisionWithdraw3, pcsCommisionAmount,pcsCommissionType, pcsPaidAmount,
				ploAmountOS, ploDiscount, psReceive, plopercentagePay, pcsPay1,pcspercentagePay, pcsDoDate
				FROM nso007_commission AS com
				LEFT JOIN (
					SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS agency
					FROM nso007_user
				) AS p_agency ON com.pcsAgent = p_agency.pliID
				LEFT JOIN nso007_loan AS loan ON com.pcsLoanID = loan.ploID
				LEFT JOIN nso007_client AS clin ON loan.ploClientID = clin.pclID
				LEFT JOIN nso007_sale_stock AS sale ON loan.ploSale = sale.psID
				LEFT JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				LEFT JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				LEFT JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				$search AND pcsStatusCom = 2
				GROUP BY sale.psID
				ORDER BY com.pcsID
			");

			return $data->result_array(); 

		}


		public function get_whereID($id){

		    $data = $this->db->query("SELECT * FROM nso007_sale_stock WHERE psID = $id");

		    return $data->row(); 

		}

		public function getID($id){

			$data = $this->db->query("
				SELECT psdSaleID, pclName,
					CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,
					pcsConditionAmount,pcsCommisionWithdraw,pcsCommisionPrecentage,
					pcsConditionPrecentage,pcsConditionAmount,pcsCommisionAmount,
					piItemCode,pliID,piPrice,pcsCommission,
                    GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,GROUP_CONCAT(piID SEPARATOR ' , ') AS piID
					FROM nso007_commission
					LEFT JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID
					LEFT JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID
					LEFT JOIN nso007_sale_detail_stock as stock ON nso007_commission.pcsSaleID = stock.psdSaleID
					LEFT JOIN nso007_item_stock AS item ON stock.psdItemID = item.piID
					WHERE pcsID = $id
					GROUP BY psdSaleID
				");

			return $data->row(); 

		}
		public function getComHistory($id){

			$data = $this->db->query("
				SELECT *
					FROM nso007_commission_history
					WHERE chCommissionID = $id
					ORDER BY chDate DESC
				  
				");

            return $data->result_array();

        }

        public function getIDCan($id){

            $data = $this->db->query("
				SELECT psdSaleID, pclName,

					CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

					pcaConditionAmount,pcaCommisionWithdraw,pcaCommisionPrecentage,

					pcaConditionPrecentage,pcaConditionAmount,pcaCommisionAmount,piItemCode,piPrice,pcaWithdrawEarning,pcaCommission

					FROM nso007_cancellation
					LEFT JOIN nso007_client ON nso007_cancellation.pcaClientID = nso007_client.pclID
					LEFT JOIN nso007_user AS agent ON nso007_cancellation.pcaAgent = agent.pliID
					LEFT JOIN nso007_sale_detail_stock as stock ON nso007_cancellation.pcaSaleID = stock.psdSaleID
					LEFT JOIN nso007_item_stock AS item ON stock.psdItemID = item.piID
					WHERE pcaID = $id
					GROUP BY psdSaleID
				");

            return $data->row();

        }



		public function set_commission_item($data){

			$this->db->insert('nso007_commission_item', $data); 

		}



		public function getItem($id){

            $data = $this->db->query("SELECT * 

                                    FROM nso007_commission_item

                                    where cs_id = $id

                                    ");

            return $data->result_array();

        }

		public function getItems($id){

            $data = $this->db->query("
            	SELECT pcsID,chID,chCommission as pcsCommisionWithdraw,pcsNote,pcspercentagePay, ploAmountOS, ppjName, pctName, piItemCode, piPrice, piSize, piCatagory, piProject, agent.pliPhone AS phone_agency, psdItemID, pclName,pcsID,chDate as pcsDoDate,pclPhone1,

				CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

				pcsCommisionPrecentage,pcsCommisionAmount,pcsConditionPrecentage,

				pcsConditionAmount,

				CONCAT(staff.pliFristName,' ',staff.pliLastName) AS staffName,

				nso007_commission.pcsStatus AS status, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items

				FROM nso007_commission

				LEFT JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID
                LEFT JOIN nso007_commission_history ON nso007_commission.pcsID = nso007_commission_history.chCommissionID
				LEFT JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID

				LEFT JOIN nso007_user AS staff ON nso007_commission.pcsBy = staff.pliID

				LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_commission.pcsSaleID = sale_detail.psdSaleID

				LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID

				LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

				LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

				LEFT JOIN nso007_loan ON sale_detail.psdSaleID = nso007_loan.ploSale

			    WHERE pcsID=$id
			    GROUP BY chID
					ORDER BY chID DESC LIMIT 1
			");

            return $data->row();

        }

		public function getItemsBy($id){

            $data = $this->db->query("
            	SELECT pcsID,chID,chCommission as pcsCommisionWithdraw,pcsNote,chNoted,pcspercentagePay, ploAmountOS, ppjName, pctName, piItemCode, piPrice, piSize, piCatagory, piProject, agent.pliPhone AS phone_agency, psdItemID, pclName,pcsID,chDate as pcsDoDate,pclPhone1,

				CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

				pcsCommisionPrecentage,pcsCommisionAmount,pcsConditionPrecentage,

				pcsConditionAmount,

				CONCAT(staff.pliFristName,' ',staff.pliLastName) AS staffName,

				nso007_commission.pcsStatus AS status, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items

				FROM nso007_commission

				LEFT JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID
                LEFT JOIN nso007_commission_history ON nso007_commission.pcsID = nso007_commission_history.chCommissionID
				LEFT JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID

				LEFT JOIN nso007_user AS staff ON nso007_commission.pcsBy = staff.pliID

				LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_commission.pcsSaleID = sale_detail.psdSaleID

				LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID

				LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

				LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

				LEFT JOIN nso007_loan ON sale_detail.psdSaleID = nso007_loan.ploSale

			    WHERE chID=$id
				LIMIT 1
			");

            return $data->row();

        }


        public function getItemsCan($id){

            $data = $this->db->query("
            	SELECT pcaID as pcsID,pcaNote as pcsNote,pcapercentagePay as pcspercentagePay, ppjName, pctName, piItemCode, piPrice, piSize, piCatagory, piProject, agent.pliPhone AS phone_agency, psdItemID, pclName,pcaDoDate as pcsDoDate,pclPhone1,

				CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

				pcaCommisionPrecentage as pcsCommisionPrecentage,pcaCommisionAmount as pcsCommisionAmount,pcaConditionPrecentage as pcsConditionPrecentage,

				pcaConditionAmount as pcsConditionAmount,pcaCommisionWithdraw1 as pcsCommisionWithdraw1,pcaCommisionWithdraw as pcsCommisionWithdraw,

				CONCAT(staff.pliFristName,' ',staff.pliLastName) AS staffName,

				nso007_cancellation.pcaStatus AS status, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items

				FROM nso007_cancellation

				LEFT JOIN nso007_client ON nso007_cancellation.pcaClientID = nso007_client.pclID

				LEFT JOIN nso007_user AS agent ON nso007_cancellation.pcaAgent = agent.pliID

				LEFT JOIN nso007_user AS staff ON nso007_cancellation.pcaBy = staff.pliID

				LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_cancellation.pcaSaleID = sale_detail.psdSaleID

				LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID

				LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

				LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

			    WHERE pcaID=$id
			    GROUP BY sale_detail.psdSaleID
			");

            return $data->row();

        }

		public function getItems1($id){

            $data = $this->db->query("
            	SELECT pcsID,pcsNote,pcspercentagePay, ploAmountOS, ppjName, pctName, piItemCode, piPrice, piSize, piCatagory, piProject, agent.pliPhone AS phone_agency, psdItemID, pclName,pcsID,pcsDoDate,pclPhone1,

				CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

				pcsCommisionPrecentage,pcsCommisionAmount,pcsConditionPrecentage,

				pcsConditionAmount,pcsCommisionWithdraw2,

				CONCAT(staff.pliFristName,' ',staff.pliLastName) AS staffName,

				nso007_commission.pcsStatus AS status, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items

				FROM nso007_commission

				LEFT JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID

				LEFT JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID

				LEFT JOIN nso007_user AS staff ON nso007_commission.pcsBy = staff.pliID

				LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_commission.pcsSaleID = sale_detail.psdSaleID

				LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID

				LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

				LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

				LEFT JOIN nso007_loan ON sale_detail.psdSaleID = nso007_loan.ploSale

			    WHERE pcsID=$id
			    GROUP BY sale_detail.psdSaleID
			");

            return $data->row();

        }

		public function getItems2($id){

            $data = $this->db->query("
            	SELECT pcsID,pcsNote,pcspercentagePay, ploAmountOS, ppjName, pctName, piItemCode, piPrice, piSize, piCatagory, piProject, agent.pliPhone AS phone_agency, psdItemID, pclName,pcsID,pcsDoDate,pclPhone1,

				CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

				pcsCommisionPrecentage,pcsCommisionAmount,pcsConditionPrecentage,

				pcsConditionAmount,pcsCommisionWithdraw3,

				CONCAT(staff.pliFristName,' ',staff.pliLastName) AS staffName,

				nso007_commission.pcsStatus AS status, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items

				FROM nso007_commission

				LEFT JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID

				LEFT JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID

				LEFT JOIN nso007_user AS staff ON nso007_commission.pcsBy = staff.pliID

				LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_commission.pcsSaleID = sale_detail.psdSaleID

				LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID

				LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

				LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

				LEFT JOIN nso007_loan ON sale_detail.psdSaleID = nso007_loan.ploSale

			    WHERE pcsID=$id
			    GROUP BY sale_detail.psdSaleID
			");

            return $data->row();

        }

        public function getComm($id){

            $data = $this->db->query("SELECT nso007_commission.pcsCommisionAmount as comm

                                    FROM nso007_commission_item

									LEFT JOIN nso007_commission ON nso007_commission.pcsID=nso007_commission_item.cs_id

									WHERE nso007_commission_item.cs_id = $id

									group by nso007_commission_item.cs_id");

            return $data->row();

        }

		public function get_commission_withdraw($id){

			$data = $this->db->query("SELECT pcsCommisionAmount, pcsCommisionWithdraw,pcsCommission FROM nso007_commission WHERE pcsID = $id");

			return $data->row(); 

		}

		public function getCommissionDetail($id)

		{

			$query = $this->db->query("

				SELECT * 

				FROM nso007_commission

				LEFT JOIN nso007_user ON nso007_commission.pcsAgent = nso007_user.pliID

				WHERE pcsID = $id

			");

			return $query->row();

		}

		public function insertItem($data){

			$this->db->insert_batch('nso007_commission_item', $data);

		}

		public function getCommissionItem($id)

		{

			$query = $this->db->query("

				SELECT *

				FROM nso007_commission_item

				WHERE csID = $id

			");

			return $query->result_array();

		}

		public function query_item($id){
			$data = $this->db->query("
				SELECT * FROM nso007_commission_item WHERE csiID = $id
			"); 
			return $data->row(); 
		}

	}

?>
