<?php

	class Commision_model extends CI_Model{

		

		public function get($search){

			$search = (empty($search))? "":" $search ";

			$data = $this->db->query("
				SELECT pcsID, ppjName, pctName, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				pclName, pcsSaleAmount, p_agency.agency, pcsCommisionWithdraw, pcsCommisionAmount, pcsPaidAmount, ploAmount,
				ploAmountOS, ploDiscount, psReceive, plopercentagePay, pcspercentagePay, pcsDoDate
				FROM nso007_commission AS com
				LEFT JOIN (
					SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS agency
					FROM nso007_user
				) AS p_agency ON com.pcsAgent = p_agency.pliID
				INNER JOIN nso007_loan AS loan ON com.pcsLoanID = loan.ploID
				INNER JOIN nso007_client AS clin ON loan.ploClientID = clin.pclID
				INNER JOIN nso007_sale_stock AS sale ON loan.ploSale = sale.psID
				INNER JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				INNER JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				INNER JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				INNER JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				$search
				GROUP BY sale.psID
				ORDER BY com.pcsID
			");

			return $data->result_array(); 

		}

		public function get_half($search){

			$search = (empty($search))? "":" $search ";

			$data = $this->db->query("
				SELECT pcsID, ppjName, pctName, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				pclName, pcsSaleAmount, p_agency.agency, pcsCommisionWithdraw, pcsCommisionAmount, pcsPaidAmount,
				ploAmountOS, ploDiscount, psReceive, plopercentagePay, pcspercentagePay, pcsDoDate
				FROM nso007_commission AS com
				LEFT JOIN (
					SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS agency
					FROM nso007_user
				) AS p_agency ON com.pcsAgent = p_agency.pliID
				INNER JOIN nso007_loan AS loan ON com.pcsLoanID = loan.ploID
				INNER JOIN nso007_client AS clin ON loan.ploClientID = clin.pclID
				INNER JOIN nso007_sale_stock AS sale ON loan.ploSale = sale.psID
				INNER JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				INNER JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				INNER JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				INNER JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				$search AND pcsStatus = 1
				GROUP BY sale.psID
				ORDER BY com.pcsID
			");

			return $data->result_array(); 

		}

		public function get_full($search){

			$search = (empty($search))? "":" $search ";

			$data = $this->db->query("
				SELECT pcsID, ppjName, pctName, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				pclName, pcsSaleAmount, p_agency.agency, pcsCommisionWithdraw, pcsCommisionAmount, pcsPaidAmount,
				ploAmountOS, ploDiscount, psReceive, plopercentagePay, pcspercentagePay, pcsDoDate
				FROM nso007_commission AS com
				LEFT JOIN (
					SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS agency
					FROM nso007_user
				) AS p_agency ON com.pcsAgent = p_agency.pliID
				INNER JOIN nso007_loan AS loan ON com.pcsLoanID = loan.ploID
				INNER JOIN nso007_client AS clin ON loan.ploClientID = clin.pclID
				INNER JOIN nso007_sale_stock AS sale ON loan.ploSale = sale.psID
				INNER JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				INNER JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				INNER JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				INNER JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				$search AND pcsStatus = 2
				GROUP BY sale.psID
				ORDER BY com.pcsID
			");

			return $data->result_array(); 

		}


		public function get_whereID($id){

		    $data = $this->db->query("SELECT * FROM nso007_sale_stock WHERE psID = $id");

		    return $data->row(); 

		}

		// public function get_half($search){

		// 	$search = (empty($search))? "":" $search ";

		// 	$data = $this->db->query("SELECT pcspercentagePay, ploAmountOS, ppjName, pctName, piItemCode, piPrice, piCatagory, piProject, psdItemID, pclName,pcsID,pcsDoDate,

		// 							CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

		// 							pcsCommisionPrecentage,pcsCommisionAmount,pcsConditionPrecentage,

		// 							pcsConditionAmount,pcsCommisionWithdraw,

		// 							CONCAT(staff.pliFristName,' ',staff.pliLastName) AS staffName

		// 							FROM nso007_commission

		// 							INNER JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID

		// 							INNER JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID

		// 							INNER JOIN nso007_user AS staff ON nso007_commission.pcsBy = staff.pliID

		// 							INNER JOIN nso007_sale_detail_stock AS sale_detail ON nso007_commission.pcsSaleID = sale_detail.psdSaleID

		// 							INNER JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID

		// 							INNER JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

		// 							INNER JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

		// 							INNER JOIN nso007_loan ON sale_detail.psdSaleID = nso007_loan.ploSale

		// 							$search AND pcsStatus = 1 ORDER BY pcsID DESC");

		// 	return $data->result_array(); 

		// }	

		// public function get_full($search){

		// 	$search = (empty($search))? "":" $search ";

		// 	$data = $this->db->query("SELECT pcspercentagePay, ploAmountOS, ppjName, pctName, piItemCode, piPrice, piCatagory, piProject, psdItemID, pclName,pcsID,pcsDoDate,

		// 							CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

		// 							pcsCommisionPrecentage,pcsCommisionAmount,pcsConditionPrecentage,

		// 							pcsConditionAmount,pcsCommisionWithdraw,

		// 							CONCAT(staff.pliFristName,' ',staff.pliLastName) AS staffName

		// 							FROM nso007_commission

		// 							INNER JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID

		// 							INNER JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID

		// 							INNER JOIN nso007_user AS staff ON nso007_commission.pcsBy = staff.pliID

		// 							INNER JOIN nso007_sale_detail_stock AS sale_detail ON nso007_commission.pcsSaleID = sale_detail.psdSaleID

		// 							INNER JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID

		// 							INNER JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

		// 							INNER JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

		// 							INNER JOIN nso007_loan ON sale_detail.psdSaleID = nso007_loan.ploSale

		// 							$search AND pcsStatus = 2 ORDER BY pcsID DESC");

		// 	return $data->result_array();

		// }	
 
		public function getID($id){

			$data = $this->db->query("
				SELECT psdSaleID, pclName,

					CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

					pcsConditionAmount,pcsCommisionWithdraw,pcsCommisionPrecentage,

					pcsConditionPrecentage,pcsConditionAmount,pcsCommisionAmount,piItemCode,piPrice

					FROM nso007_commission
					INNER JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID
					INNER JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID
					INNER JOIN nso007_sale_detail_stock as stock ON nso007_commission.pcsSaleID = stock.psdSaleID
					INNER JOIN nso007_item_stock AS item ON stock.psdItemID = item.piID
					WHERE pcsID = $id
					GROUP BY psdSaleID
				");

			return $data->row(); 

		}



		public function set_commission_item($data){

			$this->db->insert('nso007_commission_item', $data); 

		}



		public function getItem($id){

            $data = $this->db->query("SELECT * 

                                    FROM nso007_commission_item

                                    where cs_id = $id

                                    ");

            return $data->result_array();

        }

		public function getItems($id){

            $data = $this->db->query("
            	SELECT pcsID,pcsNote,pcspercentagePay, ploAmountOS, ppjName, pctName, piItemCode, piPrice, piSize, piCatagory, piProject, agent.pliPhone AS phone_agency, psdItemID, pclName,pcsID,pcsDoDate,pclPhone1,

				CONCAT(agent.pliFristName,' ',agent.pliLastName) AS agentName,

				pcsCommisionPrecentage,pcsCommisionAmount,pcsConditionPrecentage,

				pcsConditionAmount,pcsCommisionWithdraw,

				CONCAT(staff.pliFristName,' ',staff.pliLastName) AS staffName,

				nso007_commission.pcsStatus AS status, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items

				FROM nso007_commission

				INNER JOIN nso007_client ON nso007_commission.pcsClientID = nso007_client.pclID

				INNER JOIN nso007_user AS agent ON nso007_commission.pcsAgent = agent.pliID

				INNER JOIN nso007_user AS staff ON nso007_commission.pcsBy = staff.pliID

				INNER JOIN nso007_sale_detail_stock AS sale_detail ON nso007_commission.pcsSaleID = sale_detail.psdSaleID

				INNER JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID

				INNER JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

				INNER JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

				INNER JOIN nso007_loan ON sale_detail.psdSaleID = nso007_loan.ploSale

			    WHERE pcsID=$id
			    GROUP BY sale_detail.psdSaleID
			");

            return $data->row();

        }

        public function getComm($id){

            $data = $this->db->query("SELECT nso007_commission.pcsCommisionAmount as comm

                                    FROM nso007_commission_item

									LEFT JOIN nso007_commission ON nso007_commission.pcsID=nso007_commission_item.cs_id

									WHERE nso007_commission_item.cs_id = $id

									group by nso007_commission_item.cs_id");

            return $data->row();

        }

		public function get_commission_withdraw($id){

			$data = $this->db->query("SELECT pcsCommisionAmount, pcsCommisionWithdraw FROM nso007_commission WHERE pcsID = $id"); 

			return $data->row(); 

		}

		public function getCommissionDetail($id)

		{

			$query = $this->db->query("

				SELECT * 

				FROM nso007_commission

				LEFT JOIN nso007_user ON nso007_commission.pcsAgent = nso007_user.pliID

				WHERE pcsID = $id

			");

			return $query->row();

		}

		public function insertItem($data){

			$this->db->insert_batch('nso007_commission_item', $data);

		}

		public function getCommissionItem($id)

		{

			$query = $this->db->query("

				SELECT *

				FROM nso007_commission_item

				WHERE csID = $id

			");

			return $query->result_array();

		}

		public function query_item($id){
			$data = $this->db->query("
				SELECT * FROM nso007_commission_item WHERE csiID = $id
			"); 
			return $data->row(); 
		}

	}

?>