<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Capital');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<a class="btn btn-sm green " href="<?php echo site_url('capital/addnew');?>"> 
									<i class="fa fa-plus"></i>
									<?php echo zphrase('Addnew');?>									
								</a>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" align="center" width="100%" id="sample_4">
								<thead>
									<tr >
										<th><?php echo zphrase('No');?> </th>
										<th><?php echo zphrase(' Date');?></th>
										<th><?php echo zphrase('Capital Item');?></th>
										<th><?php echo zphrase('Description');?></th>
										<th><?php echo zphrase('Reference');?></th>
										<th><?php echo zphrase('Amount');?></th>
										<!-- <th><?php //echo zphrase('User');?></th> -->
										<th width="5%"><?php echo zphrase('Action');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($capitals as $capital){  ?>
										<tr pid="<?php echo $capital['pjnID'];?>">
											<td><?php echo $no; $no++; ?></td>
											<td><?php echo date('d-m-Y',strtotime($capital['pjnDatePay']));?></td>
											<td><?php echo $capital['pacName'];?></td>
											<td><?php echo $capital['pjnDes'];?></td>
											<td><?php echo $capital['pjnInvoice'];?></td>
											<td><?php echo $capital['currency'].$capital['pjnCr'];?></td>
											<!-- <td><?php //echo $capital['userName'];?></td> -->
											<td align="center">
												<a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(this)"><i class="fa fa-trash-o" title="Delete"></i></a>
											</td>
										</tr>
									<?php
									} ; ?>
								</tbody>
							</table>
						</div>	
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.commmision -->
	<?php $this->load->view('accounting/capital/delete.php');?>
	<!-- /.end commmision -->
	<script>
		function btnDelete(obj){
			var id = $(obj).closest("tr").attr("pid");
			$('.id').val(id);
		}
	</script>
					
	<!-- BEGIN PAGE LEVEL PLUGINS -->
	<script src="<?php echo base_url(); ?>assets/global/scripts/datatable.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
	<!-- END PAGE LEVEL PLUGINS -->
	<!-- BEGIN PAGE LEVEL SCRIPTS -->
	<script src="<?php echo base_url(); ?>assets/pages/scripts/table-datatables-responsive.min.js" type="text/javascript"></script>
	<!-- END PAGE LEVEL SCRIPTS -->
<?php $this->load->view('template/footer.php');?>