<?php $this->load->view('template/header.php');?>

<?php $this->load->view('template/body.php');?>
<?php
$userID = $this->session->userdata['logged_in']['pliGroup'];

$select_group = $this->db->query("
		SELECT * 
		FROM nso007_group
		LEFT JOIN nso007_menu ON nso007_group.pmGroup = nso007_menu.pmnID
		WHERE pmKey = $userID
	");
$get_group = $select_group->result_array();

$actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";


$no_permission = 0;
foreach ($get_group as $value) {
    $all_menu = $value['pmnDes'];
    $no_access =  base_url().'index.php/'.$all_menu;
    if ($no_access == $actual_link){
        $no_permission = 1;
    }
}

if ($no_permission == 0) { ?>


<div class="row">

    <div class="col-md-12">

        <div class="col-md-12">

            <div class="row widget-row">



                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

                    <div class="card-box ss " style="background-color: #0d4f9f;">

                        <i class="fa fa-money float-right icon_dashboard"></i>

                        <h6 class="text-white font_dashbord m-b-20"><?php echo zphrase('Cash on hand');?></h6>

                        <h1 class="m-b-20 text-white counter">$<?php echo number_format($cash_on_hand->total,2);?></h1>

                        <!--<span class="text-white">15 New Orders</span>!-->

                    </div>

                </div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

                    <div class="card-box noradius noborder bg-info">

                        <i class="fa fa-caret-square-o-down float-right icon_dashboard"></i>

                        <h6 class="text-white font_dashbord m-b-20"><?php echo zphrase('Income');?></h6>

                        <h1 class="m-b-20 text-white counter">$<?php echo number_format($income->total,2);?></h1>

                        <!--<span class="text-white">15 New Orders</span>!-->

                    </div>

                </div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

                    <div class="card-box noradius noborder bg-primary">

                        <i class="fa fa-caret-square-o-up float-right icon_dashboard"></i>

                        <h6 class="text-white font_dashbord m-b-20"><?php echo zphrase('Expende');?></h6>

                        <h1 class="m-b-20 text-white counter">$<?php echo number_format($expends->total,2);?></h1>

                        <!--<span class="text-white">15 New Orders</span>!-->

                    </div>

                </div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

                    <div class="card-box noradius noborder" style="background-color:#b99500">

                        <i class="fa fa-cc-discover float-right icon_dashboard"></i>

                        <h6 class="text-white font_dashbord m-b-20"><?php echo zphrase('Liability');?></h6>

                        <h1 class="m-b-20 text-white counter">$<?php echo number_format($libility,2);?></h1>

                        <!--<span class="text-white">15 New Orders</span>!-->

                    </div>

                </div>

            </div>

        </div>

        <div class="col-md-12">

            <div class="row widget-row">

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

                    <div class="card-box noradius noborder" style="background-color:#6b4a15">

                        <i class="fa fa-users float-right icon_dashboard"></i>

                        <h6 class="text-white font_dashbord m-b-20"><?php echo zphrase('Client');?></h6>

                        <h1 class="m-b-20 text-white counter"><?php echo $client->total;?></h1>

                        <!--<span class="text-white">15 New Orders</span>!-->

                    </div>

                </div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

                    <div class="card-box noradius noborder bg-purple">

                        <i class="fa fa-credit-card float-right icon_dashboard"></i>

                        <h6 class="text-white font_dashbord m-b-20"><?php echo zphrase('Collected');?></h6>

                        <h1 class="m-b-20 text-white counter">$<?php
                            echo number_format(
                                ($collected->plpPrinciple+$collected->plpInterest),
                                2);
                            ?></h1>

                        <!--<span class="text-white">15 New Orders</span>!-->

                    </div>

                </div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

                    <div class="card-box noradius noborder" style="background-color:lightblue">

                        <i class="fa fa-cc float-right icon_dashboard"></i>

                        <h6 class="text-white font_dashbord m-b-20"><?php echo zphrase('Collection');?></h6>

                        <h1 class="m-b-20 text-white counter">$<?php echo number_format($collect->total,2);?></h1>

                        <!--<span class="text-white">15 New Orders</span>!-->

                    </div>

                </div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

                    <div class="card-box noradius noborder" style="background-color: rgba(203, 36, 49, 0.8)">

                        <i class="glyphicon glyphicon-usd float-right icon_dashboard"></i>

                        <h6 class="text-white font_dashbord m-b-20"><?php echo zphrase('Completed');?></h6>

                        <h1 class="m-b-20 text-white counter">$<?php echo number_format($completed->ploAmount+$completed->ploInterest,2);?></h1>

                        <!--<span class="text-white">15 New Orders</span>!-->

                    </div>

                </div>



            </div>



        </div>

        <!-- <div class="col-md-12">

				<div class="row widget-row">

					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">

						<div class="card-box noradius noborder" style="background-color:#9B59B6">

								<i class="fa fa-user-o float-right icon_dashboard"></i>

								<h6 class="text-white font_dashbord m-b-20"><?php //echo zphrase('Customer');?></h6>

								<h1 class="m-b-20 text-white counter"><?php //echo $customer->total;?></h1>

								<span class="text-white">15 New Orders</span>

						</div>

					</div>

				</div>



			</div> -->

    </div>

    <!-- <div class="col-md-12">

			<div class="row col-md-12 col-sm-12">

				<div class="col-md-6 col-sm-6">

					<?php //echo mkchartpie($arr);?>

				</div>

				<div class="col-md-6 col-sm-6">

					<?php //echo mkchartpie($arrE);?>

				</div>

			</div>

		</div> -->

</div>

<?php }elseif ($no_permission == 1) { ?>
    <?php echo "<span style='font-size: 24px;'>Home</span>"; ?>
<?php } ?>



<!--	<script src="<?php //echo base_url(); ?>assets/pages/scripts/dashboard.min.js" type="text/javascript"></script>

!-->

<?php $this->load->view('template/footer.php');?>

