
<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<form class="form-horizontal" role="form" action="<?php echo site_url('ProjectPlanningItem/insert')?>" method="post" enctype="multipart/form-data">
	<!-- /.data -->
<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Project');?></span>
					</div>
				</div>
				<div class="portlet-body">
						<div class="form-body">
							<div class="row">
		                        <div class="col-md-6">
			                        <div class="row">
										<?php echo zinput(array('type'=>'select2','label'=>'Select Project','name'=>'project_id','validation'=>'required','data'=>$this->zone->data(array('table'=>'nso007_project_planning','value'=>'projectID','text'=>'projectName'))));?>
			                        </div>
		                        </div>
		                    </div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-plus font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Add Item');?></span>
					</div>
				</div>
				<div class="portlet-body">
					
							<div class="row">
								<div class="col-md-12">
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Item Name');?><span class="required"> * </span></label>
											<div class="col-md-8">
												<input type="text" class="form-control" name="itemName" required>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Item Size');?> (m<sup>2</sup>)</label>
											<div class="col-md-8">
												<input type="text" class="form-control itemSize" name="itemSize">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Item Cost / m<sup>2</sup>');?> ($)</label>
											<div class="col-md-8">
												<input type="text" class="form-control itemCost" name="itemCost">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Total Item Cost');?> ($)</label>
											<div class="col-md-8">
												<input type="text" class="form-control itemTotalCost" name="itemTotalCost" readonly>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Certificate');?> (.pdf)</label>
											<div class="col-md-8">
												<input type="file" name="itemCertificate">
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Item Date');?><span class="required"> * </span></label>
											<div class="col-md-8">
												<input type="text" class="form-control date-pickers" name="itemDate" required>
											</div>
										</div>
										<div class="form-group">
											<div class="col-md-12">
												<?php echo zinput(array('type'=>'address','label'=>' Address','name'=>'itemAddress','id'=>'_popupDiv_','validation'=>'required'));?>
											</div>
										</div>
									</div>
									
								</div>
							</div>
							<div class="row">
								<div class="form-actions">
									<div class="col-md-12">
										<div class="col-md-12 text-right">
											<a href="<?php echo site_url("ProjectPlanningItem/index");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
											<button type="submit" class="btn green"><?php echo zphrase('ADD');?></button>
										</div>
									</div>
								</div>
							</div>
						</div>

				</div>
			</div>
		</div>
	</div>
</form>
	<!-- /.end data -->
<?php $this->load->view('template/footer.php');?>
<script type="text/javascript">
	 $(document).ready(function() {
	 	$(".date-pickers").datepicker({
			format: 'yyyy-mm-dd'
		});
		$('.itemCost').on('keyup',function(){
	 		var cost = $(this).val();
	 		var size  = $('.itemSize').val();

	 		var itemCost = parseFloat(cost);
			var itemSize = parseFloat(size);

			var itemTotalCost = itemCost * itemSize;
			$('.itemTotalCost').val(itemTotalCost);
		});
		$('.itemSize').on('keyup',function(){
	 		var size  = $(this).val();
	 		var cost  = $('.itemCost').val();

			var itemSize = parseFloat(size);
	 		var itemCost = parseFloat(cost);

			var itemTotalCost = itemCost * itemSize;
			$('.itemTotalCost').val(itemTotalCost);
		});

	});
</script>

<style type="text/css">
.pdf-browse {
	background: url(<?php echo base_url(); ?>assets/layouts/layout/img/adobe-pdf-icon.png) no-repeat;
	background-size: cover;
	position: relative;
	display: block;
	margin-left: auto;
	margin-right: auto;
	cursor: pointer;
	width: 30px;
	height: 30px;
}
#itemType {
	width: 100%;
	opacity: 0;
	filter: alpha(opacity=0); /* IE 5-7 */
	overflow: hidden;
	display: block;
	width: 30px;
	height: 30px;
}
</style>
