<?php $this->load->view('template/header.php');?>

<?php $this->load->view('template/body.php');?>

<!-- /.search -->

<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="icon-settings font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Default Form');?></span>
					</div>
				</div>
				<form id="form-filter" class="form-horizontal">
					<div class="form-body">
						<div class="row">
							<div class="col-md-12">
								<div class="col-md-4">
									<input type="text" name="start_date" value="<?php echo date('m/01/Y'); ?>" class="form-control datepicker" id="st_date" placeholder="Start date" autocomplete="off">

								</div>
								<div class="col-md-4">
									<input type="text" name="end_date" value="<?php echo date('m/d/Y',mktime (0, 0, 0, date("m"), date('t'), date("Y"))); ?>" class="form-control datepicker" id="en_date" placeholder="end date" autocomplete="off">

								</div>
								<div class="col-md-4">
									<?php echo zinput(array('type'=>'select2','label'=>'User','name'=>'pjnBy','id'=>'pjnBy','data'=>$this->zone->data(array('table'=>'nso007_user','value'=>'pliID','text'=>'CONCAT(pliFristName," ",pliLastName)','where'=>'pliStatus is null '))));?>
									<div class="form-actions">
										<button type="button"  id="searching" class="btn blue pull-right"><i class="fa fa-search"></i> <?php echo zphrase('Search');?></button>
									</div>

								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>

<!-- /.end search -->

<div class="row">

	<div class="col-md-12">

		<div class="col-md-12">

			<!-- BEGIN EXAMPLE TABLE PORTLET-->

			<div class="portlet light bordered">

				<div class="portlet-title">

					<div class="caption font-red-sunglo">

						<i class="fa fa-list font-red-sunglo"></i>

						<span class="caption-subject bold"> <?php echo zphrase('Report Cash on hand');?></span>

					</div>

					<div class="actions">

						<div class="btn-group">

							<div class="row">

								<div class="col-md-12">

									<div class="dt-buttons">

										<a class="print_report btn-circle dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">

											<i class="fa fa-print"></i>

											<span>Print</span>

										</a>

										<a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">

											<i class="icon-book-open"></i>

											<span>Excel</span>

										</a>

									</div>

								</div>

							</div>

						</div>

					</div>

				</div>

				<div class="portlet-body">

					<div class="print">

						<div class="print_header"></div>

						<div class="table-scrollable">

							<table class="table table-striped table-bordered table-hover dt-responsive print_table_border" width="100%" id="posts">

								<thead>

								<tr style="background-color:lightblue;">

									<th><?php echo zphrase('No');?></th>

									<!-- <th><?php //echo zphrase('Account Code');?></th> -->

									<th><?php echo zphrase(' Date');?></th>

									<th><?php echo zphrase('Description');?></th>

									<th><?php echo zphrase('Reference');?></th>
									<th><?php echo zphrase('Pay To');?></th>

									<th><?php echo zphrase('User');?></th>

									<!-- <th><?php //echo zphrase('Client');?></th> -->

									<th><?php echo zphrase('Note');?></th>

									<th><?php echo zphrase('Cash IN');?></th>

									<th><?php echo zphrase('Cash Out');?></th>

									<th><?php echo zphrase('Balance');?></th>

								</tr>

								</thead>

								<tfoot>

								<tr>

									<td colspan="7" align="right">Total : </td>

									<td></td>

									<td></td>

									<td></td>

								</tr>

								</tfoot>

							</table>

						</div>

						<div class="print_footer"></div>

					</div>

				</div>

			</div>

		</div>

	</div>

</div>

<?php echo zreport(array('body'=>'footer'));?>

<?php $this->load->view('template/footer.php');?>

<script>

	$(document).ready(function(){
		$('.datepicker').datepicker({
			autoclose: true,
		});
		fill_datatable();
		function fill_datatable(start_date = '', end_date = '') {
			var start_date = $('#st_date').val();
			var end_date = $('#en_date').val();
			var pjnBy = $('#pjnBy').val();
			var dataTable = $('#posts').dataTable({

				"processing": true,
				"serverSide": true,
				"searching" : false,
				"lengthMenu": [ [10, 25, 50, 100, 1000,5000, -1], [10, 25, 50, 100,1000,5000, "All"] ],
				"ajax": {
					"url": "<?php echo site_url("report_cash_on_hand/load_data_datable/")?>",
					"type": "POST",
					"data": function (data) {
						data.st_date = start_date;
						data.en_date = end_date;
						data.pjnBy = pjnBy;
					}

				},
				"columnDefs": [
					{className: "dt-body-right", "targets": [6,7]},
					{className: "dt-body-center", "targets": [0]}
				],

				"footerCallback": function (row, data, start, end, display) {
					var api = this.api(), data;
					// Remove the formatting to get integer data for summation
					var intVal = function (i) {
						return typeof i === 'string' ?
							i.replace(/[\$,]/g, '') * 1 :
							typeof i === 'number' ?
								i : 0;
					};
					// Total over this page
					Cash_IN = api
						.column(7, {page: 'current'})
						.data()
						.reduce(function (a, b) {
							return intVal(a) + intVal(b);
						}, 0);
					Cash_OUT = api
						.column(8, {page: 'current'})
						.data()
						.reduce(function (a, b) {
							return intVal(a) + intVal(b);
						}, 0);

					// Update footer

					$(api.column(7).footer()).html(
						"$ " + parseFloat(Cash_IN).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
					);

					$(api.column(8).footer()).html(
						"$ " + parseFloat(Cash_OUT).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
					);

					$(api.column(9).footer()).html(
						"$ " + parseFloat(Cash_IN - Cash_OUT).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
					);

				}


			});
		}

		$('#searching').click(function(){
			var start_date = $('#st_date').val();
			var end_date = $('#en_date').val();
			var pjnBy = $('#pjnBy').val();
			if(start_date != '' && end_date != '' && pjnBy != '')
			{
				//alert(end_date);
				$('#posts').DataTable().destroy();
				fill_datatable(start_date, end_date, pjnBy);
			}
			else
			{
				alert('Select date filter option');
				$('#posts').DataTable().destroy();
				fill_datatable();
			}
		});

	});



	$('.print_report').click(function(){

		var table_head=`

        <table border="0" cellpadding="0" cellspacing="0" width="100%" class="custom-font">

			<tr>

				<td colspan="6">

					<table border="0" cellpadding="1" cellspacing="1" width="100%">

						<tr>

							<td width="10%">

								<div class="contract-title">

								

								</div>

							</td>

							<td width="70%" align="center" colspan="5">

								<h2 class="contract-title" style="margin-bottom: 40px;font-size: 32px;">ក្រុមហ៊ុន ឃុន សឿ លក់ដីឡូតិ៍</h2>
								<h3 class="main-title" style="margin-bottom:0;">

									<span>របាយការណ៍សាច់ប្រាក់នៅលើដៃ</span>

								</h3>

							</td>

							<td width="20%"></td>

						</tr>

					</table>

				</td>

			</tr>

			<tr>

				<td colspan="6">

					<table border="0" cellpadding="1" cellspacing="1" width="100%">

						<tr>

							<td class="contract-title"​ align="center">

								<hr style="color: #000;border: 1px solid;" />

								<br/>

							</td>

						</tr>

					</table>

				</td>

			</tr>

		</table>`;

		var table_foot = `<br/>

	    <table width="100%" class="custom-font custom-font">

			<tr>

				<td colspan="3" align="right">ធ្វើនៅ<span>ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>

			</tr>

			<tr>

	            <td valign="top" align="right" width="50%">

	            	<div style="width:200px;" align="center">

	                	<span>ហត្ថលេខា</span><br/><br/><br/><br/>

	                	<span>------------------------------</span>

	                </div>

	            </td>

			</tr>

	    </table>`;



		$('.print_header').append(table_head);

		$('.print_footer').append(table_foot);

		print_report(print);

		location.reload();



		// var w = window.open();

		// $(w.document.body).html(table_style+table_head+table_foot+print_style);

		// w.print();

	});



</script>
