<?php $this->load->view('template/header.php');?>

<?php $this->load->view('template/body.php');?>



<!-- /.search -->

<?php $this->load->view('report_collection/payment_search.php');?>

<!-- /.end search -->



<div class="row">

    <div class="col-md-12">

        <div class="col-md-12">

            <!-- BEGIN EXAMPLE TABLE PORTLET-->

            <div class="portlet light bordered">

                <div class="portlet-title">

                    <div class="caption font-red-sunglo">

                        <i class="fa fa-list font-red-sunglo"></i>

                        <span class="caption-subject bold uppercase"> <?php echo zphrase('Report Payment');?></span>

                    </div>

                    <div class="actions">

                        <div class="btn-group">

                            <div class="row">

                                <div class="col-md-12">

                                    <div class="dt-buttons">



                                        <a class="btn-circle print_report dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">

                                            <i class="fa fa-print"></i>

                                            <span>Print</span>

                                        </a>

                                        <a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">

                                            <i class="icon-book-open"></i>

                                            <span>Excel</span>

                                        </a>

                                    </div>

                                </div>

                            </div>

                        </div>

                    </div>

                </div>

                <div class="portlet-body">



                    <div class="print">

                        <div class="a"></div>

                        <div class="table-scrollable">

                            <table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">

                                <thead>

                                <tr style="background-color:lightblue;">

                                    <th><?php echo zphrase('No');?></th>

                                    <th><?php echo zphrase('Client Name');?></th>

                                    <th><?php echo zphrase('Project Name');?></th>

                                    <th><?php echo zphrase('Item');?></th>

                                    <th><?php echo zphrase('price');?></th>

                                    <th><?php echo zphrase('Discount');?></th>

                                    <th><?php echo zphrase('Selling Price');?></th>

                                    <th><?php echo zphrase('Payment Received');?></th>

                                    <th><?php echo zphrase('Payment Due');?></th>

                                </tr>

                                </thead>

                                <tbody>

                                <?php foreach ($data as $row): ?>

                                    <?php

                                    $currency = $row['currency'];

                                    $amount_receive = $row['ploAmount']-$row['ploAmountOS']-$row['psDiscount'];
                                    $selling_cost = $row['ploAmount']-$row['psDiscount'];

                                    ?>

                                    <tr>

                                        <td><?php echo $no;?></td>

                                        <td><?php echo $row['pclName'];?></td>

                                        <td><?php echo $row['ppjName'];?></td>

                                        <td><?php echo $row['items'];?></td>

                                        <td>$ <?php echo $row['ploAmount'];?></td>

                                        <td>$ <?php echo $row['psDiscount'];?></td>

                                        <td>$ <?php echo $selling_cost;?></td>

                                        <td>$ <?php echo $amount_receive;?></td>

                                        <td>$ <?php echo $row['ploAmountOS'];?></td>



                                        <?php $no++;?>

                                    </tr>

                                <?php endforeach; ?>



                                </tbody>

                                <tfoot>

                                <tr>

                                    <td colspan="4" align="right"><?php echo zphrase('Total');?> : </td>

                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>

                                </tr>

                                </tfoot>

                            </table>

                        </div>

                        <div class="b"></div>

                    </div>

                </div>

            </div>

        </div>

    </div>

</div>

<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>

<?php $this->load->view('template/footer.php');?>

<script type="text/javascript">

    $(document).ready(function(){

        $('#datatable').dataTable({

            ordering:false,

            searching: false,

            aLengthMenu: [

                [10,25, 50, 100, 200, -1],

                [10,25, 50, 100, 200, "All"]

            ],



            "footerCallback": function ( row, data, start, end, display ) {

                var api = this.api(), data;



                // Remove the formatting to get integer data for summation

                var intVal = function ( i ) {

                    return typeof i === 'string' ?

                        i.replace(/[\$,]/g, '')*1 :

                        typeof i === 'number' ?

                            i : 0;

                };



                // Total over this page

                totalcost = api

                    .column( 4, { page: 'current'} )

                    .data()

                    .reduce( function (a, b) {

                        return intVal(a) + intVal(b);

                    }, 0 );

                totaldis = api

                    .column( 5, { page: 'current'} )

                    .data()

                    .reduce( function (a, b) {

                        return intVal(a) + intVal(b);

                    }, 0 );

                totalsellcost = api

                    .column( 6, { page: 'current'} )

                    .data()

                    .reduce( function (a, b) {

                        return intVal(a) + intVal(b);

                    }, 0 );


                totalpayreceive = api

                    .column( 7, { page: 'current'} )

                    .data()

                    .reduce( function (a, b) {

                        return intVal(a) + intVal(b);

                    }, 0 );


                totalpaydue = api

                    .column( 8, { page: 'current'} )

                    .data()

                    .reduce( function (a, b) {

                        return intVal(a) + intVal(b);

                    }, 0 );



                // Update footer



                $( api.column( 4 ).footer() ).html(

                    "$" + parseFloat(totalcost).toFixed(2)

                );
                $( api.column( 5 ).footer() ).html(

                    "$" + parseFloat(totaldis).toFixed(2)

                );
                $( api.column( 6 ).footer() ).html(

                    "$" + parseFloat(totalsellcost).toFixed(2)

                );
                $( api.column( 7 ).footer() ).html(

                    "$" + parseFloat(totalpayreceive).toFixed(2)

                );
                $( api.column( 8 ).footer() ).html(

                    "$" + parseFloat(totalpaydue).toFixed(2)

                );



            }





        });

    });



    $('.print_report').click(function(){

        var table=`

        <div class="panelBody"><table border="0" cellpadding="0" cellspacing="0" width="100%" class="">

						<tr>

							<td colspan="6">

								<table border="0" cellpadding="1" cellspacing="1" width="100%">

									<tr>

										<td width="10%">

											<div class="contract-title">

												

											</div>		

										</td>

										<td width="70%" align="center" colspan="5">

											<h2 class="contract-title" style="margin-bottom: 40px;font-size: 32px;">ក្រុមហ៊ុន ឃុន សឿ លក់ដីឡូតិ៍</h2>
											<h3 class="main-title" style="margin-bottom:0;">

												<span>របាយការណ៍ទូទាត់ប្រាក់សរុប</span>

											</h3>

										</td>

										<td width="20%"></td>

									</tr>

								</table>

							</td>

						</tr>
						<tr>

							<td colspan="6">

								<table border="0" cellpadding="1" cellspacing="1" width="100%">

									<tr>

										<td class="contract-title"​ align="center">

											<hr style="color: #000;border: 1px solid;" />

											<br/>

										</td>

									</tr>

								</table>

							</td>

						</tr>  

					</table>`;

        var table_foot = `<br/>

    <table width="100%" >

		<tr>

			<td colspan="3" align="right">ធ្វើនៅ<span class="filled-form">ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>

		</tr>

		<tr>

           

            <td valign="top" align="right" width="50%">

            	<div style="width:200px;" align="center">

                	<span class="font-title-signature">ហត្ថលេខា</span><br/><br/>

                	<span class="font-title-signature">------------------------------</span><br/><br/><br/><br/><br/>

                   

                </div>

            </td>

		</tr>

    </table>`;



        $('.a').append(table);

        $('.b').append(table_foot);

        $('#table').addClass('table table-bordered dt-responsive');

        print_report(print);

        location.reload();



    });





</script>