<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	
	<!-- /.search -->
	<?php $this->load->view('report_pawn/report_pawn_search.php');?>
	<!-- /.end search -->
	<?php $style = '<style> h1{font-size:16px;font-family:\"Khmer OS Muol Light\"; text-decoration:underline; color:#06F;}.generalReport { }.generalReport table{ border:none; border-collapse:collapse; width:100%;}.generalReport table tr td,.generalReport table tr th{ border:1px solid black; text-align:center; font-size:14px;}.generalReport table tr td strong{ color:#F00;}.generalReport table tr td.noBorder,.generalReport table tr th.noBorder { border:none; background-color:#FFF;}.generalReport table tr th{ font-size:15px; background-color:#09F;}</style>';?>
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Report Pawn');?></span>
						</div>
					</div>
					<div class="portlet-body">
						<div class="row">
							<div class="col-md-12">
								<div class="dt-buttons">
									<a onclick="exportTo('cvs')" class="dt-button buttons-print btn dark btn-outline" tabindex="0" aria-controls="sample_1">
										<span>CVS</span>
									</a>
									<a onclick="print_report()" class="dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
										<span>Print</span>
									</a>
									<a onclick="exportTo('xls')" class="dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">
										<span>Excel</span>
									</a>
								</div>
							</div>
						</div>
						<div class="print">
							<div class="table-scrollable">
								<table class="table table-bordered dt-responsive" width="100%" id="sample_4">
									<thead>
										<tr>
											<th><?php echo zphrase('Pawn Code');?></th>
											<th><?php echo zphrase('Pawn Name');?></th>
											<th><?php echo zphrase('Pawn Date');?></th>
											<th><?php echo zphrase('Client Name');?></th>
											<th><?php echo zphrase('Type');?></th>
											<th><?php echo zphrase('Amount');?></th>
											<th><?php echo zphrase('Interest');?></th>
											<th><?php echo zphrase('Principle Balance');?></th>
											<th><?php echo zphrase('Interest Method');?></th>
											<th><?php echo zphrase('Duration');?></th>
											<th><?php echo zphrase('Model');?></th>
											<th><?php echo zphrase('Machine Number');?></th>
											<th><?php echo zphrase('Color');?></th>
											<th><?php echo zphrase('Body Number');?></th>
											<th><?php echo zphrase('Series');?></th>
											<th><?php echo zphrase('Book Number');?></th>
											<th><?php echo zphrase('Pled Number');?></th>
										</tr>
									</thead>
									<tbody>
										<?php foreach ($data as $row): ?>
											<?php 
												$currency = $row['currency'];
								
											?>
											<tr>
												<td><?php echo $row['ppwID'];?></td>
												<td><?php echo $row['ppwName'];?></td>
												<td><?php echo date('d-m-Y',strtotime($row['ppwDodate']));?></td>
												<td><?php echo $row['pclName'];?></td>
												<td><?php echo $row['type'];?></td>
												<td><?php echo $currency.$row['ppwAmount'];?></td>
												<td><?php echo $row['ppwInterest'];?>%</td>
												<td><?php echo $currency.$row['ppwAmountOS'];?></td>
												<td><?php echo $row['interest'];?></td>
												<td><?php echo $row['ppwDuration'];?> <?php echo $row['term'];?></td>
												<td><?php echo $row['ppwModel'];?></td>
												<td><?php echo $row['ppwMachine'];?></td>
												<td></td>
												<td><?php echo $row['ppwBody'];?></td>
												<td><?php echo $row['ppwSeri'];?></td>
												<td><?php echo $row['ppwPlad'];?></td>
												<td><?php echo $row['ppwBook'];?></td>
											</tr>
										<?php endforeach; ?>
											<tr align="right" class="report_footer">
												<td colspan="16"><?php echo zphrase('Total Pawn');?></td>
												<td><?php echo $data_sum->ppwID;?></td>
											</tr>
											<tr align="right" class="report_footer">
												<td colspan="16"><?php echo zphrase('Total Client');?></td>
												<td><?php echo $data_sum->pclID;?></td>
											</tr>
											<tr align="right" class="report_footer">
												<td colspan="16"><?php echo zphrase('Total Amount');?></td>
												<td><?php echo $data_sum->currency.$data_sum->ppwAmount;?></td>
											</tr>
											<tr align="right" class="report_footer">
												<td colspan="16"><?php echo zphrase('Total Principle');?></td>
												<td><?php echo $data_sum->currency.$data_sum->ppwAmountOS;?></td>
											</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>	
		</div>	
	</div>
	<script src="<?php echo base_url(); ?>assets/js/jquery.min.js" type="text/javascript"></script>
	
	<script>
		
		//$('table').tableExport();
		function payment(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/payment")?>/"+id,
				type: "get",
				success: function(data){
					$(".payment").html(data);
				}
			});
		}
		function reschedule(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_reschedule")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".ppwInterest").val(d.interest);
					$(".ppwFristPayDate").val(d.datePay);
					$(".ppwDodate").val(d.dateReschedule);
					$(".ppwID").val(id);
				}
			});
		}
		function payoff(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_payoff")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function write_off(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_write_off")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					//$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function btnDelete(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_delete")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					//$(".ppwAmount").val(d.amountOS);
					$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function pay(obj){
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("pawn/form_pay")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					var interest = d.interest;
					var principle = d.principle;
					var total = parseInt(interest) + parseInt(principle);
					console.log(typeof(d.datePay));
					$(".pppPanelty").val(0);
					$(".pppPrinciplePay").val(principle);
					$(".pppInterestPay").val(interest);
					$(".totalPayment").val(total);
					//$(".pppPawnDate").val(d.datePay);
					//$(".pppDatePay").val(d.datePay);
					$(".ppwID").val(id);
				}
			});
		}
		function payPrinciple(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		function payInterest(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		function payPenalty(obj){
			var payPenalty = $(".pppPanelty").val();
			var payPrinciple = $(".pppPrinciplePay").val();
			var payInterest = $(".pppInterestPay").val();
			
			$(".totalPayment").val(parseInt(payPenalty) + parseInt(payPrinciple) + parseInt(payInterest));
		}
		
		
	</script>			
					
					
	<!-- BEGIN PAGE LEVEL PLUGINS -->
	<!--<script src="<?php echo base_url(); ?>assets/global/scripts/datatable.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
	<!-- END PAGE LEVEL PLUGINS -->
	<!-- BEGIN PAGE LEVEL SCRIPTS -->
	<!--<script src="<?php echo base_url(); ?>assets/pages/scripts/table-datatables-responsive.min.js" type="text/javascript"></script>
	<!-- END PAGE LEVEL SCRIPTS -->
	<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>
	<!--<script src="<?php echo base_url(); ?>assets/js/FileSaver.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/js/tableexport.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/js/tableexport.min.js" type="text/javascript"></script>
	-->
	<?php $this->load->view('template/footer.php');?>