
<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-plus font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Sale Feedback');?></span>
					</div>
				</div>
				<div class="portlet-body">
					<?php foreach($posts as $post): ?>
					<form class="form-horizontal" role="form" action="<?php echo site_url('SalesFeedback/insert')?>" method="post">
						<div class="form-body">
							<div class="row">
								<div class="col-md-12">
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Name');?></label>
											<div class="col-md-9">
												<input type="hidden" name="sale_id" value="<?php echo $post->pclID;?>">
												<input type="text" class="form-control" name="name" value="<?php echo $post->pclName;?>" disabled>
											</div>

										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase(' Date');?></label>
											<div class="col-md-9">
												<input type="text" id="mydate" class="form-control form-control" name="date_time">
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase(' Feedback');?></label>
											<div class="col-md-9">
												<textarea class="form-control" name="feedback" id="" cols="50" rows="3" required></textarea>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="form-actions">
									<div class="col-md-12 text-right">
										<a href="<?php echo site_url("Customer/index");?>" class="btn default"><i class="fa fa-reply"></i> <?php echo zphrase('Cancel');?></a>
										<button type="submit" class="btn green"><?php echo zphrase('ADD');?></button>
									</div>
								</div>
							</div>
						</div>
					</form>
					<?php endforeach; ?>
				</div>
			</div>
		</div>
	</div>

	<!-- /.end data -->
<?php $this->load->view('template/footer.php');?>
<script type="text/javascript">
	var currentDate = new Date();  
	$("#mydate").datepicker("setDate",currentDate);
</script>