<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	
	<!-- /.search -->
	<?php $this->load->view('setting/account_chart/search.php');?>
	<!-- /.end search -->
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Acount Chart');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<a class="btn btn-sm green " href="<?php echo site_url('account_chart/addnew');?>"> 
									<i class="fa fa-plus"></i>
									<?php echo zphrase('Addnew');?>									
								</a>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
								<thead>
									<tr>
										<th><?php echo zphrase('Code');?></th>
										<th><?php echo zphrase('Name');?></th>
										<th><?php echo zphrase('Name KH');?></th>
										<th><?php echo zphrase('Type');?></th>
										<th><?php echo zphrase('Group');?></th>
										<th><?php echo zphrase('Description');?></th>
										<th width="10%"><?php echo zphrase('Action');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach($data as $row): ?>
										<tr pd="<?php echo $row['pacCode'];?>">
											<td><?php echo $row['pacCode'];?></td>
											<td><?php echo $row['pacName'];?></td>
											<td><?php echo $row['pacNameKH'];?></td>
											<td><?php echo $row['patName'];?></td>
											<td><?php echo $row['pagName'];?></td>
											<td><?php echo $row['pacDes'];?></td>
											<td>
												<a class="btn btn-sm blue" data-toggle="modal" href="<?php echo site_url('account_chart/edit/'.$row['pacCode']);?>"><i class="fa fa-edit"></i></a>
												<a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(this)"><i class="fa fa-trash-o"></i></a>
											</td>
										</tr>
									<?php endforeach; ?>
									
								</tbody>
							</table>
						</div>
					</div>
				</div>
				
			</div>
		</div>	
	</div>
	
	<?php $this->load->view('setting/account_chart/delete.php');?>
	
	<script>
		function btnDelete(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$(".id").val(id);
		}
	</script>
	
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
  $('#datatable').dataTable();
</script>