<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

    <!-- /.search -->
<?php $this->load->view('setting/user/search.php');?>
    <!-- /.end search -->

    <div class="row">
        <div class="col-md-12">
            <div class="col-md-12">
                <!-- BEGIN EXAMPLE TABLE PORTLET-->
                <div class="portlet light bordered">
                    <div class="portlet-title">
                        <div class="caption font-red-sunglo">
                            <i class="fa fa-list font-red-sunglo"></i>
                            <span class="caption-subject bold uppercase"> <?php echo zphrase('User');?></span>
                        </div>
                        <div class="actions">
                            <div class="btn-group">
                                <a class="btn btn-sm green " href="<?php echo site_url('user/addnew');?>">
                                    <i class="fa fa-plus"></i>
                                    <?php echo zphrase('Addnew');?>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="portlet-body">
                        <div class="table-scrollable">
                            <table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="sample_4">
                                <thead>
                                <tr>
                                    <th><?php echo zphrase('Full Name');?></th>
                                    <th><?php echo zphrase('UserName');?></th>
                                    <th><?php echo zphrase('Gender');?></th>
                                    <th><?php echo zphrase('Phone');?></th>
                                    <th><?php echo zphrase('Email');?></th>
                                    <th><?php echo zphrase('Position');?></th>
                                    <th><?php echo zphrase('Group');?></th>
                                    <th width="100px"><?php echo zphrase('Action');?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach($data as $row): ?>
                                    <tr pd="<?php echo $row['pliID'];?>">
                                        <td><?php echo $row['userName'];?></td>
                                        <td><?php echo $row['pliUserName'];?></td>
                                        <td><?php echo $row['gender'];?></td>
                                        <td><?php echo $row['pliPhone'];?></td>
                                        <td><?php echo $row['pliEmail'];?></td>
                                        <td><?php echo $row['pptName'];?></td>
                                        <td><?php echo $row['pugName'];?></td>
                                        <td>
                                            <a class="btn btn-sm green" data-toggle="modal" href="<?php echo site_url('user/edit/'.$row['pliID'])?>" onclick="btnDelete(this)"><i class="fa fa-check-square-o"></i></a>
                                            <a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(this)"><i class="fa fa-trash-o"></i></a>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- /.reschdule -->
                <?php $this->load->view('setting/user/delete.php');?>
                <!-- /.end reschedule -->
            </div>
        </div>
    </div>
    <script>
        function btnDelete(obj){
            var id = $(obj).closest("tr").attr("pd");
            $.ajax({
                url: "<?php echo site_url("user/form_delete")?>/"+id,
                type: "get",
                success: function(data){
                    var d = $.parseJSON(data);
                    $(".id").val(id);
                }
            });
        }
    </script>

<?php $this->load->view('template/footer.php');?>