<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold"> <?php echo zphrase('category');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<button type="button" class="btn btn-sm green" data-toggle="modal" data-target="#add_new_category"><?php echo zphrase('Add New');?></button>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="sample_4">
								<thead>
									<tr>
										<th><?php echo zphrase('Image');?></th>
										<th><?php echo zphrase('No');?></th>
										<th><?php echo zphrase('Name');?></th>
										<th><?php echo zphrase('Description');?></th>
										<th width="10%"><?php echo zphrase('Action');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($data as $row): ?>
										<?php
											if($row['pctImage'] == null){
												$img = base_url('assets/pages/img/image.png');
											}else{
												$img = base_url('upload/stock/'.$row['pctImage']);
											}

                                            if($row['pctImage'] == null){
                                                $imgs = base_url('assets/pages/img/image.png');
                                            }else{
                                                $imgs = ('upload/stock/'.$row['pctImage']);
                                            }
                                        ?>
										<tr pd="<?php echo $row['pctID'];?>">
											<td><a href="#_img_" data-toggle="modal" id="showImg"><img class="img-circle" width="60" height="60" src="<?php echo $img;?>"></a></td>
											<td><?php echo $no;?></td>
											<td><?php echo $row['pctName'];?></td>
											<td><?php echo $row['pctDes'];?></td>
											<td>
												<a class="btn btn-sm btn-circle blue" data-toggle="modal" href="#edit_category_<?php echo $row['pctID'];?>" title="Reschedule"><i class="fa fa-edit"></i></a>
												<a class="btn btn-sm btn-circle red" data-toggle="modal" href="#delete" onclick="btnDelete(<?php echo $row['pctID']; ?>)"><i class="fa fa-trash-o" title="Delete pawn"></i></a>
											</td>
										</tr>
                                        <!-- Modal -->
                                        <div class="modal fade bs-modal-lg" id="edit_category_<?php echo $row['pctID'];?>" tabindex="-1" role="dialog" aria-hidden="true">
                                            <div class="modal-dialog modal-md">
                                                <form class="form-horizontal" role="form" action="<?php echo site_url('stock/category/update/'.$row['pctID'])?>" method="post" enctype="multipart/form-data">
                                                    <!-- Modal content-->
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                            <div class="portlet-title">
                                                                <div class="caption font-red-sunglo">
                                                                    <i class="fa fa-plus font-red-sunglo"></i>
                                                                    <span class="caption-subject sbold uppercase"><?php echo zphrase('Edit');?></span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="row">
                                                                <div class="col-md-11">
                                                                    <?php echo zinput(array('type'=>'photo','name'=>'image','value'=>$imgs));?>
                                                                    <?php echo zinput(array('type'=>'hidden','name'=>'pclImage','value'=>$row['pctImage']));?>
                                                                    <?php echo zinput(array('type'=>'text','label'=>'Name','name'=>'name','validation'=>'required','value'=>$row['pctName']));?>
                                                                    <?php echo zinput(array('type'=>'text','label'=>'Description','name'=>'des','value'=>$row['pctDes']));?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                                            <button type="submit" id="save" class="btn green"><?php echo zphrase('update');?></button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
										<?php $no++;?>
									<?php endforeach; ?>


								</tbody>
							</table>
						</div>
						<?php echo $this->pagination->create_links();?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.delete -->
	<?php $this->load->view('stock/category/delete.php');?>
	<!-- /.end delete -->
	<!-- /.add new -->
	<?php $this->load->view('stock/category/add.php');?>
	<!-- /.end add new -->
	<script>
		function btnDelete(obj){ 
			var id = obj;
			$('.id').val(id);
		}
	</script>
	
<?php $this->load->view('template/footer.php');?>