<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Backup_data extends CI_Controller {
	function __construct() {
		parent::__construct();
		
		$this->load->dbutil();
		$this->load->helper('file');
		$this->load->helper('download');
		$this->load->model('permission_model');
	}

	public function index(){		
	
	}
	public function view(){
		$data["icon"] = 'fa fa-database';
		$data["title"] = 'Backup Database';
		$this->load->view('setting/backup_data.php',$data);
	}
	public function backup(){
		$prefs = array(     
                'format'      => 'zip',             
                'filename'    => 'my_db_backup.tzr'
        );


        $backup =& $this->dbutil->backup($prefs); 

        $db_name = 'backup-on-'. date("Y-m-d-H-i-s") .'.tzr';
        $save = './database_backup/'.$db_name;

        $this->load->helper('file');
		write_file($save, $backup); 

		
        $this->load->helper('download');
        force_download($db_name, $backup); 
		
		 
		
	}
	
}
