<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Pawn extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('pawn_model');
		$this->load->model('pawn_process_model');
		$this->load->model('dropdown_model');
		$this->session->userdata('username');
		$this->load->model('Pagination_model_1');
		$this->load->model('search_model');
		$this->load->model('client_model');
		
		$this->load->library('pagination');
        $this->load->model('permission_model');

		
	}

	public function index(){		
		
		$this->load->view('pawn/index.php');
	}
	public function view(){
		$search_amount = (empty($_POST['ppwAmount']))? '':' ppwAmount = "'.$_POST['ppwAmount'].'" ';
		$search_currentcy = (empty($_POST['ppwCurrentcy']))? '':' ppwCurrentcy = "'.$_POST['ppwCurrentcy'].'" ';
		$search_codeID = (empty($_POST['ppwID']))? '':' ppwID = "'.$_POST['ppwID'].'" ';
		$search_client = (empty($_POST['pclName']))? '':' pclName LIKE "%'.$_POST['pclName'].'%" ';
		$search_name = (empty($_POST['ppwName']))? '':' ppwName LIKE "%'.$_POST['ppwName'].'%" ';
		
		$data_search = array(
			'search_client' =>$search_client,
			'search_amount' =>$search_amount,
			'search_codeID' =>$search_codeID,
			'search_name' =>$search_name,
			'search_currentcy' =>$search_currentcy,
		);
		$search = $this->search_model->search($data_search);
		
		$page = '';
		if(empty($search)){
			$config = $this->Pagination_model_1->pagination();
			$this->pagination->initialize($config);
			$page = $config['per_page'];
		}
		

		$data["datas"] = $this->pawn_model->getPawn($page, $this->uri->segment(3),$search);
		$data['user_drop'] = $this->dropdown_model->drop_user();
		$data["icon"] = 'fa fa-money';
		$data["title"] = 'Pawn';
		
		$this->load->view('pawn/index.php',$data);
	}
	public function addnew(){
		$client['client_drop'] = $this->dropdown_model->drop_client();
		$client['term_drop'] = $this->dropdown_model->drop_term(2,$code='');
		$client['term_currency'] = $this->dropdown_model->drop_term(5,$code='');
		$client['term_type'] = $this->dropdown_model->drop_term(3,$code='');
		$client['user_drop'] = $this->dropdown_model->drop_user();
		$client["icon"] = 'fa fa-money';
		$client["title"] = 'Addnew';
		
		$this->load->view('pawn/addnew.php',$client);
	}
	public function insert(){ 
		$this->pawn_model->insert($_POST);
		
	}
	public function payment($id){	
		$get = $this->pawn_process_model->getPawnProcess($id);
		$getPawn = $this->pawn_model->getPawnID($id);
		$form = '';
		$pay = '';
		$bgColor = '';
		foreach($get as $row){
			$status = $row['pppStatus'];
			
			if($status == 1){ 
				$form = '
					<tr pd="'.$row['pppDes'].'">
						<td colspan="6">'.date('m-d-Y',strtotime($row['pppPawnDate'])).'</td>
					</tr>
				';
			}elseif($status == 2){
				$pay = '';		
			}elseif($status == 3){
				$pay = '<a class="btn btn-xs purple" data-toggle="modal" href="#pay" onclick="pay(this)"><i class="fa fa-money"></i></a>';			
				$bgColor = '';
			}elseif($status == 5){
				$pay = '<a class="btn btn-xs red" target="_blank" href="'.site_url('pawn/invoice/'.$row['pppID']).'"><i class="fa fa-print"></i></a>';			
				$bgColor = 'style="background:#E1E5EC"';
			}elseif($status == 8){
				$des = '<td colspan="8">'.$row['pppDes'].'</td>';
			}
			$form .= '
					<tr pd="'.$row['pppID'].'" '.$bgColor.'>
						<td>'.$row['pppNo'].'</td>
						<td>'.date('d-m-Y',strtotime($row['pppPawnDate'])).'</td>
						<td>'.$row['pppPrinciple'].'</td>
						<td>'.$row['pppInterest'].'</td>
						<td>'.$row['pppPrinciplePaid'].'</td>
						<td>'.$row['pppOSPrinciple'].'</td>
						<td>'.$row['pppOwe'].'</td>
						<td>
							'.$pay.'
						</td>
					</tr>
				';	
		}
		
		echo $form;
	}
	public function form_reschedule($id){	
		$getPawn = $this->pawn_model->getPawnID($id);
		$data['interest'] = $getPawn->ppwInterest;
		$data['datePay'] = date('d-m-Y',strtotime($getPawn->ppwDodate));
		$data['dateReschedule'] = date('d-m-Y');
		$data['pawnID'] = $id;
		echo json_encode($data);
	}
	
	public function form_payoff($id){	
		$getPawn = $this->pawn_model->getPawnID($id);
		$data['amountOS'] = $getPawn->ppwAmountOS;
		$data['datePay'] = date('d-m-Y');
		$data['pawnID'] = $id;
		echo json_encode($data);
	}
	public function payoff(){	
		$amount = $_POST['ppwAmountOS'];
		$pawnID = $_POST['ppwID'];
		$date = $_POST['pppDatePay'];
		$by = $_POST['pppBy'];
		$ppwInterest = $_POST['ppwInterest'];
		
		$this->db->query("UPDATE nso007_pawn SET ppwAmountOS = 0,ppwStatus = 2 WHERE ppwID = $pawnID");
		$this->db->query("DELETE FROM nso007_pawnprocess WHERE pppPawnID = $pawnID AND pppStatus in(3,2)");
		
		$data_process = array(
			'pppDatePay'=>date('Y-m-d',strtotime($_POST['pppDatePay'])),
			'pppStatus'=>7,
			'pppBy'=>$by,
			'pppInterest'=>$ppwInterest,
			'pppPrinciple'=>$ppwAmountOS,
			'pppDes'=>'PayOff amount:'.$amount.' on date:'.$_POST['pppDatePay'],
		);
		$this->db->insert('nso007_pawnprocess', $data_process);
		
		redirect(site_url('pawn/view'));
		
	}
	public function form_write_off($id){
		$getPawn = $this->pawn_model->getPawnID($id);
		$data['datePay'] = date('d-m-Y');
		$data['pawnID'] = $id;
		echo json_encode($data);
		
	}
	public function write_off(){	
		$pawnID = $_POST['ppwID'];
		$amount = $_POST['ppwAmountOS'];
		$interest = $_POST['ppwInterest'];
		$this->db->query("UPDATE nso007_pawn SET ppwStatus = 5 WHERE ppwID = $pawnID");
		
		$getPawnProcess = $this->pawn_process_model->getPawnProcessLastID($pawnID);
		$getLastID = $getPawnProcess->pppID;
		
		$getPawn = $this->pawn_model->getPawnID($pawnID);
		
		$this->db->query("DELETE FROM nso007_pawnprocess WHERE pppStatus in(3,2) and pppPawnID = $pawnID");
		
		$data_process = array(
			'pppPawnID'=>$pawnID,
			'pppPawnDate'=>date('Y-m-d',strtotime($_POST['pppDatePay'])),
			'pppDatePay'=>date('Y-m-d',strtotime($_POST['pppDatePay'])),
			'pppDes'=>'Write off date: '.$_POST['pppDatePay'],
			'pppStatus'=>8,
			'pppPrinciple'=>$amount,
			'pppPrinciplePay'=>$amount,
		);
		$this->db->insert('nso007_pawnprocess', $data_process);
		redirect(site_url('pawn/view'));
	}
	public function form_delete($id){
		$data['pawnID'] = $id;
		echo json_encode($data);
	}
	public function delete(){	
		$pawnID = $_POST['ppwID'];
		$this->db->query("DELETE FROM nso007_pawn WHERE ppwID = $pawnID");
		$this->db->query("DELETE FROM nso007_pawnprocess WHERE pppPawnID = $pawnID");
		redirect(site_url('pawn/view'));
	}
	public function getClient(){	
		$client = $this->client_model->getClientID($_POST['id']);
		echo json_encode($client);
	}
	public function form_pay($id){	
		$pawn_process = $this->pawn_process_model->getPawnProcessID($id);
		$data['interest'] = $pawn_process->pppInterestPay;
		$data['principle'] = $pawn_process->pppPrinciplePay;
		$data['pawnDate'] = date('d-m-Y',strtotime($pawn_process->pppPawnDate));
		$data['datePay'] = date('d-m-Y');
		echo json_encode($data);
	}
	public function pay(){	
		//var_dump($_POST); die();
		$principle = $_POST['pppPrinciplePay'];
		$interest = $_POST['pppInterestPay'];
		$panelty = $_POST['pppPanelty'];
		$total = $principle + $interest + $panelty;
		$totalPaid = $principle + $interest;
		$date = date('Y-m-d',strtotime($_POST['pppDatePay']));
		$id = $_POST['ppwID'];
		$invoice = $_POST['pppInvoice'];
		$by = $_POST['pppBy'];
		
		$pawn_process = $this->pawn_process_model->getPawnProcessID($id);
		$pawnID = $pawn_process->pppPawnID;
		$pawn = $this->pawn_model->getPawnID($pawnID);
		$term = $this->dropdown_model->drop_term(2,$pawn->ppwTerm);
		$term_pay = $term[0]['pdwNameFull'];
		$nextPayDate = date('Y-m-d',strtotime($date." + 1 $term_pay"));
		$currency = $pawn->ppwCurrentcy;
		
		// for pawn
		$this->db->query("UPDATE nso007_pawn SET ppwAmountOS = ppwAmountOS-$principle, ppwAmountPaid = ppwAmountPaid+$total,ppwNextPayDate = $nextPayDate WHERE ppwID = $pawnID");
		
		// for pawn process
		
		if($pawn->ppwSchedule == 2){
			$this->db->query("UPDATE nso007_pawnprocess SET pppDatePay = $date, pppPrinciplePay = pppPrinciplePay+$principle,pppPanelty = pppPanelty+$panelty, pppInterestPay = pppInterestPay-$interest,pppInvoice = '$invoice',pppBy=$by,pppOwe=pppOwe-$totalPaid WHERE pppID = $id");
			$status = ($pawn_process->pppInterest == $interest)? 5:4;
			$this->db->query("UPDATE nso007_pawnprocess SET pppStatus = $status WHERE pppID = $id");
			$data_pawnprocess = array(
				'pppPawnID'=>$pawnID,
				'pppNo'=>$pawn_process->pppNo+1,
				'pppPawnDate'=>$nextPayDate,
				'pppInterest'=>$interest,
				'pppInterestPay'=>$interest,
				'pppPrinciple'=>0,
				'pppPrinciplePay'=>0,
				'pppStatus'=>3,
				'pppOSPrinciple' => $pawn->ppwAmountOS - $principle,
				'pppPrinciplePaid' => 0,
				'pppPrinciplePaid' => 0,
			);
			$this->db->insert('nso007_pawnprocess',$data_pawnprocess);
			
		}else{ 
			$this->db->query("UPDATE nso007_pawnprocess SET pppDatePay = '$date', pppPrinciplePay = pppPrinciplePay-$principle,pppPanelty = pppPanelty+$panelty, pppInterestPay = pppInterestPay-$interest,pppInvoice = '$invoice',pppBy=$by,pppOwe=pppOwe-$totalPaid WHERE pppID = $id");
			if($pawn_process->pppOwe == $totalPaid ){
				$this->db->query("UPDATE nso007_pawnprocess SET pppStatus = 5 WHERE pppID = $id");
				$pawn_process_status = $this->pawn_process_model->getPawnProcessStatus($pawn->ppwID);
				$data_pawnprocess_update = array(
					'pppStatus'=>3,
				);
				$this->db->where('pppID', $pawn_process_status->pppID);
				$this->db->update('nso007_pawnprocess', $data_pawnprocess_update); 
			}
		}
		
		// for pawn paid
		$data_pawn_paid = array(
			'ppwpProcessID' => $id,
			'ppwpDatePay' => $date,
			'ppwpInterest' => $interest,
			'ppwpPrinciple' => $principle,
			'ppwpPanety' => $panelty,
			'ppwpTotal' => $total,
			'ppwpCurrency' => $pawn->ppwCurrentcy,
			'ppwpInvoice' => $invoice,
			'ppwpCondition' => 1,
			'ppwpBy' => $by,
			'ppwpBrand' => 1,
		);
		$this->db->insert('nso007_pawn_paid',$data_pawn_paid);
		
		
		$type = 7;
		$des = 'Pay back for pawn :'.$id;
		$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>10000,
					'pjnType'=>$type,
					'pjnDr'=>$total,
					'pjnInvoice'=>$invoice,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$date,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>$currency,
					'pjnRefID'=>$id,
		);
		
		$this->db->insert('nso007_jounal', $data);
		$insert_id = $this->db->insert_id();
		
		$data1 =array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>40001,
					'pjnType'=>$type,
					'pjnCr'=>$interest,
					'pjnInvoice'=>$invoice,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$date,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>$currency,
					'pjnRefID'=>$id,
		);
		$this->db->insert('nso007_jounal', $data1);
		
		if(!empty($principle)){
			$data2 =array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>12000,
					'pjnType'=>$type,
					'pjnCr'=>$principle,
					'pjnInvoice'=>$invoice,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$date,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>$currency,
					'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data2);
		}
		if(!empty($panelty)){
			$data3 =array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>40002,
					'pjnType'=>$type,
					'pjnCr'=>$panelty,
					'pjnInvoice'=>$invoice,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$date,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>$currency,
					'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data3);
		}
		
		redirect(site_url('pawn/view'));
	}
	public function invoice($id){
		$data['data'] = $id;
		$get = $this->pawn_process_model->getPaymentComplete($id);
		$data['clientName'] = $get->pclName;
		$data['phone'] = $get->pclPhone1;
		$data['interestPay'] = $get->pppInterest;
		$data['principlePay'] = $get->pppPrinciple;
		$data['panelty'] = (empty($get->pppPanelty))? 0:$get->pppPanelty;
		$data['totalPay'] = $get->pppPay + $get->pppPanelty;
		$data['OSPrinciple'] = $get->pppOSPrinciple;
		
		$this->load->view("pawn_invoice/invoice.php", $data);
	}
	public function contract($id){
		$get = $this->pawn_model->getPawnID($id);
		$data['clientName'] = $get->pclName;
		$data['nickName'] = $get->pclNickName;
		$data['nickName'] = $get->pclNickName;
		$data['gender'] = ($get->pclNickName == 1)? 'ប្រុស':'ស្រី';
		$data['job'] = $get->pclJob;
		$data['national'] = $get->pclNational;
		$data['dob'] = date('d-m-Y',strtotime($get->pclDOB));
		$data['idCard'] = $get->pcllDCard;
		$data['phone'] = $get->pclPhone1;
		$data['amount'] = $get->ppwAmount;
		$data['interest'] = $get->ppwInterest;
		$data['duration'] = $get->ppwDuration;
		$data['model'] = $get->ppwModel;
		$data['body'] = $get->ppwBody;
		$data['machine'] = $get->ppwMachine;
		$data['plad'] = $get->ppwPlad;
		$data['pawnDay'] = date('d',strtotime($get->ppwNextPayDate));
		$this->load->view("pawn_invoice/contract.php", $data);
	}
	
	public function method(){
		$principle = ($amount * $duration)/100;
		$OSPrinciple = $amount;
		$principlePaid  = 0;
		for($i=0; $i<$duration; $i++){
			$no = $i+1;
			$status = ($i==0)? 3:2;
			if($type == 2){ $interestPay = ($OSPrinciple * $interest) / 100; }
			$OSPrinciple -= $principle;
			$principlePaid += $principle;
			$dateNext = date('Y-m-d',strtotime($dodate." + $i ".$term->pdwNameFull));
			
			$pawn_process1 = array(
					'pppPawnID' => $lastID,
					'pppPawnDate' => $dateNext,
					'pppDatePay' => null,
					'pppStatus' => $status,
					'pppBy' => $by,
					'pppDes' => null,
					'pppPrinciple' => $principle,
					'pppPrinciplePay' => $principle,
					'pppInterest' => $interestPay,
					'pppInterestPay' => $interestPay,
					'pppOwe' => $principle + $interestPay,
					'pppPay' => $principle + $interestPay,
					'pppNo' => $no,
					'pppOSPrinciple' => $OSPrinciple,
					'pppPrinciplePaid' => $principlePaid,
			); 
			$this->db->insert('nso007_pawnprocess', $pawn_process1);
		}
	}
	public function reschedules(){	
		redirect(site_url('pawn/view'));
		$amount = $_POST['ppwAmount']; 
		$id = $_POST['ppwID'];
		$nextPayDate = date('Y-m-d',strtotime($_POST['ppwFristPayDate']));
		$date = date('Y-m-d',strtotime($_POST['ppwDodate']));
		
		
		$this->db->query("UPDATE nso007_pawn SET ppwAmount = ppwAmount+$amount, ppwAmountOS = ppwAmountOS+$amount,ppwFristPayDate = $nextPayDate WHERE ppwID = $id");
		
		$pawn = $this->pawn_model->getPawnID($id);
		
		if($pawn->ppwSchedule == 2){
			$pawnprocess = $this->pawn_process_model->getPawnProcessPay($id,' AND pppStatus = 3 ');
			$this->db->query("DELETE FROM nso007_pawnprocess WHERE pppID = ".$pawnprocess->pppID);
			$data_process = array(
				'pppPawnID' => $id,
				'pppPawnDate' => date('Y-m-d',strtotime($date)),
				'pppDatePay' => date('Y-m-d',strtotime($date)),
				'pppBy' => 1,
				'pppDes' => "Pawn Reschedule Date:$date, Amount:$amount",
			);
			$this->db->insert('nso007_pawnprocess', $data_process);
		}else{
			$this->db->query("DELETE FROM nso007_pawnprocess WHERE pppStatus IN(3,2)");
			$data_process = array(
				'pppPawnID' => $id,
				'pppPawnDate' => date('Y-m-d',strtotime($date)),
				'pppDatePay' => date('Y-m-d',strtotime($date)),
				'pppBy' => 1,
				'pppDes' => "Pawn Reschedule Date:$date, Amount:$amount",
			);
			$this->db->insert('nso007_pawnprocess', $data_process);
			
			$pawnprocessLast = $this->pawn_process_model->getPawnProcessPay($id,' AND pppNo IS NOT NULL GROUP BY pppID DESC LIMIT 1 ');
			$lastNo = $pawnprocessLast->pppNo + 1; 
			
			for($i = $lastNo; $i <= $pawn->ppwDuration; $i++){
				$status = ($lastNo == $i)? 3:2;
				$pawn_process1 = array(
						'pppPawnID' => $id,
						'pppPawnDate' => $dodate,
						'pppDatePay' => null,
						'pppStatus' => $status,
						
						'pppPrinciple' => $principle,
						'pppPrinciplePay' => $principle,
						'pppInterest' => $interestPay,
						'pppInterestPay' => $interestPay,
						'pppOwe' => $principle + $interestPay,
						'pppPay' => $principle + $interestPay,
						'pppNo' => $i,
						'pppOSPrinciple' => $OSPrinciple,
						'pppPrinciplePaid' => $principlePaid,
				);
				$this->db->insert('nso007_pawnprocess', $pawn_process1);
			}
			
		}
		
	}
	public function reschedule(){	
		$amount = empty($_POST['ppwAmount'])? 0:$_POST['ppwAmount']; 
		$id = $_POST['ppwID'];
		$nextPayDate = date('Y-m-d',strtotime($_POST['ppwFristPayDate']));
		$date = date('Y-m-d',strtotime($_POST['ppwDodate']));
		$interest = $_POST['ppwInterest'];
		
		//update pawn
		$this->db->query("UPDATE nso007_pawn SET 
						ppwAmount = ppwAmount+$amount, 
						ppwAmountOS = ppwAmountOS+$amount,
						ppwFristPayDate = '$nextPayDate',
						ppwNextPayDate = null,
						ppwInterest = $interest
						WHERE ppwID = $id");
	
	
		$pawn = $this->pawn_model->getPawnID($id);
		$duration = $pawn->ppwDuration;
		$amountOS = $pawn->ppwAmountOS;
		$currency = $pawn->ppwCurrentcy;
		$term = $this->pawn_model->getTerm($pawn->ppwTerm);
		
		// delete pawn process
		
		$principle = ($amountOS / $duration);
		$principlePaid = 0;
		$principleOS = $amountOS;
		if($pawn->ppwSchedule == 1){
		
			$pawnprocessLast = $this->pawn_process_model->getPawnProcessPay($id,' AND pppNo IS NOT NULL AND pppStatus = 3 GROUP BY pppID asc LIMIT 1 ');
			$lastNo = $pawnprocessLast->pppNo; 
			
			
			
			$this->db->query("DELETE FROM nso007_pawnprocess WHERE pppPawnID = $id AND pppStatus in (2,3)");
			
			
			for($i = $lastNo; $i <= $duration; $i++){
				$interestPay = ($amountOS * $interest) / 100;
				
				$principlePaid += $principle;
				$principleOS -= $principle;
				
				$status = ($lastNo == $i)? 3:2;
				$pawn_process = array(
						'pppPawnID' => $id,
						'pppNo' => $i,
						'pppPawnDate' => date('Y-m-d',strtotime($nextPayDate." + $i ".$term->pdwNameFull)),
						'pppDatePay' => null,
						'pppStatus' => $status,
						
						'pppPrinciple' => $principle,
						'pppPrinciplePay' => $principle,
						'pppInterest' => $interestPay,
						'pppInterestPay' => $interestPay,
						'pppOwe' => $principle + $interestPay,
						'pppPay' => $principle + $interestPay,
						'pppPrinciplePaid' => $principlePaid,
						'pppOSPrinciple' => $principleOS,
						
						
				);
				//var_dump($pawn_process);
				
				$this->db->insert('nso007_pawnprocess', $pawn_process);
			}
		}else{
			$interestPay = ($amountOS * $interest) / 100;
			
			$pawn_process = array(
					'pppPawnID' => $id,
					'pppPawnDate' => $nextPayDate,
					'pppDatePay' => null,
					'pppStatus' => 3,
					
					'pppPrinciple' => $principle,
					'pppPrinciplePay' => $principle,
					'pppInterest' => $interestPay,
					'pppInterestPay' => $interestPay,
					'pppOwe' => $principle + $interestPay,
					'pppPay' => $principle + $interestPay,
					
			);
			
			$this->db->insert('nso007_pawnprocess', $pawn_process);
		}
		
		$type = 8;
		$des = 'Reschedule for pawn :'.$id;
		$by = 1;
		$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>10000,
					'pjnType'=>$type,
					'pjnDr'=>$amount,
					'pjnInvoice'=>null,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$date,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>$currency,
					'pjnRefID'=>$id,
		);
		
		$this->db->insert('nso007_jounal', $data);
		$insert_id = $this->db->insert_id();
		
		$data1 =array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>12000,
					'pjnType'=>$type,
					'pjnCr'=>$amount,
					'pjnInvoice'=>null,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$date,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>$currency,
					'pjnRefID'=>$id,
		);
		$this->db->insert('nso007_jounal', $data1);
		
		redirect(site_url('pawn/view'));
		
	}
	
}
