<?php

defined('BASEPATH') OR exit('No direct script access allowed');



class Commision extends CI_Controller{

	function __construct() {

		parent::__construct();

		$this->load->model('loan_model');

		$this->load->model('sale_model');

		$this->load->model('description_model');

		$this->load->model('commision_model');

		$this->load->model('search_model');

        $this->load->library('numbertowordconvertsconver');

	}

	public function index($msg=''){

		$msg = $msg;

		$search_date = (empty($_POST['searchSartDate']))? "":" pcsDoDate BETWEEN '".date('Y-m-d',strtotime($_POST['searchSartDate']))."' AND '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";

		$form_to_percentage = (empty($_POST['percentage_from']))? "":" pcspercentagePay BETWEEN '".$_POST['percentage_from']."' AND '".$_POST['percentage_to']."' ";

		$search_client = (empty($_POST['pclName']))? '':' pcsClientID = "'.$_POST['pclName'].'" ';

		$search_project = (empty($_POST['searchProject']))? '':' ppjID = "'.$_POST['searchProject'].'" ';

		$search_category = (empty($_POST['searchCategory']))? '':' pctID = "'.$_POST['searchCategory'].'" ';

		$search_agent = (empty($_POST['searchAgent']))? '':' pcsAgent = "'.$_POST['searchAgent'].'" ';

		// $search_phone = (empty($_POST['pclPhone1']))? '':' pclPhone1 = "'.$_POST['pclPhone1'].'" ';

		

		$data_search = array(

			'search_date' =>$search_date,

			'form_to_percentage' =>$form_to_percentage,

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

			// 'search_phone' =>$search_phone,

		);

		$search = $this->search_model->search($data_search);

		

		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commision';

		$data ['no'] = 1;

		$data['msg'] = $msg;

		$data['data'] = $this->commision_model->get($search);

		$this->load->view('commision/index.php',$data);

	}



	public function half_withdraw(){

		$search_client = '';

		$search_project = '';

		$search_category = '';

		$search_agent = '';

		

		$data_search = array(

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

		);

		$search = $this->search_model->search($data_search);

		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commision';

		$data ['no'] = 1;

		$data['data'] = $this->commision_model->get_half($search);

		$this->load->view('commision/half.php',$data);

	}



	public function full_withdraw(){

		$search_client = '';

		$search_project = '';

		$search_category = '';

		$search_agent = '';

		

		$data_search = array(

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

		);

		$search = $this->search_model->search($data_search);

		

		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commision';

		$data ['no'] = 1;

		$data['data'] = $this->commision_model->get_full($search);

		$this->load->view('commision/full.php',$data);

	}



	public function addnew(){

		$data["icon"] = 'fa fa-file-text-o';

		$data["title"] = 'Commsion';

		$data["id"] = $_POST['loanID'];

		$this->load->view('commision/addnew.php',$data);

	}

	public function save(){
		$id = $_POST['loanID'];
		$client_id = $_POST['client_id'];
		$sale_id = $_POST['sale_id'];
		$staff = $_POST['agentID'];
		$by = $_POST['by'];
		$do_date = date('Y-m-d',strtotime($_POST['do_date']));
		$commis_amount = $_POST['pay_commission'];
		$loanAmount = $_POST['loanAmount'];
		$loanAmountOS = $_POST['loanAmountOS'];
		$loanDiscount = $_POST['loanDiscount'];
		$loanPercentPaid = $_POST['loanPercentPaid'];

		$commis_percent = ($commis_amount * 100 / $loanAmount);

		if ($loanPercentPaid >= 30 && $loanPercentPaid < 50) {
			$pcsStatus = 1;
		} elseif ($loanPercentPaid >= 50) {
			$pcsStatus = 2;
		} else {
			$pcsStatus = NULL;
		}

		$this->commission_added($id);

		$data = array(
			'pcsAgent' => $staff,
			'pcsBy' => $by,
			'pcsClientID' => $client_id,
			'pcsSaleID' => $sale_id,
			'pcsLoanID' => $id,
			'pcsCommisionPrecentage' => $commis_percent,
			'pcsCommisionAmount' => $commis_amount,
			'pcsConditionPrecentage' => 50,
			'pcsConditionAmount' => ($loanAmount / 2),
			'pcsSaleAmount' => $loanAmount,
			'pcsPaidAmount' => ($loanAmount - $loanAmountOS),
			'pcsCommisionWithdraw' => 0,
			'pcspercentagePay' => $loanPercentPaid,
			'pcsDoDate' => $do_date,
			'pcsStatus' => $pcsStatus,
		);

		$this->db->insert('nso007_commission',$data);
		redirect(site_url('commision/commision'));
	}

	public function commission_added($id){
		$data = array(
			'ploCommission' => '1',
		);
		$this->db->where('ploID',$id);  
		return $this->db->update('nso007_loan',$data);
	}

	public function get_pay(){

		$com = $this->commision_model->getID($_POST['id']);

		$data['sale_id'] = $com->psdSaleID;

		$data['client_name'] = $com->pclName;

		$data['agent_name'] = $com->agentName;

		$data['amount'] = $com->pcsConditionAmount;

		$data['CommisionPrecentage'] = $com->pcsCommisionPrecentage;

		$data['ConditionPrecentage'] = $com->pcsConditionPrecentage;

		$data['CommisionAmount'] = $com->pcsCommisionAmount;

		$data['CommisionWithdraw'] = $com->pcsCommisionWithdraw;

		$data['balance'] = $com->pcsCommisionAmount - $com->pcsCommisionWithdraw;

		$data['piItemCode'] = $com->piItemCode;

		$data['piPrice'] = $com->piPrice;

		

		echo json_encode($data);

	}

	public function save_pay(){

		$id = $_POST['id'];

		$des_id = $id;

		$amount = $_POST['widraw'];

		$pcsAmount = $_POST['pcsAmount'];

		$note = $_POST['note'];

		$sale_id = $_POST['sale_id'];

		if ($amount === "0") {

			redirect(site_url('/commision/commision'));

		} else {

			$this->db->query("

				UPDATE nso007_commission

				SET pcsNote = '$note', pcsCommisionWithdraw = pcsCommisionWithdraw + $amount

				WHERE pcsID = $id

			");



			$comm_des = $this->description_model->get_des($sale_id);						

			$des = $comm_des->ppjName.', '.$comm_des->pctName.', '.$comm_des->items.' (Commission)';

			$data = array(

				'pjnPID'=>0,

				'pjnAccCode'=>50005,

				'pjnType'=>5,

				'pjnDr'=>$amount,

				'pjnDateTransaction'=>date('Y-m-d H:i:s'),

				'pjnDatePay'=>date('Y-m-d'),

				'pjnDes'=>$des,

				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

				'pjnCurrency'=>1,

				'pjnRefID'=>$id,

			);

			

			$this->db->insert('nso007_jounal', $data);

			$insert_id = $this->db->insert_id();

			

			$data1 =array(

				'pjnPID'=>$insert_id,

				'pjnAccCode'=>10000,

				'pjnType'=>5,

				'pjnCr'=>$amount,

				'pjnDateTransaction'=>date('Y-m-d H:i:s'),

				'pjnDatePay'=>date('Y-m-d'),

				'pjnDes'=>$des,

				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],

				'pjnCurrency'=>1,

				'pjnRefID'=>$id,

			);

			$this->db->insert('nso007_jounal', $data1);



			$commission_withdraw = $this->commision_model->get_commission_withdraw($id);

			$commission_amount = $commission_withdraw->pcsCommisionAmount;

			$commission_withdrawal = $commission_withdraw->pcsCommisionWithdraw;

			$haft_withdraw = $commission_amount / 2;



			if ($commission_withdrawal < $haft_withdraw) {

				$this->db->query("UPDATE nso007_commission SET pcsStatus = 1 WHERE pcsID = $id");

			} elseif ($commission_withdrawal == $haft_withdraw) {

				$this->db->query("UPDATE nso007_commission SET pcsStatus = null WHERE pcsID = $id");

			} elseif ($commission_withdrawal > $haft_withdraw && $commission_withdrawal < $commission_amount) {

				$this->db->query("UPDATE nso007_commission SET pcsStatus = 2 WHERE pcsID = $id");

			} elseif ($commission_withdrawal == $commission_amount) {

				$this->db->query("UPDATE nso007_commission SET pcsStatus = 0 WHERE pcsID = $id");

			}

			redirect(site_url('commision/commision'));

		}

	}

	public function save_item(){

		$data = array(

			'cs_id' => $_POST['commision_id'],

			'cs_item_des' => $_POST['pay_for'],

			'cs_item_amount' =>$_POST['pay_amount'],

			'cs_item_date' =>$_POST['pay_date'],

		);

					

		$this->commision_model->set_commission_item($data);

		redirect(site_url('commision/commision'));

	}

	public function get_item(){

		$id = $_POST['id'];

		$item = $this->commision_model->getItem($id);

		echo json_encode($item);

	}

	public function show_item($id){

        $data['dataheat']=$this->commision_model->getItems($id);

        $this->load->view('commision/commision_detail.php',$data);
	}

	public function report(){

		$search_date = (empty($_POST['searchSartDate']))? "":" pcsDoDate BETWEEN '".date('Y-m-d',strtotime($_POST['searchSartDate']))."' AND '".date('Y-m-d',strtotime($_POST['searchEndDate']))."' ";

		$form_to_percentage = (empty($_POST['percentage_from']))? "":" pcspercentagePay BETWEEN '".$_POST['percentage_from']."' AND '".$_POST['percentage_to']."' ";

		$search_client = (empty($_POST['pclName']))? '':' pcsClientID = "'.$_POST['pclName'].'" ';

		$search_project = (empty($_POST['searchProject']))? '':' ppjID = "'.$_POST['searchProject'].'" ';

		$search_category = (empty($_POST['searchCategory']))? '':' pctID = "'.$_POST['searchCategory'].'" ';

		$search_agent = (empty($_POST['searchAgent']))? '':' pcsAgent = "'.$_POST['searchAgent'].'" ';

		// $search_phone = (empty($_POST['pclPhone1']))? '':' pclPhone1 = "'.$_POST['pclPhone1'].'" ';

		

		$data_search = array(

			'search_date' =>$search_date,

			'form_to_percentage' =>$form_to_percentage,

			'search_client' =>$search_client,

			'search_project' =>$search_project,

			'search_category' =>$search_category,

			'search_agent' => $search_agent,

			// 'search_phone' =>$search_phone,

		);

		$search = $this->search_model->search($data_search);



		$data ['no'] = 1;

		$data['data'] = $this->commision_model->get($search);

		$data["icon"] = 'fa fa-file';

		$data["title"] = 'Commission Report';

		$this->load->view('commision/report', $data);

	}



	public function addShare($id)

	{

		$data['data'] = $this->commision_model->getCommissionDetail($id);

		$this->load->view('commission_share/addnew', $data);

	}

	public function insert_share()

	{

		$no 	= 1;

		$csID 	= $this->input->post('csID');

		$payfor = $this->input->post('payfor');

		$description = $this->input->post('description');

		$amount = $this->input->post('amount');

		$data = array();

		for ($i = 0; $i < count($this->input->post('amount')); $i++){

			$data[$i] = array(

				'csID' 				=>	 $csID,

				'csiNo' 			=>	 $no,

				'csiPayfor' 		=>	 $payfor[$i],

				'csiDescription' 	=>	 $description[$i],

				'csiAmount' 		=>	 $amount[$i],

			);

			$no++;

		}

		$this->commision_model->insertItem($data);

		redirect(site_url('commision/commision'));

	}

	public function view_share($id)

	{

		$data['data'] = $this->commision_model->getCommissionDetail($id);

		$data['item'] = $this->commision_model->getCommissionItem($id);

		$this->load->view('commission_share/view', $data);

	}

	public function update_share()

	{

		$csID 	= $this->input->post('csID');

		$get = $this->db->query("

			SELECT MAX(csiNo) AS num_order

			FROM nso007_commission_item

			WHERE csID = $csID

		");

		$get = $get->row();

		$no = $get->num_order + 1;

		$payfor = $this->input->post('payfor');

		$description = $this->input->post('description');

		$amount = $this->input->post('amount');

		$data = array();

		for ($i = 0; $i < count($this->input->post('amount')); $i++){

			$data[$i] = array(

				'csID' 				=>	 $csID,

				'csiNo' 			=>	 $no,

				'csiPayfor' 		=>	 $payfor[$i],

				'csiDescription' 	=>	 $description[$i],

				'csiAmount' 		=>	 $amount[$i],

			);

			$no++;

		}

		$this->commision_model->insertItem($data);

		redirect(site_url('commision/commision/view_share/'.$csID));

	}

	public function show_item_list($id){

        $csid = $id;

        $data['data'] = $this->commision_model->getItems($csid);

        $data['item'] = $this->commision_model->getCommissionItem($id);



        $do_date = date('Y-m-d');

        $data['do_date'] = $this->zone->help('khmer_date',$do_date);



        $this->load->view('commision/show_item_list.php',$data);

	}

}