<?php
class Report_cash_on_hand_model extends CI_Model{

	public function getReport($search){
		$search = (empty($search))? " WHERE pjnAccCode = 10000 ":" $search AND pjnAccCode = 10000 ";

		$data = $this->db->query("SELECT pjnDatePay,pjnInvoice,pjnDes,pacName,CONCAT(pliFristName,' ',pliLastName) AS userBy,pjnCr,pjnAccCode,pjnDr,ptName
									FROM nso007_jounal
									LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode
									LEFT JOIN nso007_user ON nso007_jounal.pjnBy = nso007_user.pliID
									LEFT JOIN nso007_jounaltype ON nso007_jounal.pjnType = nso007_jounaltype.ptID
									$search AND pjnStatus = 1 
									
									ORDER BY pjnID Desc");
		return $data->result_array();
	}

	function allposts_count($s_date,$e_date,$pjnBy)
	{
		$this->db->select('*')
			->join('nso007_account_chart','nso007_jounal.pjnAccCode = nso007_account_chart.pacCode','inner')
			->join('nso007_user','nso007_jounal.pjnBy = nso007_user.pliID','inner')
			->join('nso007_jounaltype','nso007_jounal.pjnType = nso007_jounaltype.ptID','inner');

		$this->db->where("nso007_jounal.pjnAccCode = '10000' ");
		$this->db->where("nso007_jounal.pjnStatus = 1 ");
		if(!empty($s_date)){
			$this->db->where("nso007_jounal.pjnDatePay >= ",date('Y-m-d',strtotime($s_date)));
		}
		if(!empty($e_date)){
			$this->db->where("nso007_jounal.pjnDatePay <= ",date('Y-m-d',strtotime($e_date)));
		}
		if(!empty($pjnBy)){
			$this->db->where("nso007_jounal.pjnBy = ",$pjnBy);
		}
		$query = $this
			->db
			->get('nso007_jounal');

		return $query->num_rows();

	}

	function allposts($limit,$start,$col,$dir,$s_date,$e_date,$pjnBy)
	{
		$this->db->select('pjnID,pjnDatePay,pjnInvoice,pjnDes,pay_to,pacName,CONCAT(pliFristName,\' \',pliLastName) AS userBy,pjnCr,pjnAccCode,pjnDr,ptName')
			->from('nso007_jounal')
			->join('nso007_account_chart','nso007_jounal.pjnAccCode = nso007_account_chart.pacCode','inner')
			->join('nso007_user','nso007_jounal.pjnBy = nso007_user.pliID','inner')
			->join('nso007_jounaltype','nso007_jounal.pjnType = nso007_jounaltype.ptID','inner');

		$this->db->where("nso007_jounal.pjnAccCode = '10000' ");
		$this->db->where("nso007_jounal.pjnStatus = 1 ");
		if(!empty($s_date)){
			$this->db->where("nso007_jounal.pjnDatePay >= ",date('Y-m-d',strtotime($s_date)));
		}
		if(!empty($e_date)){
			$this->db->where("nso007_jounal.pjnDatePay <= ",date('Y-m-d',strtotime($e_date)));
		}
		if(!empty($s_date) && !empty($e_date) && $limit!= -1) {
			$this->db->limit($limit,$start);
		}
		if(!empty($pjnBy)){
			$this->db->where("nso007_jounal.pjnBy = ",$pjnBy);
		}

		$this->db->order_by($col,$dir);
		$query = $this->db->get();

		if($query->num_rows()>0)
		{
			return $query->result();
		}
		else
		{
			return null;
		}

	}

	function posts_search_count_all($s_date,$e_date,$pjnBy)
	{
		$this->db->select('pjnID,pjnDatePay,pjnInvoice,pjnDes,pacName,CONCAT(pliFristName,\' \',pliLastName) AS userBy,pjnCr,pjnAccCode,pjnDr,ptName')
			->join('nso007_account_chart','nso007_jounal.pjnAccCode = nso007_account_chart.pacCode','inner')
			->join('nso007_user','nso007_jounal.pjnBy = nso007_user.pliID','inner')
			->join('nso007_jounaltype','nso007_jounal.pjnType = nso007_jounaltype.ptID','inner');

		$this->db->where("nso007_jounal.pjnAccCode = '10000' ");
		$this->db->where("nso007_jounal.pjnStatus = 1 ");
		if(!empty($s_date)){
			$this->db->where("nso007_jounal.pjnDatePay >= ",date('Y-m-d',strtotime($s_date)));
		}
		if(!empty($e_date)){
			$this->db->where("nso007_jounal.pjnDatePay <= ",date('Y-m-d',strtotime($e_date)));
		}
		if(!empty($pjnBy)){
			$this->db->where("nso007_jounal.pjnBy = ",$pjnBy);
		}
		$query=$this->db->get('nso007_jounal');

		return $query->num_rows();
	}
}


