<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-search font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Default Form');?></span>
					</div>
				</div>
				<form class="form-horizontal" role="form" action="<?php echo site_url('PaymentItem/payment_report')?>" method="post">
					<div class="form-body">
						<div class="row">

							<div class="col-md-12">
								<div class="row">
									<div class="col-md-6">
										<div class="row">
											<div class="col-md-12">
												<div class="form-group">
													<label class="col-md-4  control-label">From Date</label>
													<div class="col-md-8">
														<input type="text" name="from_date" class="form-control date-picker">
													</div>
												</div> 
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="row">
											<div class="col-md-12">
												<div class="form-group">
													<label class="col-md-4  control-label">To Date</label>
													<div class="col-md-8">
														<input type="text" name="to_date" class="form-control date-picker">
													</div>
												</div> 
											</div>
										</div>
									</div>
								</div>
							</div>

							<div class="col-md-12">
								<div class="row">
									<div class="col-md-6">
										<div class="row">
											<?php echo zinput(array('type'=>'select2','label'=>'Project Name','name'=>'projectID','class'=>'projectID','data'=>$this->zone->data(array('table'=>'nso007_project_planning','value'=>'projectID','text'=>'projectName'))));?>
										</div>
									</div>
									<div class="col-md-6">
										<div class="row">
											<div class="col-md-12">
												<div class="form-group">
													<label class="col-md-4  control-label">Item Name</label>
													<div class="col-md-8">
														<select name="itemID" id="itemID" class="form-control select2">
														</select>
													</div>
												</div> 
											</div>
										</div>  
									</div>
								</div>
							</div>
							<div class="form-actions">
								<div class="col-md-12">
									<div class="row">
										<div class="col-md-12">
											<button type="submit" class="btn blue pull-right"><i class="fa fa-search"></i> <?php echo zphrase('View Report');?></button>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<!-- BEGIN EXAMPLE TABLE PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Report Payment');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<div class="row">
								<div class="col-md-12">
									<div class="dt-buttons">
										
										<a class="print_report btn-circle dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
											<i class="fa fa-print"></i>
											<span>Print</span>
										</a>
										<!-- <a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">
											<i class="icon-book-open"></i>
											<span>Excel</span>
										</a> -->
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<div class="print">
						<div class="a"></div>
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
								<thead>
									<tr>
										<th><?php echo zphrase('Pay Step');?></th>
										<th><?php echo zphrase(' Date');?></th>
										<th><?php echo zphrase('Project Name');?></th>
										<th><?php echo zphrase('Item Name');?></th>
										<th><?php echo zphrase('Item Cost');?></th>
										<th><?php echo zphrase('Payment');?></th>
										<th><?php echo zphrase('Paid');?></th>
										<th><?php echo zphrase('Unpaid');?></th>
										<th class="status"><?php echo zphrase('Status');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($reports as $report): ?>
										
										<tr>
											<td><?php echo "Step ".$report->paymentStep; ?></td>
											<td><strong><?php echo $report->paymentDate; ?></strong></td>
											<td><?php echo $report->projectName; ?></td>
											<td><?php echo $report->itemName; ?></td>
											<td><?php echo "$ ".number_format($report->itemTotalCost); ?></td>
											<td><?php echo "$ ".number_format($report->payAmount); ?></td>
											<td><?php echo "$ ".number_format($report->paidAmount); ?></td>
											<td>
												<?php
													$unpaid_amount = ($report->payAmount - $report->paidAmount);
													echo "$ ".number_format($unpaid_amount);
												?>
											</td>
											
											<td class="status">
												<?php 
													$pay = $report->paymentStatus;
													if ($pay == 1) {
														echo '<span class="btn btn-xs btn-info" data-placement="bottom"><i class="fa fa-credit-card"></i> Unpaid </span>';
													} elseif (($report->payAmount-$report->paidAmount)==0) {
														echo '<span class="btn btn-xs btn-success"><i class="fa fa-check-circle"></i> Paid</span>';
													} elseif (($report->payAmount-$report->paidAmount)>0) {
														echo '<span class="btn btn-xs btn-danger" data-placement="bottom"><i class="fa fa-spinner"></i> Pending</span>';
													}
												?>
											</td>
										</tr>
										
									<?php endforeach; ?>
								</tbody>
								<tfoot>
									<tr>
										<td colspan="4" align="right">Total Amount : </td>
										<td></td>
										<td></td>
										<td></td>
										<td></td>
									</tr>
								</tfoot>
							</table>
						</div>
						<div class="b"></div>
					</div>
				</div>
			</div>
		</div>
	</div>	
</div>
<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>
<?php $this->load->view('template/footer.php');?>
<script>
	$(".projectID").change(function(){
		var projectID = $(this).val();
		var urlBase = "<?php echo base_url(); ?>";
		$.ajax({
			type: 'GET',
			url: urlBase+'index.php/PaymentItem/findPayment/'+projectID,
			dataType:'json',
			data: {'projectID': projectID},
			success: function (data){
				$("#itemID").select2("val", "");
				$("#itemID").empty();
				var obj = JSON.parse(JSON.stringify(data.items));
				$.each(obj, function (index, element) {
					var newOption = new Option(element.itemName, element.itemID);
					var stOption = new Option();
					$('#itemID').append(stOption);
					$('#itemID').append(newOption);
				});
			}
		});
    });
	$(document).ready(function(){
		$('#datatable').dataTable({
			ordering:false,
			searching: false,
			aLengthMenu: [
		        [10,25, 50, 100, 200, -1],
		        [10,25, 50, 100, 200, "All"]
		    ],

		    "footerCallback": function ( row, data, start, end, display ) {
            var api = this.api(), data;
 
            // Remove the formatting to get integer data for summation
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                    i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };
 
           
 
            // Total over this page
            Item_Cost = api
                .column( 4	, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
            Payment = api
                .column( 5	, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );	
 			Paid = api
                .column( 6, { page: 'current'} )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
            Unpaid = api
	            .column( 7, { page: 'current'} )
	            .data()
	            .reduce( function (a, b) {
	                return intVal(a) + intVal(b);
	            }, 0 );	
 			
            // Update footer
             $( api.column( 4 ).footer() ).html(
                "$ " +parseFloat(Item_Cost).toFixed(2)
            );
            $( api.column( 5 ).footer() ).html(
                "$ " +parseFloat(Payment).toFixed(2)
            );
             $( api.column( 6 ).footer() ).html(
                "$ " +parseFloat(Paid).toFixed(2) 
            );
              $( api.column( 7 ).footer() ).html(
               "$ " + parseFloat(Unpaid).toFixed(2) 
            );

        }

							
		});
	});
    $('.print_report').click(function(){
    	$('.status').css('display','none');
		var table=`
		<style>
			@font-face {
	            font-family: 'Khmer Mool1';
	            src: url('<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff2') format('woff2'),
	            url('<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff') format('woff');
	            font-weight: normal;
	            font-style: normal;
	        }
		</style>
        <div class="panelBody"><table border="0" cellpadding="0" cellspacing="0" width="100%" class="">
						<tr>
							<td colspan="6">
								<table border="0" cellpadding="1" cellspacing="1" width="100%">
									<tr>
										<td width="10%">
											<div class="contract-title">
												<div style="height:20px"></div>
												<img src="<?php echo(base_url()); ?>assets/layouts/layout/img/logo.png" height="150px;" hspace="5" vspace="10" ;><br/>
											</div>		
										</td>
										<td width="78%" align="center" colspan="5">
											<br>
											<h1 class="contract-title" style="margin-bottom: 0px; font-family: 'Khmer Mool1'; color:#739c56; font-size: 30px;">ខេ អេច លែន ឯ.ក</h1>
											<h2 class="contract-title" style="margin-bottom: 40px;font-size: 32px;margin-top: 0;">KH LAND CO., LTD.</h2>
											<h3></h3>
											
											<h3 class="contract-title" style="font-family: 'Khmer Mool1';">តារាងបង់ប្រាក់</h3>
										</td>
										<td width="20%"></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="6">
								<table border="0" cellpadding="1" cellspacing="1" width="100%">
									<tr>
										<td class="contract-title"​ align="center">
											<hr style="color: #000;border: 1px solid;" />
											<br/>
										</td>
									</tr>
								</table>
							</td>
						</tr>  
					</table>`;
	var table_foot = `<br/>
    <table width="100%" >
		<tr>
			<td colspan="3" align="right">ធ្វើនៅ<span class="filled-form">ភ្នំពេញ</span><span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>
		</tr>
		<tr>
           
            <td valign="top" align="right" width="50%">
            	<div style="width:200px;" align="center">
                	<span class="font-title-signature" style="font-family: 'Khmer Mool1';">ហត្ថលេខា</span><br/><br/><br/><br/>
                	<span class="font-title-signature">------------------------------</span>
                   
                </div>
            </td>
		</tr>
    </table>`;

	$('.a').append(table);
	$('.b').append(table_foot);
		print_report(print);
		location.reload();
	});
</script>
