<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<?php include('./application/views/print_contract/header-css.php'); ?>
		<style type="text/css">

			@font-face {

                font-family: 'Khmer OS Content';

                src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOSContent-Regular.ttf");

            }

            @font-face {

                font-family: 'Khmer Mool1';

                src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff");

            }
			@media screen {

				#footer{

					display: none;

				}

				/* Large desktop */

				@media (min-width: 1200px) {

					#panelPrint {

						margin: 0 auto;

						width: 900px;

					}

				}

				/* Portrait tablet to landscape and desktop */

				@media (min-width: 768px) and (max-width: 979px) {

					#panelPrint {

						margin: 0 auto;

						width: 900px;

					}
				}

				/* Landscape phone to portrait tablet */

				@media (max-width: 767px) {

					#panelPrint {

						margin: 0 auto;

						width: 90%;

					}

				}

				/* Landscape phones and down */

				@media (max-width: 480px) {

			    	#panelPrint {

						margin: 0 auto;

						width: 90%;

					}

				}

			}

			@page {

			 margin: 1.3cm;

			}


			html{

				background-color: #FFFFFF !important;

				margin: 0px;

			}

			body{

				margin: 20mm 0mm 20mm 10mm !important;
				text-align: inherit !important;

			}

			.logo-page {
				width:10%;
				float:left;
				overflow:hidden;
				position:absolute;
				margin-left:5%;
			}

			.bg_image {
				width: 100% !important;
				height: auto;
				overflow: hidden;
				background-image: url(<?php echo base_url().'assets/img/bg_image.png'; ?>) !important;
				background-size: contain;
				background-repeat: repeat-y;
				background-position: top center;

			}

			.panelBody {
				font-family: 'Khmer OS Content' !important;
			}

			.contract-title {
				font-family: 'Khmer OS Content' !important;
			}
			.letter-bold {
				font-weight: bold !important;
			}
			b {
				padding: 0 20px !important;
			}
		</style>
	</head>

	<body>
		<div class="container btn-print">
            <div class="row">
                <div class="col-md-12">
                    <button onclick="myprint()" class="btn btn-primary pull-right" style="margin: 15px;">Export Pdf</button>
                	<button onclick="Export2Doc('exportContent', 'Contract');" class="btn btn-info pull-right" style="margin: 15px;">Export Doc</button>
                    <!-- <a class="btn btn-success pull-right" onclick="Export2Doc()"> <i class="fa fa-print"></i> Print</a> -->
                </div>
            </div>
        </div>
		<div id="exportContent">			
	        <div id="panelPrint">
				<div class="panelBody">
					<?php
						echo '
						<div class="bg_image">
							<table width="100%" align="center">
								<tr>
									<td style="text-indent: 50px;line-height:30px;">
										<div class="logo-page">

											<img src="'.base_url().'assets/layouts/layout/img/logo.png" style="width:100%;display:block;" />

										</div>

										<div align="center"  class="contract-title">

											<img src="'.base_url().'assets/img/main_title.png" style="width:250px;display:block;" />

										</div>
										<br>
										<br>
										<div style="width:92%;font-size:16px; text-align:center; line-height: 50px;">

											កិច្ចព្រមព្រៀងទិញ-លក់ដី

										</div>
										<div>
										ខ្ញុំបាទឈ្មោះ ..................................................... ភេទ............. អាយុ…..........ឆ្នាំ កាន់អត្តលេខ..........................................
										ទីលំនៅបច្ចុប្បន្នផ្ទះលេខ ..............................ផ្លូវ....................ភូមិ .......................ឃុំ/សង្កាត់ .............................................
										ក្រុង/ស្រុក/ខណ្ឌ ................................... រាជធានី/ខេត្ត ....................................ជា ភាគី(ម្ចាស់ដី)តទៅនេះ ហៅកាត់ភាគី <span class="letter-bold">(ក)</span>។</div>
									
										<div>ខ្ញុំបាទ/នាងខ្ញុំឈ្មោះ <b>'.$clientName.'</b> ភេទ <b>'.$gender.'</b> អាយុ <b>'.$age.'</b> ឆ្នាំ កាន់អត្តលេខ <b>'.$idCard.'</b> 
										ទីលំនៅបច្ចុប្បន្ន '.$address1.' លេខទូរស័ព្ទ  <b>'.$phone.'</b>
										និងឈ្មោះ <b>'.$pcrName.'</b> ភេទ <b>'.$pcrGender.'</b>អាយុ <b>'.$pcrage.'</b> ឆ្នាំ កាន់អត្តលេខ <b>'.$pcrIdCard.'</b>
										ត្រូវជា <b>'.$pcrRelationship.'</b>ទីលំនៅបច្ចុប្បន្ន '.$address2.' លេខទូរស័ព្ទ <b>'.$pcrPhone1.'</b>
										ជា (អ្នកទិញ) តទៅនេះ ហៅកាត់ថាភាគី <span class="letter-bold">(ខ)</span>។  ភាគី<span class="letter-bold">(ក)</span> និង ភាគី<span class="letter-bold">(ខ)</span> តទៅនេះហៅកាត់រួមថា <span class="letter-bold">(គូភាគី)</span>។</div>
									</td>
								</tr>
								<tr>
									<td style="text-indent: 50px;line-height:30px;">

									
										<div class="letter-bold">ប្រការ១ ៖ កម្មវត្ថុនៃកិច្ចព្រមព្រៀងទិញ លក់</div>
										គូភាគី  បានព្រមព្រៀងគ្នាទិញ-លក់ ដីពុះឡូតិ៍ក្នុងគម្រោង <b>'.$project.'</b>  ដីឡូតិ៍លេខ <b>'.$ItemCode.'</b> ដែលមានទំហំ <b>'.$Size.'</b> ម៉ែត្រ ស្មើនឹង <b>'.$totalSize.'</b> ម៉ែត្រក្រឡា ក្នុងតំលៃសរុប <b>'.$Amount.' ដុល្លារ</b>។
									
										<div class="letter-bold">មានព្រំប្រទល់ដូចខាងក្រោម៖</div>
											ខាងជើងទល់នឹង.................................................................. - ខាងត្បូងទល់នឹង........................................................................ <br>
											ខាងលិចទល់នឹង.................................................................. - ខាងកើតទល់នឹង........................................................................ <br>ដីខាងលើស្ថិតនៅភូមិ បឹងទ្រា ឃុំ ទួលព្រេជ ស្រុក អង្គស្នួល ខេត្ត កណ្តាល ។
									</td>
								</tr>
								<tr>
									<td style="text-indent: 50px;line-height:30px;">

									
										<div class="letter-bold">ប្រការ២ ៖ លក្ខខណ្ឌនៃការទូទាត់ </div>      ភាកី ខ យល់ព្រមបង់ប្រាក់មុនចំនួន <b>'.$Receive.' ដុល្លារ</b> ប្រាក់ដែលនៅសល់ ចំនួន <b>'.$Remain.' ដុល្លារ</b> ទៀត ភាគី ក យល់ព្រមបង់រំលោះ ដោយយោងតាមតារាងបង់ប្រាក់ ដោយគិតអត្រាការប្រាក់ ០ ភាគរយ ក្នុងមួយខែ ដោយគណនាលើប្រាក់ដើម​ដែលនៅសល់ ។ ភាគី ខ អាចបង់ផ្តាច់មុនពេលកំណត់ បាន ដោយអ្នកលក់គិតតែប្រាក់ដើមដែលនៅសល់ មិនគិតការប្រាក់បន្ថែមឡើយ ។
									</td>
								</tr>
								<tr>
									<td style="text-indent: 50px;line-height:30px;">
									
										<div class="letter-bold">ប្រការ៣ ៖ អ្នកលក់ធានា និង អះអាង នៅថ្ងៃចុះកិច្ចព្រមព្រៀងនេះថា</div>
									</td>
								</tr>
								<tr>
									<td style="line-height:30px;">
										 	៣-១	ភាគី ក ជាម្ចាស់អចលនវត្ថុពេញច្បាប់តែមួយគត់ ពុំមានបុគ្គល ឬ អង្គភាពណាមួយមានផលប្រយោជន៍លើកម្មសិទ្ធន​ៃអចលនវត្ថុនេះឡើយ ។
									</td>
								</tr>
								<tr>
									<td style="line-height:30px;">៣-២  ភាគី ក នឹងប្រគល់លិខិតផ្ទេរសិទិ្ធកាន់កាប់កម្មសិទិ្ធ ហៅថាប្លង់ ............ជូនទៅភាគី ខ ក្រោយពីភាគី ខ បានបង់ប្រាក់គ្រប់ចំនួន ហើយរាល់ការចំណាយកាត់ឈ្មោះ និងបង់ពន្ធជូនរដ្ឋជាបន្ទុករបស់ភាគី........... .....ទាំងស្រុង។
									</td>
								</tr>
								<tr>
									<td style="line-height:30px;">៣-៣	ភាគី ក នឹងធ្វើការអភិវឌ្ឍន៍ទៅលើគំរោងជូនអតិថិជន មានហេដ្ឋារចនាសម្ពន្ធដូចជា៖ ចាក់ដីបំពេញ ដាក់ប្រព័ន្ធលូ ធ្វើផ្លូវបេងតុង ដាក់បង្គោលភ្លើង និងដាក់បង្គោលឡូតិ៍ឲ្យបានត្រឹមត្រូវ ។
									</td>
								</tr>
								<tr>
									<td style="text-indent: 50px;line-height:30px;">

									
										<div class="letter-bold">ប្រការ៤ ៖ ការមិនបង់ប្រាក់តាមដំណាក់កាល </div>
										បើភាគី <span class="letter-bold">ខ</span> មិនអាចទូរទាត់ប្រាក់ដោយលើសកំណត់ពី <span class="letter-bold">៥ ទៅ ៣០ថ្ងៃ</span> ជូនភាគី <span class="letter-bold">ក</span> ដូចដែលបានចែងខាងលើក្នុងដំណាក់កាលណាមួយ ភាគី <span class="letter-bold">ខ</span> ត្រូវបង់ពិន័យការប្រាក់ចំនួន<span class="letter-bold">1.5%</span> ក្នុងមួយខែនៃទឹកប្រាក់ដែលត្រូវសង។​​ ហើយប្រសិនបើ​អ្នកទិញ​​ខកខាន​ក្នុង​ការបង់ប្រាក់​​លើស​៣០ថ្ងៃ ​គិតចាប់ពីថ្ងៃកំណត់ អោយបង់នោះ​​ទឹកប្រាក់ដែលអ្នកទិញបានបង់ទាំងអស់ នឹងត្រូវបានមកអ្នកលក់​ហើយកិច្ចព្រមព្រៀងនេះ នឹងត្រូវទុកជាមោឃៈ​ដោយស្វ័យប្រវត្តិ ។ ក្នុងករណីនេះអ្នកលក់ ​មានសិទិ្ធលក់ដីនេះ​អោយទៅអ្នក​ដទៃគ្រប់ពេលវេលា​ដោយអ្នកទិញ​គ្មានសិទ្ធិតវ៉ា ឬទាមទារ​ការខាត​បង់​ណាមួយឡើយ ។ ផ្ទុយទៅវិញ​ប្រសិនបើ អ្នកលក់ កែប្រែមិនលក់វិញ​ នោះអ្នកលក់នឹងត្រូវ​បង់ប្រាក់​ពិន័យអោយ​អ្នកទិញ ចំនួនមួយគុណ​នឹងពីរដង នៃប្រាក់សរុបដែលបានបង់ ។
									</td>
								</tr>
								<tr>
									<td style="text-indent: 50px;line-height:30px;">

									
										<div class="letter-bold">ប្រការ៥ ៖ ច្បាប់គ្រប់គ្រង និងដំណោះស្រាយវិវាទ </div>
										កិច្ចព្រមព្រៀងនេះ ត្រូវគ្រប់គ្រងដោយច្បាប់កម្ពុជា ។ ភាគីទាំងពីរ​យល់ព្រមដោះស្រាយ​ជម្លោះដោយសំរុះសំរួលគ្នាដោយសន្តិវិធី នៅប្រទេសកម្ពុជា។ ប្រសិនបើពុំបានទទួល​ជោគជ័យភាគីទាំងពីរ​ យល់ព្រម​ដាក់ជម្លោះ ដែល កើតចេញពី
										កិច្ចព្រមព្រៀងនេះ ជូនតុលាការ​កម្ពុជា ដែលមាន​សមត្ថកិច្ច។
									</td>
								</tr>
								<tr>
									<td style="text-indent: 50px;line-height:30px;">

									
										<div class="letter-bold">ប្រការ៦ ៖ សិទិ្ធស្នងរបស់ទាយាទ</div>
										ក្នុងករណីភាគី«ក» ឬ ភាគី«ខ» ទទួលមរណភាពដោយចែដន្យ នោះទាយាទនៃភាគី«ក» ឬ ភាគី«ខ» មានសិទិ្ធស្នងសិទិ្ធ និងស្នងកាតព្វកិច្ចបន្តពី ខ្លឹមសារនៃកិច្ចសន្យានេះ ដោយស្វ័យប្រវតិ្ត ។
									</td>
								</tr>
								<tr>
									<td style="text-indent: 50px;line-height:30px;">

									
										<div class="letter-bold">ប្រការ៧ ៖ កិច្ចព្រមព្រៀងទាំងមូល</div>
										កិច្ចព្រមព្រៀងនេះ ជាកិច្ចព្រមព្រៀងទាំងមូលរបស់ភាគីទាំងពីរ ។​ រាល់កិច្ចព្រមព្រៀង មុនៗ​ទាំងអស់​ទោះជាដោយមាត់ទទេក្តី ឬ​លាយលក្ខណ៍ជាអក្សរក្តី ដែល​ផ្ទុយនឹង​កិច្ចព្រមព្រៀងនេះ​ត្រូវទុកជាមោឃៈ។ ការកែប្រែកិច្ចព្រមព្រៀង​មិនត្រូវមាន​ប្រសិទ្ធិភាពឡើយ លើកលែងតែធ្វើឡើងជាលាយលក្ខណ៍អក្សរ ហើយ​ចុះហត្ថលេខា​ដោយភាគី​ទាំងពីរ។
										<div>
									</td>
								</tr>
								<tr>
									<td style="text-indent: 50px;line-height:30px;">								
										<span class="letter-bold">ជាសក្ខីភាពនៃសេចក្តីខាងលើ ៖</span> អ្នកលក់ និងអ្នកទិញព្រមផ្តិតមេដៃស្តាំខាងក្រោមនេះដើម្បីទទួលស្គាល់និង អនុវត្តតាមបទបញ្ញាត្តិទាំងឡាយនៃកិច្ចព្រមព្រៀងនេះ នៅកាលបរិច្ឆេទ ដែលបានសរសេរដូចខាងក្រោម។
										</div>
									</td>
								</tr>

								<tr>
									<td align="right">
										ធ្វើនៅថ្ងៃទី.............ខែ..............ឆ្នាំ 20........
									</td>
								</tr>
								<tr>
									<td>
										<br>

										<table width="100%" border="0">

											<tr align="center">

												<td align="center">ស្នាមមេដៃអ្នកទិញ</td>

												<td align="center">សាក្សីអ្នកទិញ</td>

												<td align="center">សាក្សីអ្នកលក់</td>

												<td align="center">ស្នាមមេដៃអ្នកលក់</td>

											</tr>

											<tr align="center">

												<td align="center"><br/><br/><br/><br/> .....................</td>

												<td align="center"><br/><br/><br/><br/> .....................</td>

												<td align="center"><br/><br/><br/><br/>.....................</td>

												<td align="center"><br/><br/><br/><br/>.....................</td>

											</tr>

										</table>

										</td>

								</tr>

								<tr>
									<td>
										<br>
										<br>
										<table width="100%" border="0" style="font-size: 12px;">

											<tr>
												<td>
												អាសយដ្ធាន: អគារB ផ្លូវសហព័ន្ធរុស្សី សង្កាត់ទឹកថ្លា ខណ្ឌសែនសុខ រាជធានីភ្នំពេញ</td>

												<td>
												<img src="'.base_url().'assets/img/phone_contract.png" width="15px" vali /> 010 366 944 | 093 366 944 </td>

												<td>
												<img src="'.base_url().'assets/img/www_contract.png" width="13px" vali /> http://toppillcaremarket.com/</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</div>
						';
					?>
				</div>
			</div>
		</div>
	</body>
	<script type="text/javascript">
	    function myprint() {
	        window.print();
	    }
	</script>
</html>
<link href="<?php echo base_url();?>assets/global/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
<style type="text/css">
	@media print {
		.logo-page {
			width:150px !important;
			float:left !important;
			overflow:hidden !important;
			margin-left:15px !important;
		}
		.logo-page:not(*:root) {
			width:150px;
			float:left;
			overflow:hidden;
			position:absolute;
			margin-left:5%;
		}
		.btn-print {
            display: none !important;
        }
		.bg_image {
			width: 100%;
			height: auto;
			overflow: hidden;
			display: block;
			background-image: url(<?php echo base_url().'assets/img/bg_image.png'; ?>) !important;
			background-size: contain !important;
			background-repeat: repeat-y !important;
			background-position: top center !important;
		}
		.letter-bold {
			font-weight: bold !important;
		}
	    @font-face {

            font-family: 'Khmer OS Content';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOSContent-Regular.ttf");

        }

        @font-face {

            font-family: 'Khmer Mool1';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff");

        }
	}
</style>
<script type="text/javascript">
	function Export2Doc(element, filename = ''){
	    var preHtml = "<html xmlns:o='urn:schemas-microsoft-com:office:office' xmlns:w='urn:schemas-microsoft-com:office:word' xmlns='http://toppillcaremarket.com/'><head><meta charset='utf-8'><title>Export HTML To Doc</title></head><body>";
	    var postHtml = "</body></html>";
	    var html = preHtml+document.getElementById(element).innerHTML+postHtml;

	    var blob = new Blob(['\ufeff', html], {
	        type: 'application/msword'
	    });
	    
	    // Specify link url
	    var url = 'data:application/vnd.ms-word;charset=utf-8,' + encodeURIComponent(html);
	    
	    // Specify file name
	    filename = filename?filename+'.doc':'document.doc';
	    
	    // Create download link element
	    var downloadLink = document.createElement("a");

	    document.body.appendChild(downloadLink);
	    
	    if(navigator.msSaveOrOpenBlob ){
	        navigator.msSaveOrOpenBlob(blob, filename);
	    }else{
	        // Create a link to the file
	        downloadLink.href = url;
	        
	        // Setting the file name
	        downloadLink.download = filename;
	        
	        //triggering the function
	        downloadLink.click();
	    }
	    
	    document.body.removeChild(downloadLink);
	}	
</script>