<?php $this->load->view('template/header.php'); ?>

<?php $this->load->view('template/body.php'); ?>

<!-- /.search -->
<form class="form_data">
<?php $this->load->view('report_collection/collection_search.php'); ?>
</form>
<!-- /.end search -->
<style>
	.form-group {
		margin-bottom: 45px !important;
	}
</style>

<!-- /.schedule -->

<div class="row">

	<div class="col-md-12">

		<div class="col-md-12">

			<!-- BEGIN EXAMPLE TABLE PORTLET-->

			<div class="portlet light bordered">

				<div class="portlet-title">

					<div class="caption font-red-sunglo">

						<i class="fa fa-list font-red-sunglo"></i>

						<span class="caption-subject bold uppercase"> <?php echo zphrase('Report Payment Collection'); ?></span>

					</div>

					<div class="actions">

						<div class="btn-group">

							<div class="row">

								<div class="col-md-12">

									<div class="dt-buttons">

										<a class="btn-circle dt-button buttons-pdf print_report buttons-html5 btn green btn-outline"
										   tabindex="0" aria-controls="sample_1">

											<i class="fa fa-print"></i>

											<span>Print</span>

										</a>

										<a onclick="exportTo('xls')"
										   class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline"
										   tabindex="0" aria-controls="sample_1">

											<i class="icon-book-open"></i>

											<span>Excel</span>

										</a>

									</div>

								</div>

							</div>

						</div>

					</div>

				</div>


				<div class="portlet-body">


					<div class="print">

						<div class="a"></div>

						<div class="table-scrollable">

							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%"
								   id="posts">

								<thead>

								<tr style="background-color:lightblue;">

									<th><?php echo zphrase('No'); ?></th>

									<!--                                     <th>-->
									<?php //echo zphrase('Loan ID');?><!--</th> -->

									<th><?php echo zphrase('Due Date'); ?></th>

									<!-- <th><?php //echo zphrase('Credit Officer');?></th> -->

									<th><?php echo zphrase('Project'); ?></th>

									<th><?php echo zphrase('Category'); ?></th>

									<th><?php echo zphrase('Item'); ?></th>

									<th><?php echo zphrase('Client ID​'); ?></th>

									<th><?php echo zphrase('Client Name'); ?></th>

									<th><?php echo zphrase('Gender'); ?></th>

									<th><?php echo zphrase('Phone'); ?></th>

									<!-- <th><?php //echo zphrase('No Pay');?></th> -->

									<th><?php echo zphrase('Principle'); ?></th>

									<th><?php echo zphrase('Interest'); ?></th>

									<th><?php echo zphrase('Total'); ?></th>

								</tr>

								</thead>


								<tfoot>

								<tr>
									<td class="hide_item"></td>

									<td class="hide_item"></td>

									<td class="hide_item"></td>
									<td colspan="6" align="right"> Total :</td>

									<td></td>

									<td></td>

									<td></td>

								</tr>

								</tfoot>

							</table>

						</div>

						<div class="b"></div>

					</div>

				</div>

			</div>

		</div>

	</div>

</div>


<?php echo zreport(array('body' => 'footer')); ?>


<!-- /.end schedule -->


<?php $this->load->view('template/footer.php'); ?>

<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js"
		type="text/javascript"></script>

<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js"
		type="text/javascript"></script>

<script>


	$(document).ready(function () {

		$('.datepicker').datepicker({
			autoclose: true,
		});
		$('.btn_search').on('click',function () {
			$('#posts').DataTable().destroy();
			fill_datatable()
		})
		fill_datatable();

		function fill_datatable() {

			var dataTable = $('#posts').dataTable({

				"processing": true,
				"serverSide": true,
				"searching": false,
				"lengthMenu": [[10, 25, 50, 100, -1], [10, 25, 50, 100, "All"]],
				"ajax": {
					"url": "<?php echo site_url("report_collection/report_collection/load_data_datable/")?>?"+$('.form_data').serialize(),
					"type": "POST",
				},
				"columnDefs": [
					{className: "dt-body-right", "targets": [9, 10, 11]},
					{className: "dt-body-center", "targets": [0]}
				],
				"footerCallback": function (row, data, start, end, display) {
					var api = this.api(), data;
					var intVal = function (i) {

						return typeof i === 'string' ?

								i.replace(/[\$,]/g, '') * 1 :

								typeof i === 'number' ?

										i : 0;

					};
					Principle = api
							.column(9, {page: 'current'})
							.data()
							.reduce(function (a, b) {
								return intVal(a) + intVal(b);
							}, 0);
					Interest = api
							.column(10, {page: 'current'})
							.data()
							.reduce(function (a, b) {
								return intVal(a) + intVal(b);
							}, 0);
					Total = api
							.column(11, {page: 'current'})
							.data()
							.reduce(function (a, b) {
								return intVal(a) + intVal(b);
							}, 0);
					$(api.column(9).footer()).html(
							"$" + parseFloat(Principle).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
					);
					$(api.column(10).footer()).html(
							"$" + parseFloat(Interest).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
					);
					$(api.column(11).footer()).html(
							"$" + parseFloat(Total).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
					);
				}

			});
		}

	});


	$('.print_report').click(function () {

		var table = `

        <div class="panelBody">
        	<table border="0" cellpadding="0" cellspacing="0" width="100%" class="">


				<tr>

					<td colspan="6">

						<table border="0" cellpadding="1" cellspacing="1" width="100%">

							<tr>

								<td width="10%">

									<div class="contract-title">



									</div>

								</td>

								<td width="70%" align="center" colspan="5">

									<h2 class="contract-title" style="margin-bottom: 40px;font-size: 32px;">ក្រុមហ៊ុន ឃុន សឿ លក់ដីឡូតិ៍</h2>
									<h3 class="main-title" style="margin-bottom:0;">

										<span>របាយការណ៍ពីការប្រមូលប្រាក់សំណង</span>

									</h3>

								</td>

								<td width="20%"></td>

							</tr>

						</table>

					</td>

				</tr>
				<tr>

					<td colspan="6">

						<table border="0" cellpadding="1" cellspacing="1" width="100%">

							<tr>

								<td class="contract-title"​ align="center">

									<hr style="color: #000;border: 1px solid;" />

									<br/>

								</td>

							</tr>

						</table>

					</td>

				</tr>

		</table>`;

		var table_foot = `<br/>

    <table width="100%" >

		<tr>

			<td colspan="3" align="right">ធ្វើនៅ<span class="filled-form">ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date', date('Y-m-d'));?></span><br/><br/></td>

		</tr>

		<tr>



            <td valign="top" align="right" width="50%">

            	<div style="width:200px;" align="center">

                	<span class="font-title-signature">ហត្ថលេខា</span><br/><br/>

                	<span class="font-title-signature">------------------------------</span><br/><br/><br/><br/><br/>



                </div>

            </td>

		</tr>

    </table>`;


		$('.a').append(table);

		$('.b').append(table_foot);
		$('.hide_item').hide();
		print_report(print);


	});

</script>
