<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<!-- /.search -->
<?php $this->load->view('report_stock/report_stock_item_search.php');?>
<!-- /.end search -->

<div class="row">
    <div class="col-md-12">
        <div class="col-md-12">
            <!-- BEGIN EXAMPLE TABLE PORTLET-->
            <div class="portlet light bordered">
                <div class="portlet-title">
                    <div class="caption font-red-sunglo">
                        <i class="fa fa-list font-red-sunglo"></i>
                        <span class="caption-subject bold uppercase"> <?php echo zphrase('Report Stock Item');?></span>
                    </div>
                    <div class="actions">
                        <div class="btn-group">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="dt-buttons">

                                        <a class="btn-circle print_report dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
                                            <i class="fa fa-print"></i>
                                            <span>Print</span>
                                        </a>
                                        <a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">
                                            <i class="icon-book-open"></i>
                                            <span>Excel</span>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="print">
                        <div class="a"></div>
                        <div class="table-scrollable">
                            <table class="table table-striped sss table-bordered table-hover dt-responsive" width="100%" id="datatable">
                                <thead>
                                <tr style="background-color:lightblue;">
                                    <th><?php echo zphrase('No');?></th>
                                    <th><?php echo zphrase('Project');?></th>
                                    <th><?php echo zphrase('Category');?></th>
                                    <th><?php echo zphrase('ItemCode');?></th>
                                    <th><?php echo zphrase('size');?></th>
                                    <th><?php echo zphrase('Cost');?></th>
                                    <th><?php echo zphrase('Price');?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php

                                $i = 1;
                                $cost = 0;
                                $sale_price = 0;

                                ?>
                                <?php foreach ($data as $row):?>
                                    <tr >
                                        <td><?= $i;?></td>
                                        <td><?php echo $row['ppjName'];?></td>
                                        <td><?php echo $row['pctName'];?></td>
                                        <td><?php echo $row['piItemCode'];?></td>
                                        <?php
                                        $size = strtolower($row['piSize']);
                                        $size = explode("x", $size);
                                        $width = $size[0];
                                        $lenght = $size[1];
                                        $total = $width * $lenght ;
                                        ?>
                                        <td><?php echo $row['piSize']." (".$total." m<sup>2</sup>)";?></td>
                                        <td><?php echo $row['piCost'];?></td>
                                        <td><?php echo $row['piPrice'];?></td>
                                    </tr>
                                    <?php
                                    $i++;
                                    $cost       += $row['piCost'];
                                    $sale_price += $row['piPrice'];
                                    ?>
                                <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <td colspan="5" align="right">Total : </td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                </tfoot>
                            </table>
                        </div>
                        <div class="b"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>

<script>

    $(document).ready(function() {
        $('#datatable').dataTable( {
            searching: false,
            ordering: false,
            aLengthMenu: [
                [10,25, 50, 100, 200, -1],
                [10,25, 50, 100, 200, "All"]
            ],
            "footerCallback": function ( row, data, start, end, display ) {
                var api = this.api(), data;

                // Remove the formatting to get integer data for summation
                var intVal = function ( i ) {
                    return typeof i === 'string' ?
                        i.replace(/[\$,]/g, '')*1 :
                        typeof i === 'number' ?
                            i : 0;
                };



                // Total over this page
                costTotal = api
                    .column( 5, { page: 'current'} )
                    .data()
                    .reduce( function (a, b) {
                        return intVal(a) + intVal(b);
                    }, 0 );
                priceTotal = api
                    .column( 6, { page: 'current'} )
                    .data()
                    .reduce( function (a, b) {
                        return intVal(a) + intVal(b);
                    }, 0 );

                // Update footer
                $( api.column( 5 ).footer() ).html(
                    parseFloat(costTotal).toFixed(2)
                );
                $( api.column( 6 ).footer() ).html(
                    parseFloat(priceTotal).toFixed(2)
                );
            }
        } );
    } );
    $('.print_report').click(function(){

        var table=`
        <div class="panelBody"><table border="0" cellpadding="0" cellspacing="0" width="100%" class="">
						<tr>
							<td colspan="6">
								<table border="0" cellpadding="1" cellspacing="1" width="100%">
									<tr>
										<td width="10%">
											<div class="contract-title" style ="margin-top:-125px" >
												<div style="height:20px"></div>
												<br/>
											</div>		
										</td>
										<td width="78%" align="center" colspan="5">
											<h2 class="contract-title" style="margin-bottom: 40px;font-size: 32px;">ក្រុមហ៊ុន ឃុន សឿ លក់ដីឡូតិ៍</h2>
											<div style="font-size:12px;">
												<br/>
												Tel : 077 369 666 / 076 96 96 619 / 086 636 966 / 096 96 96 619 / 088 873 75 78
											</div >
											<h3 class="contract-title">របាយការណ៍ពីស្តុក</h3>
										</td>
										<td width="20%"></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="6">
								<table border="0" cellpadding="1" cellspacing="1" width="100%">
									<tr>
										<td class="contract-title"​ align="center">
											<hr style="color: #000;border: 1px solid;" />
											<br/>
										</td>
									</tr>
								</table>
							</td>
						</tr>  
					</table>`;
        var table_foot = `<br/>
    <table width="100%" >
		<tr>
			<td colspan="3" align="right">ធ្វើនៅ<span class="filled-form">ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>
		</tr>
		<tr>
           
            <td valign="top" align="right" width="50%">
            	<div style="width:200px;" align="center">
                	<span class="font-title-signature">ហត្ថលេខា</span><br/><br/><br/><br/>
                	<span class="font-title-signature">------------------------------</span><br/><br/><br/><br/><br/>
                   
                </div>
            </td>
		</tr>
    </table>`;

        $('.a').append(table);
        $('.b').append(table_foot);

        print_report(print);
        location.reload();


    });

</script>