
<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Sale Client');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<a class="btn btn-sm green " href="<?php echo site_url('Sales/index');?>"> 
								<i class="fa fa-reply"></i>
								<?php echo zphrase('Back');?>
							</a>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<?php foreach($sale as $row): ?>
					<form class="form-horizontal" role="form">
						<div class="form-body">
							<div class="row">
								<div class="col-md-12">
									<div class="col-md-3">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Name');?></label>
											<div class="col-md-9">
												<input type="hidden" name="sale_id" value="<?php echo $row->id;?>">
												<input type="text" class="form-control" name="name" value="<?php echo $row->name;?>" disabled>
											</div>

										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Gender');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="name" value="<?php echo $row->gender;?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Position');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="name" value="<?php echo $row->position;?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Workplace');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="name" value="<?php echo $row->workplace;?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase(' Address');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="name" value="<?php echo $row->address;?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Phone');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="name" value="<?php echo $row->phone;?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Category');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="name" value="<?php echo $row->class;?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase(' Date');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="name" value="<?php echo $row->date_time;?>" disabled>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</form>
					<?php endforeach; ?>
				</div>
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Sale Feedback');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<a class="btn btn-sm green " href="<?php echo site_url('SalesFeedback/addnew/'.$row->id); ?>"> 
								<i class="fa fa-plus"></i>
								<?php echo zphrase('Add');?>
							</a>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<div class="table-scrollable">
						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
							<thead>
								<tr>
									<th><?php echo zphrase('No.');?></th>
									<th><?php echo zphrase('Feedback');?></th>
									<th><?php echo zphrase(' Date');?></th>
									<th width="10%"><?php echo zphrase('Action');?></th>
								</tr>
							</thead>
							<tbody>
								<?php $i = 1; ?>
								<?php foreach($salefeedback as $feedback): ?>
									<tr>
										<td><?php echo $i;?></td>
										<td><?php echo $feedback->feedback;?></td>
										<td><?php echo $feedback->feedback_date;?></td>
										<td>
											<a class="btn btn-sm blue" data-toggle="modal" href="#" onclick="btnDelete(this)"><i class="fa fa-edit"></i></a>
											<a class="btn btn-sm red" data-toggle="modal" href="#" onclick="btnDelete(this)"><i class="fa fa-trash-o"></i></a>
										</td>
									</tr>
									<?php $i++; ?>
								<?php endforeach; ?>
								
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.end data -->
	<script>
		function btnDelete(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("language/form_delete")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".clID").val(id);
				}
			});
		}
	</script>
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
  $('#datatable').dataTable();
</script>