<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<!-- /.search -->
	<?php $this->load->view('stock/item/search.php');?>
	<!-- /.end search -->
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold "> <?php echo zphrase('Invoice');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<a class="btn btn-sm green " href="<?php echo site_url('stock/category/addnew');?>"> 
									<i class="fa fa-plus"></i>
									<?php echo zphrase('Addnew');?>									
								</a>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="sample_4">
								<thead>
									<tr>
										<th><?php echo zphrase('No');?></th>
										<th><?php echo zphrase('Client Name');?></th>
										<th><?php echo zphrase('Status');?></th>
										<th><?php echo zphrase('Amount');?></th>
										<th><?php echo zphrase('remain');?></th>
										<th><?php echo zphrase('Paid');?></th>
										<th><?php echo zphrase('Action');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($data as $row): ?>
										<?php 
											
											$btn_installment = '';
											$btn_deposit = '';
											$url = site_url('loan/loan/view/'.$row['pclID'].'/'.$row['psID']);
											if($row['ploID']){
												//$btn_installment = "<a class='btn btn-sm blue' href=".$url." title='Reschedule'><i class='fa fa-money'></i></a>";
											}
											
											if($row['psType'] == 1){
												$type = 'Sale';
											}elseif($row['psType'] == 2){
												$type = 'Sale Installment';
												if(empty($row['ploID'])){
													$btn_installment = "<a class='btn btn-sm blue' href=".$url." title='Installment'><i class='fa fa-money'></i></a>";
													$btn_deposit = "<a class='btn btn-sm green' href='#deposit' onclick='deposit(this)' data-toggle='modal' title='Deposit'><i class='fa fa-stack-overflow'></i></a>";
												}
											}else{
												$type = 'Sale Credit';
											}
										?>
										
										<tr pid="<?php echo $row['psID'];?>">
											<td><?php echo $no;?></td>
											<td><?php echo $row['pclName'];?></td>
											<td><?php echo $type;?></td>
											<td><?php echo $row['psAmount'];?></td>
											<td><?php echo $row['psRemain'];?></td>
											<td><?php echo $row['psReceive'];?></td>
											<td>
												<?php echo $btn_installment;?>
												<?php echo $btn_deposit;?>
											</td>
										</tr>
										<?php $no++;?>
									<?php endforeach; ?>
								</tbody>
							</table>
						</div>
						<?php echo $this->pagination->create_links();?>
					</div>
				</div>
				<!-- /.delete -->
				<?php $this->load->view('stock/invoice/deposit.php');?>
				<!-- /.end delete -->
				<script>
					function deposit(obj){
						var id = $(obj).closest("tr").attr("pid");
						
						$.post("<?php echo site_url('stock/invoice/frm_deposit');?>",{id:id}, function(data) {
							var d = $.parseJSON(data);
							
							$("#id").val(id);
							$("#receive").val(d.receive);
						});
						
					}
				</script>
	
<?php $this->load->view('template/footer.php');?>