<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class client extends CI_Controller {

	 function __construct()
    {
        parent::__construct();
		$this->load->library('form_validation');
		$this->load->model('client_model');
		$this->load->model('Dropdown_model');
		$this->load->model('Pagination_model');
		$this->load->model('search_model');
		$this->load->library('pagination');
		$this->load->model('address_model');
		$this->load->library('upload');
		$this->load->model('permission_model');
    }
	
	public function index(){		
		$search_clName = (empty($_POST['pclName']))? '':' pclName = "'.$_POST['pclName'].'" ';
		$search_clCode = (empty($_POST['pclID']))? '':' pclID = "'.$_POST['pclID'].'" ';
		$search_clId = (empty($_POST['pcllDCard']))? '':' pcllDCard LIKE "%'.$_POST['pcllDCard'].'%" ';
		$search_clGender = (empty($_POST['pclGender']))? '':' pclGender LIKE "%'.$_POST['pclGender'].'%" ';
		$search_clPhone = (empty($_POST['pclPhone1']))? '':' pclPhone1 = "'.$_POST['pclPhone1'].'" ';
		
		$data_search = array(
			'search_clName' =>$search_clName,
			'search_clCode' =>$search_clCode,
			'search_clId' =>$search_clId,
			'search_clGender' =>$search_clGender,
			'search_clPhone' =>$search_clPhone,
		);
		$search = $this->search_model->search($data_search);   
		
		$page = '';
		if(empty($search)){
			$config["base_url"] = base_url() . "index.php/client/index";
			$cond = $this->client_model->record_count();
			$config = $this->Pagination_model->pagination($cond);
			$this->pagination->initialize($config);
			$page = $config['per_page'];
		}
		
		
		$data["datas"] = $this->client_model->getClient1($search);
		$data['clients'] = $this->client_model->client_list();
		$data['user'] = $this->Dropdown_model->drop_user();
		$data["icon"] = 'fa fa-user';
		$data["title"] = 'Client';
		$data['gender'] = $this->Dropdown_model->drop_Gender();
		
		$this->load->view('client/index.php',$data); 
	}
	public function addnew(){
		$data["icon"] = 'fa fa-user';
		$data["title"] = 'Client';
		$data['gender'] = $this->Dropdown_model->drop_Gender();
		$data['letter'] = $this->Dropdown_model->drop_Letter();
		$data['user'] = $this->Dropdown_model->drop_user();
		$data['address1'] = $this->address_model->get(2,$like='');
		$data['address2'] = $this->address_model->get(4,$like=" AND zlc_code LIKE '2%' ");
		$this->load->view('client/addnew.php',$data);
	
	}
	public function insert(){ 
		// for image
		$path = 'upload/client/';
		if(!is_dir($path))mkdir($path,0777,TRUE);
		
		$extension = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);
		$filename = basename($_FILES['image']['name'], '.'.$extension);

		$filename = empty($_FILES['image']['name']) ? "" : $filename.'-'.uniqid().'.'.$extension;
		move_uploaded_file($_FILES['image']['tmp_name'], $path.$filename);
		
		$data = array(
					'pclName' => $_POST['pclName'],
					'pclNickName' =>$_POST['pclNickName'],
					'pclGender' => $_POST['pclGender'],
					'pclDOB' => date('Y-m-d',strtotime($_POST['pclDOB'])),
					'pclNational' =>$_POST['pclNational'],
					'pcllDCard'=>$_POST['pcllDCard'],
					'pcllDCardDate' =>date('Y-m-d',strtotime($_POST['pcllDCardDate'])),
					'pcllDCardValid' =>date('Y-m-d',strtotime($_POST['pcllDCardValid'])),
					'pcIlDCardBy' =>$_POST['pcIlDCardBy'],
					//'pclLatter' =>$_POST['pclLatter'],
					//'pclLatterDate' =>date('Y-m-d',strtotime($_POST['pclLatterDate'])),
					//'pcILatterValid' =>date('Y-m-d',strtotime($_POST['pcILatterValid'])),
					//'pclLatterBy'=>$_POST['pclLatterBy'],
					'pclPhone1' =>$_POST['pclPhone1'],
					'pclPhone2' =>$_POST['pclPhone2'],
					'pclUser' =>$_POST['pclUser'],
					'pclImage' =>$filename,
					//'pclPath' =>$_POST['pclPath'],
					'pclDocumentLocation' =>$_POST['pclDocumentLocation'],
					//'pclBrand' =>$_POST['pclBrand'],
					'pclJob' =>$_POST['pclJob'],
					'pclWorkPlace' =>$_POST['pclWorkPlace'],
					'pclAddress' =>$_POST['address'],
					'pclAgent' =>$_POST['pclAgent'],
					'pclStatus' => '1',
					'pclAddedDate' => date("Y-m-d"),
					);
					
		$this->db->insert('nso007_client', $data); 
		redirect(site_url('client/index'));
			
	}
	 
	public function edit($id){
		$data["icon"] = 'fa fa-user';
		$data["title"] = 'Client Update';
		$data['user'] = $this->Dropdown_model->drop_user();
		$data['client'] = $this->client_model->getClientById($id);
		$this->load->view('client/edit.php',$data);	
	}
	
	
	public function delete($id){
	
		$this->db->where('pclID',$id);  
		$this->db->delete('nso007_client');
		redirect(site_url('client/index'));
			
	}
	
	public function view($id){
		$data["icon"] = 'fa fa-user';
		$data["title"] = 'Client';
		$data['gender'] = $this->Dropdown_model->drop_Gender();
		$data['client'] = $this->client_model->get_client($id);  
		$this->load->view('client/view.php',$data); 
	}
	
	public function getAddress(){
		$id = $_POST['id'];
		$get = $this->address_model->get(4,$like=" AND zlc_code LIKE '$id%' ");
		
		$showTitle ='';
		foreach($get as $row){
			$selected = '';
			if(!empty($row['zlc_code']) && !empty($select) && $row['zlc_code'] == $select) $selected = 'selected';
			$showTitle .='<option value="'.$row['zlc_code'].'" '.$selected.'>'.$row['zlc_namekh'].'</option>';
		}
		echo $showTitle;
	}
	public function srok(){
		$id = $_POST['id'];
		$get = $this->address_model->get(6,$like=" AND zlc_code LIKE '$id%' ");
		
		$showTitle ='';
		foreach($get as $row){
			$selected = '';
			if(!empty($row['zlc_code']) && !empty($select) && $row['zlc_code'] == $select) $selected = 'selected';
			$showTitle .='<option value="'.$row['zlc_code'].'" '.$selected.'>'.$row['zlc_namekh'].'</option>';
		}
		echo $showTitle;
	}
	public function porm(){
		$id = $_POST['id'];
		$get = $this->address_model->get(8,$like=" AND zlc_code LIKE '$id%' ");
		
		$showTitle ='';
		foreach($get as $row){
			$selected = '';
			if(!empty($row['zlc_code']) && !empty($select) && $row['zlc_code'] == $select) $selected = 'selected';
			$showTitle .='<option value="'.$row['zlc_code'].'" '.$selected.'>'.$row['zlc_namekh'].'</option>';
		}
		echo $showTitle;
	}
	public function fullAddress(){
		$id = $_POST['id'];
		$get = $this->address_model->fullAddress($id);
	
		echo $get->zlc_path_kh;
	}
	public function update($id){
		$path = 'upload/client/';
		if(!is_dir($path))mkdir($path,0777,TRUE);
		
		$extension = pathinfo($_FILES['image']['name'], PATHINFO_EXTENSION);
		$filename = basename($_FILES['image']['name'], '.'.$extension);
		$pclImage = $_POST["pclImage"];
		$filename = empty($_FILES['image']['name']) ? "$pclImage" : $filename.'-'.uniqid().'.'.$extension;
		move_uploaded_file($_FILES['image']['tmp_name'], $path.$filename);
		
		
		$data = array(
			'pclName' => $_POST['pclName'],
			'pclNickName' => $_POST['pclNickName'],
			'pclGender' => $_POST['pclGender'],
			'pclDOB' => date('Y-m-d',strtotime($_POST['pclDOB'])),
			'pclJob' => $_POST['pclJob'],
			'pclWorkPlace' => $_POST['pclWorkPlace'],
			'pclNational' => $_POST['pclNational'],
			'pclPhone1' => $_POST['pclPhone1'],
			'pclPhone2' => $_POST['pclPhone2'],
			'pclDocumentLocation' => $_POST['pclDocumentLocation'],
			'pcllDCard' => $_POST['pcllDCard'],
			'pcllDCardDate' => date('Y-m-d',strtotime($_POST['pcllDCardDate'])),
			'pcllDCardValid' => date('Y-m-d',strtotime($_POST['pcllDCardValid'])),
			'pcIlDCardBy' => $_POST['pcIlDCardBy'],
			'pclUser' => $_POST['pclUser'],
			'pclAgent' => $_POST['pclAgent'],
			'pclAddress' => $_POST['address'],
			'pclImage' =>$filename,
		);
		
		$this->db->where('pclID',$id);  
		$this->db->update('nso007_client',$data);
		redirect(site_url('client/index'));
	}
	
}
	
	
