<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Project extends CI_Controller {
	function __construct() {
		parent::__construct();
		
		$this->load->library('pagination');
		$this->load->model('catagory_model');
		$this->load->library('upload');
        $this->load->model('permission_model');
	}

	public function index(){		
		
		$this->load->view('pawn/index.php');
	}
	public function view(){ 
		/*$search_item_code = (empty($_POST['piID']))? '':' piID = "'.$_POST['piID'].'" ';
		$search_category = (empty($_POST['pctID']))? '':' pctID = "'.$_POST['pctID'].'" ';
		$search_project = (empty($_POST['ppjID']))? '':' ppjID = "'.$_POST['ppjID'].'" ';
		
		$data_search = array(
			'search_item_code' =>$search_item_code,
			'search_category' =>$search_category,
			'search_project' =>$search_project,
		);
		$search = $this->search_model->search($data_search);
	*/
		$data["data"] = $this->catagory_model->getProject();
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Project';
		$data["no"] = 1;
		
		$this->load->view('stock/project/index.php',$data);
	}
	public function addnew(){  
		
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Addnew';
		
		$this->load->view('stock/project/addnew.php',$data);
	}
	public function save(){ 
		
		$data = array(

				'ppjName' => $_POST['name'],
				'ppjDes' => $_POST['des'],
				
		);
		$this->db->insert('nso007_project_stock',$data);
		
		redirect(site_url('stock/project/view'));
	}
	public function edit($id){
		$data["icon"] = 'fa fa-tasks';
		$data["title"] = 'Edit';
		$data["data"] = $this->catagory_model->getProjectID($id);
		
		$this->load->view('stock/project/edit.php',$data);
	}
	public function update($id){
		$data = array(
			'ppjName' => $_POST['name'],
			'ppjDes' => $_POST['des'],
		);
		
		$this->db->where('ppjID', $id);
		$this->db->update('nso007_project_stock', $data);
		
		redirect(site_url('stock/project/view'));
	}
	public function form_delete($id){
		$data['id'] = $id;
		echo json_encode($data);
	}
	public function delete(){
		$this->db->where('ppjID', $_POST['proID']);
		$this->db->delete('nso007_project_stock');
		
		redirect(site_url('stock/project/view'));
	}
}
