<?php

	class Dashbord_model extends CI_Model{

		

		public function getIncome(){

			$data = $this->db->query("SELECT COALESCE(SUM(pjnCr),0) AS total

									FROM nso007_jounal

									WHERE pjnAccCode like '4%' AND pjnStatus = 0");

			return $data->row();

		}

		public function getExpends(){

			$data = $this->db->query("SELECT COALESCE(SUM(pjnDr),0) AS total

									FROM nso007_jounal

									WHERE pjnAccCode like '5%' AND pjnType <> 13");

			return $data->row();

		}

		public function getCashOnHand(){

			$data = $this->db->query("SELECT COALESCE(SUM(pjnDr),0) - COALESCE(SUM(pjnCr),0) AS total

									FROM nso007_jounal

									WHERE pjnAccCode = 10000 AND pjnStatus = 1");

			return $data->row();

		}

		public function getli(){

			$data = $this->db->query("SELECT COALESCE(SUM(pjnCr),0) - COALESCE(SUM(pjnDr),0) AS total FROM nso007_jounal WHERE pjnAccCode like '2%' and pjnType <> 222");

			$data = $data->row();

			

			$data1 = $this->db->query("SELECT COALESCE(SUM(pjnDr),0) AS total FROM nso007_jounal WHERE pjnType = 222");

			$data1 = $data1->row();

			

			return $data->total - $data1->total;

		}

		public function getClient(){

			$data = $this->db->query("SELECT COUNT(pclID) AS total FROM nso007_client WHERE pclStatus = 1");

			return $data->row();

		}

		public function getCustomer()

		{

			$data = $this->db->query("SELECT COUNT(pclID) AS total FROM nso007_client WHERE pclStatus = 2");

			return $data->row();

		}

		public function getPawnWriteOff(){

			$data = $this->db->query("SELECT COALESCE(SUM(ppwAmountOS),0) AS total

									FROM nso007_pawn

									WHERE ppwStatus = 3");

			return $data->row();

		}

		public function getDibusement(){

			$data = $this->db->query("
				SELECT SUM(ploAmount) AS total, 
				SUM(psDiscount) AS discount, 
				SUM(psReceive) AS receive
				FROM nso007_loan
				LEFT JOIN nso007_sale_stock ON nso007_loan.ploSale = nso007_sale_stock.psID
			");

			return $data->row();

		}

		public function getCollect(){

			$data = $this->db->query("SELECT SUM(plpPrinciple) AS total FROM nso007_loan_process WHERE ISNULL(plpPaid)");

			return $data->row();

		}

		public function getWriteOff(){

			$data = $this->db->query("SELECT SUM(ppwAmountOS) AS total FROM nso007_pawn WHERE ppwStatus = 5");

			return $data->row();

		}

		

		public function accounting($type,$total){

			$data = $this->db->query("SELECT $total AS Total,nso007_account_chart.pacName,pjnCurrency

									FROM nso007_jounal

									LEFT JOIN nso007_account_chart ON nso007_jounal.pjnAccCode = nso007_account_chart.pacCode

									WHERE left(pjnAccCode,1) = $type");

			$get = $data->result_array();

			$default_currency = 1;

			$i = array();

			foreach($get as $r){

				$l = empty($r['pacName'])? '':trim($r['pacName']);

					

				if($default_currency == $r['pjnCurrency']){

					$Total = empty($i[$l]['val'])? $r['Total']:$i[$l]['val']+$r['Total'];

					

				}else{

					$Total = empty($i[$l]['val'])? exchange_rate($r['pjnCurrency'],$default_currency,$r['Total']):$i[$l]['val']+exchange_rate($r['pjnCurrency'],$default_currency,$r['Total']);

					

				}

				

				$i[$l] = array('label'=>$l,'val'=>$Total);

				//$i[$l] = array('label'=>$l,'val'=>$r['Total']);

				

			}

			return $i;

		}

		public function delete(){

			var_dump($_POST);

		}

        public function getCollected(){

            $data = $this->db->query("SELECT SUM(plpPrinciple) AS plpPrinciple,SUM(plpInterest) AS plpInterest FROM nso007_loan_process WHERE !ISNULL(plpNo) AND plpPaid = 1");

            return $data->row();

        }
        public function getCompleted(){

            $data = $this->db->query("SELECT SUM(ploAmount) AS ploAmount,SUM(ploInterest) AS ploInterest FROM nso007_loan WHERE ploStatus = 2");

            return $data->row();

        }

	}

?>