<?php
	class Report_pawn_model extends CI_Model{
		
		public function getReportPawn($search){
			$data = $this->db->query("SELECT lPAD(ppwID,6,0) AS ppwID,ppwName,ppwDodate,pclName,ppwAmountOS,ppwAmountPaid,ppwAmount,ppwInterest,ppwAmountOS,
									ppwDuration,ppwStatus,
									nso007_pawn.ppwModel,
									nso007_pawn.ppwMachine,
									nso007_pawn.ppwBody,
									nso007_pawn.ppwSeri,
									nso007_pawn.ppwBook,
									nso007_pawn.ppwPlad,
									nso007_pawn.ppwCard,
									type.pdwNameFull AS type,
									interest.pdwNameFull AS interest,
									term.pdwNameFull AS term,
									currency.pdwNameFull AS currency
									FROM nso007_pawn 
									INNER JOIN nso007_client ON nso007_pawn.ppwClientID = nso007_client.pclID
									LEFT JOIN nso007_dropdown AS type ON nso007_pawn.ppwType = type.pdwCode AND type.pdStatus = 4
									LEFT JOIN nso007_dropdown AS interest ON nso007_pawn.ppwInterest = interest.pdwCode AND interest.pdStatus = 3
									LEFT JOIN nso007_dropdown AS term ON nso007_pawn.ppwTerm = term.pdwCode AND term.pdStatus = 2 
									INNER JOIN nso007_dropdown AS currency ON nso007_pawn.ppwCurrentcy = currency.pdwCode AND currency.pdStatus = 5
									$search ");
			return $data->result_array();
		}
		public function getReportPawnSum($search){
			$data = $this->db->query("SELECT COUNT(ppwID) AS ppwID,COUNT(pclID) AS pclID,SUM(ppwAmount) AS ppwAmount,SUM(ppwAmountOS) AS ppwAmountOS,
									currency.pdwNameFull AS currency
									FROM nso007_pawn 
									INNER JOIN nso007_client ON nso007_pawn.ppwClientID = nso007_client.pclID
									INNER JOIN nso007_dropdown AS currency ON nso007_pawn.ppwCurrentcy = currency.pdwCode AND currency.pdStatus = 5
									 $search ");
			return $data->row();
		}
		
	}
?>