<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
    <!-- /.search -->

    <?php $this->load->view('accounting/followuppayment/search.php');?>

    <!-- /.end search -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Follow Up Payment');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<a class="btn btn-sm green " href="<?php echo site_url('followuppayment/addnew');?>">
									<i class="fa fa-plus"></i>
									<?php echo zphrase('Addnew');?>									
								</a>

							</div>
							<div class="btn-group">
                                <a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">

                                    <i class="icon-book-open"></i>

                                    <span>Excel</span>

                                </a>
							</div>

						</div>
					</div>
					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" align="center" width="100%" id="sample_4">
								<thead>
									<tr >
										<th><?php echo zphrase('No');?> </th>
										<th><?php echo zphrase(' Date');?></th>
										<th><?php echo zphrase('Follow Up Date');?></th>
										<th><?php echo zphrase('Client Name');?></th>
										<th><?php echo zphrase('Project Name');?></th>
										<th><?php echo zphrase('Item Name');?></th>
										<th><?php echo zphrase('Contact');?></th>
										<th><?php echo zphrase('Comment');?></th>
										<th width="10%"><?php echo zphrase('Action');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($fupayment as $fupayments){  ?>
										<tr pid="<?php echo $fupayments['fupID'];?>">
											<td><?php echo $no; $no++; ?></td>
											<td><?php echo date('d-m-Y',strtotime($fupayments['fupDate']));?></td>
											<td><?php echo date('d-m-Y',strtotime($fupayments['fupFollowUpDate']));?></td>
											<td><?php echo $fupayments['pclName'];?></td>
											<td><?php echo $fupayments['ppjName'];?></td>
											<td><?php echo $fupayments['fupItemName'];?></td>
											<td><?php echo $fupayments['fupContect'];?></td>
											<td><?php echo $fupayments['fupComment'];?></td>
											<td align="center">
                                                <a class="btn btn-sm btn-outline-success" data-toggle="modal" href="<?php echo site_url("followuppayment/add_edit/".$fupayments['fupID']);?>" title="Edit"><i class="fa fa-edit"></i></a>
                                                <a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(this)"><i class="fa fa-trash-o" title="Delete"></i></a>
											</td>
										</tr>
									<?php
									} ; ?>
								</tbody>
							</table>
						</div>	
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.commmision -->
	<?php $this->load->view('accounting/followuppayment/delete.php');?>
	<!-- /.end commmision -->
    <script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>
	<script>
		function btnDelete(obj){
			var id = $(obj).closest("tr").attr("pid");
			$('.id').val(id);
		}
	</script>
					
	<!-- BEGIN PAGE LEVEL PLUGINS -->
	<script src="<?php echo base_url(); ?>assets/global/scripts/datatable.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
	<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
	<!-- END PAGE LEVEL PLUGINS -->
	<!-- BEGIN PAGE LEVEL SCRIPTS -->
	<script src="<?php echo base_url(); ?>assets/pages/scripts/table-datatables-responsive.min.js" type="text/javascript"></script>
	<!-- END PAGE LEVEL SCRIPTS -->
<?php $this->load->view('template/footer.php');?>