<style>
    @page {
        size:  auto !important;
        margin: 0px 40px 0px 40px !important;
    }
    html{
        background-color: #FFFFFF !important;
        margin: 0px;
    }
    body{
        margin: 0mm 0mm 20mm 10mm !important;
    }
    @font-face {
        font-family: 'Khmer Mool1';
        src: url('<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff2') format('woff2'),
        url('<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff') format('woff');
        font-weight: normal;
        font-style: normal;
    }
    .custom-font {
        font-family: 'Khmer Mool1';
        font-size: 12px;
    }
    .contract-title {
        font-size: 16px;
    }
    .top-margin{
        margin-top: -120px;
    }
    .print_table_border {
        border: 1px solid lightgray;
    }
    .hr-border {
        width: 100%;
        border-top: 1px solid gray;
        margin-bottom: 20px;
    }
</style>
<?php $this->load->view('pawn_invoice/header'); ?>


<div class="container custom-font">
    <div class="row">
        <div class="col-sm-12">
            <div class="col-md-3">
                <img src="<?php echo(base_url()); ?>assets/layouts/layout/img/logo.png" height="100px;" hspace="5" vspace="5">
            </div>
            <div class="col-md-6 top-margin">
                <h1 class="contract-title" style="color:#739c56 !important; font-size: 30px !important;">ខេ អេច លែន ឯ.ក</h1>
                <h2 class="contract-titles" style="font-size: 20px !important;">KH LAND CO., LTD.</h2>
            </div>
            <div class="col-md-3">

            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <h4 class="contract-title">របាយការណ៍កំរៃជើងសារ</h4>
        </div>
    </div>
    <div class="hr-border"></div>
    <table class="print_table" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr class="trh">
            <td>គម្រោង :</td>
            <td><?php echo $data->ppjName; ?></td>
            <td>តម្លៃ :</td>
            <td>$ <?php echo $data->piPrice; ?></td>
            <td>ឈ្មោះអតិថិជន :</td>
            <td><?php echo $data->pclName; ?></td>
        </tr>
        <tr class="trh">
            <td >ក្បាលដី :</td>
            <td><?php echo $data->piItemCode; ?></td>
            <td >កំរៃជើងសារ :</td>
            <td >$ <?php echo $data->pcsCommisionAmount; ?></td>
            <td >លេខទូរស័ព្ទ :</td>
            <td ><?php echo $data->pclPhone1; ?></td>
        </tr>
        <tr class="trh">
            <td >ទំហំ :</td>
            <td >
                <?php
                    $size = $data->piSize;
                    $size = explode("x", $size);
                    $width = $size[0];
                    $lenght = $size[1];
                    $total = $width * $lenght;
                    echo $total;
                ?> m<sup>2</sup>
            </td>
            <td >ទីភ្នាក់ងារ :</td>
            <td ><?php echo $data->agentName; ?></td>
        </tr>
    </table>
    <br>
    <table class="print_table print_table_border" border="1" cellpadding="5" cellspacing="0" width="100%" >
        <thead>
            <tr align="center">
                <th>No</th>
                <th>Pay For</th>
                <th>Description</th>
                <th>Amount</th>
            </tr>
        </thead>
        <tbody>
            <?php
                $sum_total = 0;
                foreach ($item as $row):
            ?>
                <tr>
                    <td><?php echo $row['csiNo']; ?></td>
                    <td><?php echo $row['csiPayfor']; ?></td>
                    <td><?php echo $row['csiDescription']; ?></td>
                    <td><?php echo "$ ".$row['csiAmount']; ?></td>
                </tr>
                <?php $sum_total += $row['csiAmount']; ?>
            <?php endforeach; ?>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="3" align="right">Total:</td>
                <td><strong> $ <?php echo $sum_total; ?> </strong></td>
            </tr>
        </tfoot>
    </table>
    <br/>
    <table width="100%" class="print_table">
        <tr>
            <td colspan="3" align="right">ធ្វើនៅ<span class=""> ភ្នំពេញ</span> <span><?php echo $this->zone->help('khmer_date',date('Y-m-d'));?></span><br/><br/></td>
        </tr>
        <!-- <tr>
            <td valign="top" align="center" width="50%">
                <span class="">រៀបចំដោយ</span><br/><br/><br/><br/><br/>
            </td>
            <td valign="top" align="center" width="50%">
                <div style="width:200px;" align="center">
                    <span class="">ស្នាមមេដៃស្តាំអតិថិជន</span><br/><br/><br/><br/><br/>
                </div>
            </td>
        </tr> -->
    </table>

</div> 
<?php $this->load->view('pawn_invoice/footer');?>
<style type="text/css">
    @media print {
        .print_table {
            width: 95%;
        }
    }
</style>