<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<?php echo $alert; ?>
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Payment Data');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<a class="btn btn-sm green " href="<?php echo site_url('paymentItem/addnew_select'); ?>">
								<i class="fa fa-plus"></i>
								<?php echo zphrase('Add New');?>
							</a>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<div class="table-scrollable">
						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
							<thead>
							<tr>
								<th><?php echo zphrase('No.');?></th>
								<th><?php echo zphrase(' Date');?></th>
								<th><?php echo zphrase('Project Name');?></th>
								<th><?php echo zphrase('Item Name');?></th>
								<th><?php echo zphrase('Item Cost');?></th>
								<th><?php echo zphrase('Pay Step');?></th>
								<th><?php echo zphrase('Payment');?></th>
								<th><?php echo zphrase('Paid');?></th>
								<th><?php echo zphrase('Unpaid');?></th>
								<th><?php echo zphrase('Action');?></th>

							</tr>
							</thead>
							<tbody>
							<?php foreach($payments as $row): ?>
								<?php
								for ($i = 0; $i < count($row); $i++){
									$total += $row->payAmount;
								}
								?>
								<tr>
									<td><?php echo $row->paymentID;?></td>
									<td><?php echo $row->paymentDate; ?></td>
									<td><?php echo $row->projectName; ?></td>
									<td><?php echo $row->itemName;?></td>
									<td><?php echo "$ ".number_format($row->itemTotalCost);?></td>
									<td><?php echo "Step ".$row->paymentStep;?></td>
									<td><?php echo "$ ".number_format($row->payAmount);?></td>
									<td>
										<?php echo "$ ".number_format($row->paidAmount); ?>
									</td>
									<td>
										<?php
											$unpaid_amount = ($row->payAmount - $row->paidAmount);
											echo "$ ".number_format($unpaid_amount);
										?>
									</td>
									<td>
										<?php 
											$status = $row->paidStatus;
											if ($status == 0) {
												echo '<a class="btn btn-xs btn-outline-info" data-placement="bottom" data-toggle="modal" data-target="#pay_amount_'.$row->paymentID.'"><i class="fa fa-credit-card"></i> Pay</a>';
											} elseif ($status == 1) {
												echo '<span class="btn btn-xs btn-success" data-placement="bottom" data-toggle="modal" data-target="#pay_completed_'.$row->paymentID.'"><i class="fa fa-check-circle"></i> Paid</span>';
											} elseif ($status == 2) {
												echo '<a class="btn btn-xs btn-primary" href="#" data-placement="bottom" data-toggle="modal" data-target="#paid_amount_'.$row->paymentID.'"><i class="fa fa-spinner"></i> Pending</a>';
											}
										?>
									</td>
								</tr>
								<!-- Pay -->
								<div class="row">
								  <!-- Modal -->
									<div class="modal fade" id="pay_amount_<?php echo $row->paymentID;?>" role="dialog">
										<div class="modal-dialog" style="width: 65%;">
											<!-- Modal content-->
											<div class="modal-content">
												<form class="form-horizontal" role="form" action="<?php echo site_url('Paid_Payment/paid')?>" method="post">
													<div class="modal-header">
														<button type="button" class="close" data-dismiss="modal">&times;</button>
														<div class="portlet-title">
															<div class="col-md-12">
															<div class="col-md-12">
																<div class="caption font-red-sunglo">
																	<i class="fa fa-money font-red-sunglo"></i>
																	<span class="caption-subject sbold uppercase"><?php echo zphrase('Payment');?></span>
																</div>
															</div>
															</div>
														</div>
													</div>
													<div class="modal-body">
														<div class="form-body">
															<div class="note note-info">
															<div class="row form-group">
										                        <div class="col-md-12">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label">
																				<strong>Step <?php echo($row->paymentStep); ?></strong>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                    </div>
															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Project Name: </strong></label>
																			<label class="col-md-6  control-label">
																				<?php echo($row->projectName); ?>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Item Name: </strong></label>
																			<label class="col-md-6  control-label">
																				<?php echo($row->itemName); ?>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                    </div>

															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Item Cost: </strong></label>
																			<label class="col-md-6  control-label">
																				<?php echo("$ ".number_format($row->itemTotalCost)); ?>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Item Date: </strong></label>
																			<label class="col-md-6  control-label">
																				<?php echo($row->itemDate); ?>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                    </div>

															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Payment Amount ($)</strong></label>
																			<label class="col-md-6  control-label"><?php echo("$ ".number_format($row->payAmount)); ?></label>
																			<span>
																				<input type="hidden" class="form-control" id="" name="payment_id" value="<?php echo($row->paymentID); ?>">
																				<input type="hidden" class="form-control" id="" name="payment_step" value="<?php echo($row->paymentStep); ?>">
																				<input type="hidden" class="form-control" id="" name="project_id" value="<?php echo($row->project_id); ?>">
																				<input type="hidden" class="form-control" id="" name="item_id" value="<?php echo($row->item_id); ?>">
																				<input type="hidden" class="form-control" id="" name="payment_amount" value="<?php echo($row->payAmount); ?>">
																			</span>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Payment Date</strong></label>
																			<label class="col-md-6  control-label"><?php echo($row->paymentDate); ?></label>
																		</div> 
																	</div>
										                        </div>
										                    </div>
										                	</div>
															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Amount For Pay ($)</strong></label>
																			<div class="col-md-6">
																				<input type="text" class="form-control" id="" name="pay_amount" value="<?php echo($row->payAmount); ?>">
																			</div>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Date For Pay</strong></label>
																			<div class="col-md-6">
																				<input type="text" class="form-control date-picker" id="" name="pay_date" required>
																			</div>
																		</div> 
																	</div>
										                        </div>
										                    </div>
															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-12  control-label"><strong>Payment Note</strong></label>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<div class="col-md-12">
																				<textarea class="form-control" name="pay_note" id="" cols="50" rows="3"></textarea>
																			</div>
																		</div> 
																	</div>
										                        </div>
										                    </div>
														</div>
													</div>
													<div class="modal-footer">
														<div class="row">
															<div class="col-md-12">
															<div class="col-md-12">
																<div class="col-md-12">
																	<button type="button" class="btn btn-outline-danger" data-dismiss="modal"> Close <i class="fa fa-close"></i></button>
																	<button type="submit" class="btn btn-outline-purple"> <?php echo zphrase('Pay');?> <i class="fa fa-money"></i></button>
																</div>
															</div>
															</div>
														</div>
													</div>
												</form>
											</div>
										</div>
									</div>
								</div>

								<!-- Pay Uncompleted -->
								<div class="row">
								  <!-- Modal -->
									<div class="modal fade" id="paid_amount_<?php echo $row->paymentID;?>" role="dialog">
										<div class="modal-dialog" style="width: 65%;">
											<!-- Modal content-->
											<div class="modal-content">
												<form class="form-horizontal" role="form" action="<?php echo site_url('Paid_Payment/paid_more')?>" method="post">
													<div class="modal-header">
														<button type="button" class="close" data-dismiss="modal">&times;</button>
														<div class="portlet-title">
															<div class="col-md-12">
															<div class="col-md-12">
																<div class="caption font-red-sunglo">
																	<i class="fa fa-money font-red-sunglo"></i>
																	<span class="caption-subject sbold uppercase"><?php echo zphrase('Payment');?></span>
																</div>
															</div>
															</div>
														</div>
													</div>
													<div class="modal-body">
														<div class="form-body">
															<div class="note note-info">
															<div class="row form-group">
										                        <div class="col-md-12">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label">
																				<strong>Step <?php echo($row->paymentStep); ?></strong>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                    </div>
															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Project Name: </strong></label>
																			<label class="col-md-6  control-label">
																				<?php echo($row->projectName); ?>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Item Name: </strong></label>
																			<label class="col-md-6  control-label">
																				<?php echo($row->itemName); ?>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                    </div>

															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Item Cost: </strong></label>
																			<label class="col-md-6  control-label">
																				<?php echo("$ ".number_format($row->itemTotalCost)); ?>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Item Date: </strong></label>
																			<label class="col-md-6  control-label">
																				<?php echo($row->itemDate); ?>
																			</label>
																		</div> 
																	</div>
										                        </div>
										                    </div>

															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Payment Amount ($)</strong></label>
																			<label class="col-md-6  control-label"><?php echo("$ ".number_format($row->payAmount)); ?></label>
																			<span>
																				<input type="hidden" class="form-control" id="" name="payment_id" value="<?php echo($row->paymentID); ?>">
																				<input type="hidden" class="form-control" id="" name="payment_step" value="<?php echo($row->paymentStep); ?>">
																				<input type="hidden" class="form-control" id="" name="project_id" value="<?php echo($row->project_id); ?>">
																				<input type="hidden" class="form-control" id="" name="item_id" value="<?php echo($row->item_id); ?>">
																				<input type="hidden" class="form-control" id="" name="payment_amount" value="<?php echo($row->payAmount); ?>">
																				<input type="hidden" class="form-control" id="" name="unpaid_amount" value="<?php echo($row->unpaidAmount); ?>">
																				<input type="hidden" class="form-control" id="" name="paid_amount" value="<?php echo($row->paidAmount); ?>">
																			</span>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Payment Date</strong></label>
																			<label class="col-md-6  control-label"><?php echo($row->paymentDate); ?></label>
																		</div> 
																	</div>
										                        </div>
										                    </div>
															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Paid Amount ($)</strong></label>
																			<label class="col-md-6  control-label"><?php echo("$ ".number_format($row->paidAmount)); ?></label>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Paid Date</strong></label>
																			<label class="col-md-6  control-label"><?php echo($row->paidDate); ?></label>
																		</div> 
																	</div>
										                        </div>
										                    </div>
										                	</div>
															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Remain For Pay ($)</strong></label>
																			<div class="col-md-6">
																				<input type="text" class="form-control" id="" name="pay_amount" value="<?php echo($row->payAmount-$row->paidAmount); ?>">
																			</div>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-6  control-label"><strong>Date For Pay</strong></label>
																			<div class="col-md-6">
																				<input type="text" class="form-control date-picker" id="" name="pay_date" required>
																			</div>
																		</div> 
																	</div>
										                        </div>
										                    </div>
															<div class="row form-group">
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<label class="col-md-12  control-label"><strong>Payment Note</strong></label>
																		</div> 
																	</div>
										                        </div>
										                        <div class="col-md-6">
																	<div class="col-md-12">
																		<div class="form-group">
																			<div class="col-md-12">
																				<textarea class="form-control" name="pay_note" id="" cols="50" rows="3"></textarea>
																			</div>
																		</div> 
																	</div>
										                        </div>
										                    </div>
														</div>
													</div>
													<div class="modal-footer">
														<div class="row">
															<div class="col-md-12">
															<div class="col-md-12">
																<div class="col-md-12">
																	<button type="button" class="btn btn-outline-danger" data-dismiss="modal"> Close <i class="fa fa-close"></i></button>
																	<button type="submit" class="btn btn-outline-purple"> <?php echo zphrase('Pay');?> <i class="fa fa-money"></i></button>
																</div>
															</div>
															</div>
														</div>
													</div>
												</form>
											</div>
										</div>
									</div>
								</div>

								<!-- Pay Completed -->
								<div class="row">
								  <!-- Modal -->
									<div class="modal fade" id="pay_completed_<?php echo $row->paymentID;?>" role="dialog">
										<div class="modal-dialog" style="width: 65%;">
											<!-- Modal content-->
											<div class="modal-content">
												<div class="modal-header">
													<button type="button" class="close" data-dismiss="modal">&times;</button>
													<div class="portlet-title">
														<div class="caption font-red-sunglo">
															<i class="fa fa-money font-red-sunglo"></i>
															<span class="caption-subject sbold uppercase"><?php echo zphrase('Payment Completed');?></span>
														</div>
													</div>
												</div>
												<div class="modal-body">
													<div class="form-body note note-info">
														<div class="row form-group">
									                        <div class="col-md-12">
																<div class="col-md-12">
																	<div class="form-group">
																		<label class="col-md-6  control-label">
																			<strong>Step <?php echo($row->paymentStep); ?></strong>
																		</label>
																	</div> 
																</div>
									                        </div>
									                    </div>
														<div class="row form-group">
									                        <div class="col-md-6">
																<div class="col-md-12">
																	<div class="form-group">
																		<label class="col-md-6  control-label"><strong>Project Name: </strong></label>
																		<label class="col-md-6  control-label">
																			<?php echo($row->projectName); ?>
																		</label>
																	</div> 
																</div>
									                        </div>
									                        <div class="col-md-6">
																<div class="col-md-12">
																	<div class="form-group">
																		<label class="col-md-6  control-label"><strong>Item Name: </strong></label>
																		<label class="col-md-6  control-label">
																			<?php echo($row->itemName); ?>
																		</label>
																	</div> 
																</div>
									                        </div>
									                    </div>

														<div class="row form-group">
									                        <div class="col-md-6">
																<div class="col-md-12">
																	<div class="form-group">
																		<label class="col-md-6  control-label"><strong>Item Cost: </strong></label>
																		<label class="col-md-6  control-label">
																			<?php echo("$ ".number_format($row->itemTotalCost)); ?>
																		</label>
																	</div> 
																</div>
									                        </div>
									                        <div class="col-md-6">
																<div class="col-md-12">
																	<div class="form-group">
																		<label class="col-md-6  control-label"><strong>Item Date: </strong></label>
																		<label class="col-md-6  control-label">
																			<?php echo($row->itemDate); ?>
																		</label>
																	</div> 
																</div>
									                        </div>
									                    </div>

														<div class="row form-group">
									                        <div class="col-md-6">
																<div class="col-md-12">
																	<div class="form-group">
																		<label class="col-md-6  control-label"><strong>Paid Amount: </strong></label>
																		<label class="col-md-6  control-label">
																			<?php echo("$ ".number_format($row->paidAmount)); ?>
																		</label>
																	</div> 
																</div>
									                        </div>
									                        <div class="col-md-6">
																<div class="col-md-12">
																	<div class="form-group">
																		<label class="col-md-6  control-label"><strong>Paid Date: </strong></label>
																		<label class="col-md-6  control-label">
																			<?php echo($row->paidDate); ?>
																		</label>
																	</div> 
																</div>
									                        </div>
									                    </div>
													</div>
												</div>
												<div class="modal-footer">
													<button type="button" class="btn btn-outline-purple" data-dismiss="modal">Close</button>
												</div>
											</div>
										</div>
									</div>
								</div>
							<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
	$(document).ready(function() {
		$(".date-picker").datepicker({
			format: 'yyyy-mm-dd'
		}).datepicker("setDate", "0");
	});
</script>

<script>
	$(function () {
		$('#daterange-btn').daterangepicker(
		{
			ranges: {
			  'Today': [moment(), moment()],
			  'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
			  'Last 7 Days': [moment().subtract(6, 'days'), moment()],
			  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
			  'This Month': [moment().startOf('month'), moment().endOf('month')],
			  'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
			},
			startDate: moment().subtract(29, 'days'),
			endDate: moment()
		},
		function (start, end) {
			$('#reportrange span').html(start.format('DDDD M, YYYY') + ' - ' + end.format('DDDD M, YYYY'));
		});
	});
</script>
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
	$('#datatable').dataTable();
</script>
<script>
	$(document).ready(function(){
		$('[data-toggle="tooltip"]').tooltip();
	});
</script>
