<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<?php $this->load->view('payment_item_view/alert_modal.php');?>
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold uppercase"> <?php echo zphrase('Report Payment');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<div class="row">
									<div class="col-md-12">
										<div class="dt-buttons">
											
											<a onclick="print_report()" class="btn-circle dt-button buttons-pdf buttons-html5 btn green btn-outline" tabindex="0" aria-controls="sample_1">
												<i class="fa fa-print"></i>
												<span>Print</span>
											</a>
											<a onclick="exportTo('xls')" class="btn-circle dt-button buttons-xls buttons-html5 btn purple btn-outline" tabindex="0" aria-controls="sample_1">
												<i class="icon-book-open"></i>
												<span>Excel</span>
											</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="print">
							<div class="table-scrollable">
								<table class="table table-bordered dt-responsive" width="100%" id="sample_4">
									<thead>
										<tr>
											<th><?php echo zphrase(' Date');?></th>
											<th><?php echo zphrase('Project Name');?></th>
											<th><?php echo zphrase('Item Name');?></th>
											<th><?php echo zphrase('Item Cost');?></th>
											<th><?php echo zphrase('Payment');?></th>
											<th><?php echo zphrase('Remain Amount');?></th>
											<th><?php echo zphrase('Pay Step');?></th>
											<th><?php echo zphrase('Status');?></th>
										</tr>
									</thead>
									<tbody>
										<?php foreach ($reports as $report): ?>
											
											<tr>
												<td><?php echo $report->paymentDate; ?></td>
												<td><?php echo $report->projectName; ?></td>
												<td><?php echo $report->itemName; ?></td>
												<td><?php echo "$ ".number_format($report->itemTotalCost); ?></td>
												<td><?php echo "$ ".number_format($report->payAmount); ?></td>
												<?php
													$ownremain = $report->itemTotalCost;
													for ($i=0; $i < count($report->payAmount); $i++){$remain += $report->payAmount;
													}
												?>
												<td><?php echo "$ ".number_format(($ownremain - $remain)); ?></td>
												<td><?php echo "Step ".$report->paymentStep; ?></td>
												<td>
													<span class="btn btn-outline-primary" data-toggle="modal" data-target="#myModal">Unpaid</span>
												</td>
											</tr>
											<?php for ($i=0; $i < count($report->payAmount); $i++) { 
												$total += $report->payAmount;
											} ?>
										<?php endforeach; ?>
											<tr align="right" class="report_footer">
												<td colspan="4"><?php echo zphrase('Total Pay Amount');?></td>
												<td align="left"><?php echo "$ ".number_format($total); ?></td>
												<td align="left"><?php echo "$ ".($ownremain - $total); ?></td>
												<td align="left"></td>
											</tr class="report_footer">
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>	
	</div>
	<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>
<?php $this->load->view('template/footer.php');?>
