<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-search font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Default Form');?></span>
					</div>
				</div>
				<form class="form-horizontal" role="form" action="<?php echo site_url('PaymentItem/payment_report')?>" method="post">
					<div class="form-body">
						<div class="row">

							<div class="col-md-12">
								<div class="row">
									<div class="col-md-6">
										<div class="row">
											<div class="col-md-12">
												<div class="form-group">
													<label class="col-md-4  control-label">From Date</label>
													<div class="col-md-8">
														<input type="text" name="from_date" class="form-control date-picker">
													</div>
												</div> 
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="row">
											<div class="col-md-12">
												<div class="form-group">
													<label class="col-md-4  control-label">To Date</label>
													<div class="col-md-8">
														<input type="text" name="to_date" class="form-control date-picker">
													</div>
												</div> 
											</div>
										</div>
									</div>
								</div>
							</div>

							<div class="col-md-12">
								<div class="row">
									<div class="col-md-6">
										<div class="row">
											<?php echo zinput(array('type'=>'select2','label'=>'Project Name','name'=>'projectID','class'=>'projectID','data'=>$this->zone->data(array('table'=>'nso007_project_planning','value'=>'projectID','text'=>'projectName'))));?>
										</div>
									</div>
									<div class="col-md-6">
										<div class="row">
											<div class="col-md-12">
												<div class="form-group">
													<label class="col-md-4  control-label">Item Name</label>
													<div class="col-md-8">
														<select name="itemID" id="itemID" class="form-control select2">
														</select>
													</div>
												</div> 
											</div>
										</div>  
									</div>
								</div>
							</div>
							<div class="form-actions">
								<div class="col-md-12">
									<div class="row">
										<div class="col-md-12">
											<button type="submit" class="btn blue pull-right"><i class="fa fa-search"></i> <?php echo zphrase('View Report');?></button>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<script>
	$(".projectID").change(function(){
		var projectID = $(this).val();
		var urlBase = "<?php echo base_url(); ?>";
		$.ajax({
			type: 'GET',
			url: urlBase+'index.php/PaymentItem/findPayment/'+projectID,
			dataType:'json',
			data: {'projectID': projectID},
			success: function (data){
				$("#itemID").select2("val", "");
				$("#itemID").empty();
				var obj = JSON.parse(JSON.stringify(data.items));
				$.each(obj, function (index, element) {
					var newOption = new Option(element.itemName, element.itemID);
					var stOption = new Option();
					$('#itemID').append(stOption);
					$('#itemID').append(newOption);
				});
			}
		});
    });
</script>
<?php $this->load->view('template/footer.php');?>