<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link href="<?php echo base_url(); ?>assets/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
    <link href="<?php echo base_url();?>assets/global/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <?php include('./application/views/print_contract/header-css.php'); ?>
    <style type="text/css">

        @font-face {

            font-family: 'Khmer OS Content';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOSContent-Regular.ttf");

        }

        @font-face {

            font-family: 'Khmer Mool1';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff");

        }
         @font-face {

            font-family: 'Khmer OS Battambang';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOS_battambang.ttf");

        }
        

        @media screen {

            #footer{

                display: none;

            }

            /* Large desktop */

            @media (min-width: 1200px) {

                #panelPrint {

                    margin: 0 auto;

                    width: 900px;

                }

            }

            /* Portrait tablet to landscape and desktop */

            @media (min-width: 768px) and (max-width: 979px) {

                #panelPrint {

                    margin: 0 auto;

                    width: 900px;

                }
            }

            /* Landscape phone to portrait tablet */

            @media (max-width: 767px) {

                #panelPrint {

                    margin: 0 auto;

                    width: 90%;

                }

            }

            /* Landscape phones and down */

            @media (max-width: 480px) {

                #panelPrint {

                    margin: 0 auto;

                    width: 90%;

                }

            }

        }

        @page {

            margin: 1.3cm;

        }

        .bg_image {
            width: 100% !important;
            height: 100% !important;
            overflow: hidden !important;
            
            background-size: contain !important;
            background-repeat:repeat-y !important;
            background-position:top center !important;
            background-position: ;

        }


        html{

            background-color: #FFFFFF !important;

            margin: 0px;

        }

        body{

            margin: 20mm 0mm 20mm 10mm !important;
            text-align: inherit !important;

        }

        .logo-page {
            width:18%;
        }

        .panelBody {
            font-family: 'Khmer OS Battambang' !important;
        }

        .contract-title {
            font-family: 'Khmer OS Battambang' !important;

        }
        .letter-bold {
            font-weight: bold !important;
        }
        b {
            padding: 0 20px !important;
        }
        p.pad{
            padding-left: 10px !important;
        }
        div.tindent{
            text-indent: 50px !important;
        }
    </style>
</head>

<body class="bimageprint">
<div class="container btn-print">
    <div class="row">
        <div class="col-md-12">
            <button onclick="myprint()" class="btn btn-warning pull-right" style="margin: 5px;"> <i class="fa fa-file-pdf-o"></i> </button>
            <button onclick="Export2Doc('exportContent', 'Contract');" class="btn btn-info pull-right" style="margin: 5px;"><i class="fa fa-file-word-o"></i></button>
            <button class="btn btn-success pull-right" style="margin: 5px;" data-toggle="modal" data-target="#borderingform"><i class="fa fa-pencil-square-o"></i></button>
        </div>
    </div>
    <div class="row">
        <div class="modal fade" id="borderingform" tabindex="-1" role="dialog" aria-labelledby="largeModal" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <?php
                    $data = $this->db->query("
									SELECT * FROM nso007_contract_bordering WHERE bordering_loanid = $contractid
								");
                    $get = $data->row();
                    $data = $data->num_rows();
                    ?>
                    
                    <form action="<?php
                    if ($data == 1) {
                        echo site_url('loan/loan/contract_bordering_update/').$contractid;
                    }else{
                        echo site_url('loan/loan/contract_bordering/').$contractid;
                    }
                    ?>" method="post" accept-charset="utf-8">
                        <div class="modal-header">
                            <h4 class="modal-title" id="myModalLabel">មានព្រំប្រទល់ដូចខាងក្រោម៖</h4>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="row form-group">
                                        <div class="col-md-6">
                                            <div class="row">
                                                <label class="col-md-4 control-label"> ខាងជើងទល់នឹង </label>
                                                <div class="col-md-8">
															<textarea class="form-control  " rows="3" name="north-bordering" placeholder="ខាងជើងទល់នឹង" id="" value=""><?php if ($data == 1) {
                                                                    echo $get->bordering_north;
                                                                }; ?></textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <label class="col-md-4 control-label"> ខាងត្បូងទល់នឹង </label>
                                                <div class="col-md-8">
															<textarea class="form-control  " rows="3" name="south-bordering" placeholder="ខាងត្បូងទល់នឹង" id="" value=""><?php if ($data == 1) {
                                                                    echo $get->bordering_south;
                                                                }; ?></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="row form-group">
                                        <div class="col-md-6">
                                            <div class="row">
                                                <label class="col-md-4 control-label"> ខាងលិចទល់នឹង </label>
                                                <div class="col-md-8">
															<textarea class="form-control  " rows="3" name="west-bordering" placeholder="ខាងលិចទល់នឹង" id="" value=""><?php if ($data == 1) {
                                                                    echo $get->bordering_west;
                                                                }; ?></textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <label class="col-md-4 control-label"> ខាងកើតទល់នឹង </label>
                                                <div class="col-md-8">
															<textarea class="form-control  " rows="3" name="east-bordering" placeholder="ខាងកើតទល់នឹង" id="" value=""><?php if ($data == 1) {
                                                                    echo $get->bordering_east;
                                                                }; ?></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="row">
                                                <label class="col-md-2 control-label"> ដីខាងលើស្ថិតនៅ៖ </label>
                                                <div class="col-md-10">
															<textarea class="form-control  " rows="3" name="item-address" placeholder="ដីខាងលើស្ថិតនៅ" id="" value=""><?php if ($data == 1) {
                                                                    echo $get->bordering_address;
                                                                }; ?></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="row">
                                                <label class="col-md-2 control-label">Remark </label>
                                                <div class="col-md-10">
															<textarea class="form-control  " rows="3" name="item-remark"  id="" value=""><?php
                                                                    echo $get->bordering_remark;?>
                                                            </textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="submit" class="btn btn-primary">Save changes</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="exportContent">
    <div id="panelPrint">
        <div class="panelBody">
            <?php
            echo '
                        
						    <div class="row">
						        <div class="col-xs-3 col-sm-3 col-lg-3">
                                    <div class="logo-page">
                                        
                                    </div>
                                </div>
						        <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
						            <img src="'.base_url().'assets/img/main_title.png" style="width:250px;display:block;" />
								</div>
						        <div align="center" class="col-lg-3 col-sm-3 col-xs-3">
						           
								</div>
                            </div><br>
                            <div class="row">
						        <div align="center" class="col-lg-12 col-sm-12 col-xs-12">
						           <p style="font-family:Khmer Mool1;font-size:22px;text-decoration: underline;margin-top: -30px;">កិច្ចសន្យាលក់ដី/ផ្ទះ</p>
								</div>
						       
                            </div>
                            <div class="row">
						        <div align="center" class="col-lg-12 col-sm-12 col-xs-12">
						          <p style="font-family:Khmer Mool1;font-size:22px;">'.$project.'</p>
								</div>
						       
                            </div>
                            <div class="bg_image">
                                <div class="row">
                                   <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                        <p>ខ្ញុំបាទឈ្មោះ  <span style="font-weight: bold;">សឿ សុវណ្ណថា</span>  ភេទ   <span style="font-weight: bold;">ប្រុស</span>   អាយុ   <span style="font-weight: bold;">33</span>  ឆ្នាំ សញ្ជាតិខ្មែរ  ទីលំនៅបច្ចុប្បន្ន <span style="font-weight: bold;">ផ្ទះលេខ 43E0<sub>2</sub> ផ្លូវលេខ 140 ភូមិ 06 ឃុំ/សង្កាត់ មនោរម្យ ស្រុក/ខណ្ឌ 7មករា ខេត្ត/ក្រុង រាជធានីភ្នំពេញ</span>។</p>
                                   </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                       <p>បានព្រមព្រៀងគ្នាលក់ដី/ផ្ទះ  <span style="font-weight: bold;">'.$ItemCode.'</span> មួយកន្លែង ស្ថិតនៅក្នុង​ '.$bordering_address.' ដី/ផ្ទះមានទំហំ '.$totalSize.' ម៉ែត្រក្រឡា។</p>
                                    </div>
                                   
                                </div><br>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                       <p class="letter-bold" style="text-align:center;font-family:Khmer Mool1;font-size:19px;text-decoration: underline">ដែលមានព្រំប្រទល់ដូចខាងក្រោមៈ</p>
                                    </div>
                                   
                                </div>
                                <div class="row">
                                    <div align="center" class="col-lg-12 col-sm-12 col-xs-12">
                                       <p>- ខាងជើងទល់នឹង &nbsp;&nbsp; '.$bordering_north.' &nbsp;&nbsp;- ខាងត្បូងទល់នឹង &nbsp;&nbsp;'.$bordering_south.'&nbsp;&nbsp;</p>
                                    </div>
                                </div>
                                <div align="center" class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                       <p>- ខាងលិចទល់នឹង &nbsp;&nbsp;'.$bordering_west.'&nbsp;&nbsp; - ខាងកើតទល់នឹង &nbsp;&nbsp;'.$bordering_east.'&nbsp;&nbsp;</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                       <p>លក់ជូនអោយទៅឈ្មោះ <span style="font-weight: bold;">'.$clientName.'</span> ភេទ <span style="font-weight: bold;">'.$gender.'</span> អាយុ <span style="font-weight: bold;">'.$age.'</span> ឆ្នាំ លេខទូរស័ព្ទទំនាក់ទំនង <span style="font-weight: bold;">'.$phone.'</span> ខ្សែទី២ <span style="font-weight: bold;">'.$phone2.'</span>  សញ្ជាតិខ្មែរ ព្រមទាំងឈ្មោះ <span style="font-weight: bold;">'.$pcrName.'</span> ភេទ <span style="font-weight: bold;">'.$pcrGender.'</span> អាយុ <span style="font-weight: bold;">'.$reage.'</span> ឆ្នាំ សញ្ជាតិខ្មែរ មានទីលំនៅបច្ចុប្បន្ន <span style="font-weight: bold;">'.$address1.'</span> ។</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                       <p>ភាគីទិញ-លក់ បានឯកភាពគ្នាក្នុងតម្លៃ '.number_format($Amount, 2, '.', ', ').'$';
                                            if ($psDiscount!=0.00) { echo ' នឹងបញ្ចុះតម្លៃជូន  '.number_format($psDiscount, 2, '.', ', ').'$ ទឹកប្រាក់នៅសល់ '.number_format($total_Amount, 2, '.', ', ').'$'; } echo '</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                       ';
                                       foreach ($deposit as $key => $de_amount) {
                                            $do_date=$deposit[$key][pdDate];
                                            $dates=explode("-",$do_date);
                                            $day_des=$dates[2];
                                            $month_des=$dates[1];
                                            $year_des=$dates[0];

                                           echo '<p>ភាគីទិញបានកក់ប្រាក់លើកទី'.($key+1).' ចំនួន '.number_format($deposit[$key][pdAmount], 2, '.', ', ').'$  ថ្ងៃទី '.$day_des.' ខែ '.$month_des.' ឆ្នាំ '.$year_des.'</p>';
                                       }
                                       echo '
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12 ">
                                       '.$bordering_remark.'
                                    </div>
                                </div><br>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                       <p>បើដល់ថ្ងៃកំណត់ មិនឃើញភាគីទិញប្រគល់ប្រាក់គ្រប់ចំនួនទេនោះ ប្រាក់កក់កន្លងមកបានទៅអ្នកលក់។</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                       <p>ភាគីលក់សូមសន្យាថាៈ ក្រោយពីទទួលប្រាក់ហើយ មិនកែប្រែតម្លៃ ឫ ប្រែថាមិនលក់ឡើយ។ បើការអនុវត្តន៍ផ្ទុយពីនេះ ខ្ញុំបាទ/នាងខ្ញុំសុខចិត្តសងប្រាក់ 1x3 ដងនៃប្រាក់កក់កន្លងមក ម៉្យាងវិញទៀត បើថ្ងៃក្រោយ មានជនដទៃណា ទោះក្នុងគ្រួសារ ឫ ក្រៅគ្រួសារមកតវ៉ាថាដី/ផ្ទះនេះជាសម្បត្តិរបស់ខ្លួន ខ្ញុំបាទ/នាងខ្ញុំសូមទទួលខុសត្រូវទាំងស្រុងចំពោះមុខច្បាប់ជាធរមាន។</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                       <p>ក្រែងពុំពិតដូចពាក្យសន្យាខាងលើ យើងខ្ញុំសូមផ្តិតមេដៃទុកជាភស្តុតាង។</p>
                                    </div>
                                </div><br><br><br>
                                <div class="row">
                                    <div align="right" class="col-lg-12 col-sm-12 col-xs-12 tindent">
                                       <p>ធ្វើនៅថ្ងៃទី.............ខែ..............ឆ្នាំ 20........</p>
                                    </div>
                                </div><br>
                                <div class="row">
                                    <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
                                       <p>អ្នកប្រគល់ប្រាក់</p>
                                    </div>
                                    <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
                                       <p>អ្នកទទួលប្រាក់</p>
                                    </div>
                                </div><br><br/><br/><br/>
                                <div class="row">
                                    <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
                                       <p>ឈ្មោះ .....................</p>
                                    </div>
                                    <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
                                       <p>ឈ្មោះ  សឿ សុវណ្ណថា</p>
                                    </div>
                                </div><br><br>
                                <div class="row">
                                    <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
                                       <p>សាក្សីទី១</p>
                                    </div>
                                    <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
                                       <p>សាក្សីទី២</p>
                                    </div>
                                </div><br><br/><br/><br/>
                                <div class="row">
                                    <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
                                       <p>ឈ្មោះ .....................</p>
                                    </div>
                                    <div align="center" class="col-lg-6 col-sm-6 col-xs-6">
                                       <p>ឈ្មោះ .....................</p>
                                    </div>
                                </div>
                                
                            
                            </div>
                            
                            <div>
                                <table width="100%" align="center" >
                                  	<tr>
                                        <td>
                                            <div><br><br/>
                                                <p style="font-size:18px;font-weight: bold !important;">*ក្រុមហ៊ុនកាត់ប្លង់ជូនអតិថិជនជាប្រភេទប្លង់រឹងបំបែកក្បាលដី ។</p>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div><br/>
                                                <img src="'.base_url().'assets/img/22.png" width="15px"> បុរី ជេ & ស៊ី, ផ្ទះលេខ 03, ផ្លូវលេខ 07, សង្កាត់ក្រាំងធ្នង់, ខណ្ឌសែនសុខ, ភ្នំពេញ
                                            <br>
                                                <img src="'.base_url().'assets/img/44.png" width="15px"> 077 517 539 / 093 497 480 / 092 324 234 / 081 41 52 52 / 066 743 394
                                            </div>
                                        </td>
                                    </tr>
                                    
                                    <tr>
                                        <td>
                                            <div>
                                                <center><p style="font-size:15px;border:solid 2px #000000;padding:10px;"><span style="font-size:18px;font-weight: bold">**</span><span style="font-size:17px;text-decoration: underline;font-weight: bold">បញ្ជាក់ៈ</span> កិច្ចសន្យាទិញលក់ដី/ផ្ទះនេះ ប្រើប្រាស់សម្រាប់តែគម្រោងរបស់ ក្រុមហ៊ុន ឃុន សឿ រៀលធី ឯ.ក តែប៉ុណ្ណោះ។</p></center>
                                            </div>
                                        </td>
                                    </tr>
                                            
                                </table>
						    </div>
						    
						';
            ?>
        </div>
    </div>
</div>
</body>
<script type="text/javascript">
    function myprint() {
        window.print();
    }
</script>
</html>
<style type="text/css">
    @media print {

        .logo-page {
            width: 150px !important;
        }

        .logo-page:not(*:root) {
            width: 150px;

        }

       
        .tebox p {
            font-size: 10px !important;
            line-height: 15px !important;
        }
        .tebox1 p {
            font-size: 12px !important;
            line-height: 15px !important;
        }

        
        .btn-print {
            display: none !important;
        }
      
        .letter-bold {
            font-weight: bold !important;
        }
        @font-face {

            font-family: 'Khmer OS Content';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOSContent-Regular.ttf");

        }

        @font-face {

            font-family: 'Khmer Mool1';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerMool1.woff");

        }
        @font-face {

            font-family: 'Khmer OS Battambang';

            src: url("<?php echo base_url();?>assets/fonts/khmeros/KhmerOS_battambang.ttf");

        }
    }
</style>
<script type="text/javascript">
    function Export2Doc(element, filename = ''){
        var preHtml = "<html xmlns:o='urn:schemas-microsoft-com:office:office' xmlns:w='urn:schemas-microsoft-com:office:word' xmlns='http://www.w3.org/TR/REC-html40'><head><meta charset='utf-8'><title>Export HTML To Doc</title></head><body>";
        var postHtml = "</body></html>";
        var html = preHtml+document.getElementById(element).innerHTML+postHtml;

        var blob = new Blob(['\ufeff', html], {
            type: 'application/msword'
        });

        // Specify link url
        var url = 'data:application/vnd.ms-word;charset=utf-8,' + encodeURIComponent(html);

        // Specify file name
        filename = filename?filename+'.doc':'document.doc';

        // Create download link element
        var downloadLink = document.createElement("a");

        document.body.appendChild(downloadLink);

        if(navigator.msSaveOrOpenBlob ){
            navigator.msSaveOrOpenBlob(blob, filename);
        }else{
            // Create a link to the file
            downloadLink.href = url;

            // Setting the file name
            downloadLink.download = filename;

            //triggering the function
            downloadLink.click();
        }

        document.body.removeChild(downloadLink);
    }
</script>
<script src="<?php echo base_url(); ?>assets/global/plugins/jquery.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
