

<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
<div class="row">
	<div class="col-md-12">
		<div class="col-md-12">
			<!-- BEGIN EXAMPLE TABLE PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject bold uppercase"> <?php echo zphrase('Project Planning');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<a class="btn btn-sm green " href="<?php echo site_url('ProjectPlanning/addnew');?>"> 
								<i class="fa fa-plus"></i>
								<?php echo zphrase('Add New');?>
							</a>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<div class="table-scrollable">
						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
							<thead>
								<tr>
									<th><?php echo zphrase('ID');?></th>
									<th width="20%"><?php echo zphrase('Project Name');?></th>
									<th><?php echo zphrase('Land Size');?></th>
									<th><?php echo zphrase('Total Cost');?></th>
									<th width="25%"><?php echo zphrase(' Address');?></th>
									<th><?php echo zphrase(' Date');?></th>
									<th width="10%"><?php echo zphrase('Item');?></th>
								</tr>
							</thead>
							<tbody>
								<?php foreach ($pro_plan as $row){  ?>
									
									<tr>
										<td><?php echo $row->projectID;?></td>
										<td><?php echo $row->projectName;?></td>
										<td><?php echo (empty($row->projectSize)?'N/A':$row->projectSize)." m<sup>2</sup>";?></td>
										<td><?php echo "$ ".(empty($row->projectCost)?'N/A':$row->projectCost);?></td>
										<td>
											<?php echo $this->zone->help('getaddress', $row->projectAddress);?>
										</td>
										<td><?php echo $row->projectDate;?></td>

										<td>
											<!-- <a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(this)"><i class="fa fa-trash-o" title="Delete"></i></a> -->
											<a class="btn btn-sm btn-outline-success" data-toggle="tooltip" data-placement="bottom" title="Edit!" href="<?php echo site_url('ProjectPlanningItem/edit_project_planning/'.$row->projectID); ?>"><i class="fa fa-edit"></i></a>
											<!-- <a class="btn btn-sm btn-outline-success" data-toggle="tooltip" href="<?php //echo site_url('ProjectPlanning/view/'.$row->projectID); ?>" data-placement="bottom" title="View!"><i class="fa fa-eye"></i></a> -->
										</td>
									</tr>
								<?php
								} ; ?>
							</tbody>
						</table>							
					</div>
				</div>
			</div>
		</div>
	</div>	
</div>
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
	$('#datatable').dataTable();
</script>
<script>
$(document).ready(function(){
  $('[data-toggle="tooltip"]').tooltip();   
});
</script>
