<?php $this->load->view('template/header.php');?>

<?php $this->load->view('template/body.php');?>

<div class="row">

	<div class="col-md-12">

		<div class="col-md-12">

			<!-- BEGIN EXAMPLE TABLE PORTLET-->

			<div class="portlet light bordered">

				<div class="portlet-title">

					<div class="caption font-red-sunglo">

						<i class="fa fa-list font-red-sunglo"></i>

						<span class="caption-subject bold "> <?php echo zphrase('Approval');?></span>

					</div>
				</div>

				<div class="portlet-body">

					<div class="table-scrollable">

						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">

							<thead>

								<tr>

									<th><?php echo zphrase('No');?></th>
									<th><?php echo zphrase(' Date');?></th>
									<th><?php echo zphrase('User Name');?></th>
									<th><?php echo zphrase('Item');?></th>
									<th><?php echo zphrase('Amount');?></th>
									<th><?php echo zphrase('Action');?></th>

								</tr>

							</thead>

							<tbody>

								<?php
								foreach ($data as $row): ?>

									<?php 

										$reject = "<a class='btn btn-sm btn-outline-danger' href='#reject' onclick='reject(this)' data-toggle='modal' title='Reject'><i></i>Reject</a>";

										$approve = "<a class='btn btn-sm btn-outline-danger' href='#approve' onclick='approve(this)' data-toggle='modal' title='Approval'><i></i>Approval</a>";

									;?>

							

									<tr pid="<?php echo $row['dtID']; ?>">

										<td><?php echo $no;?></td>
										<td><?php echo date('d-m-Y',strtotime($row['dtDoDate']));?></td>
										<td><?php echo $row['user_name'];?></td>
										<td><?php echo $row['dtItem'];?></td>
										<td><?php echo $row['dtSaleAmount'];?></td>
										<td>
											<span><?php echo $reject;?></span>
											<span><?php echo $approve;?> </span>
										</td>

									</tr>

									<?php $no++;?>

								<?php endforeach; ?>

							</tbody>

						</table>

					</div>

					<?php echo $this->pagination->create_links();?>

				</div>

			</div>

		</div>

	</div>

</div>

<?php $this->load->view('stock/invoice/reject.php');?>
<?php $this->load->view('stock/invoice/approve.php');?>

<script>

	function approve(obj){

		var id = $(obj).closest("tr").attr("pid");
		$("#dt_ids").val(id);
	}
	function reject(obj){

		var id = $(obj).closest("tr").attr("pid");
        $("#dt_id").val(id);

	}


</script>

<script src="<?php echo base_url(); ?>assets/js/print_report.js" type="text/javascript"></script>

<?php $this->load->view('template/footer.php');?>

<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>

<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>

<script>

  $('#datatable').dataTable();

</script>
