<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>
	<!-- /.search -->
	<?php $this->load->view('stock/item/search.php');?>
	<!-- /.end search -->
	
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
				<!-- BEGIN EXAMPLE TABLE PORTLET-->
				<div class="portlet light bordered">
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-list font-red-sunglo"></i>
							<span class="caption-subject bold"> <?php echo zphrase('Item');?></span>
						</div>
						<div class="actions">
							<div class="btn-group">
								<a class="btn btn-sm green " href="<?php echo site_url('stock/item/addnew');?>"> 
									<i class="fa fa-plus"></i>
									<?php echo zphrase('Addnew');?>									
								</a>
							</div>
						</div>
					</div>
					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
								<thead>
									<tr>
										<th><?php echo zphrase('No');?></th>
										<th><?php echo zphrase('Project');?></th>
										<th><?php echo zphrase('Category');?></th>
										<th><?php echo zphrase('ItemCode');?></th>
										<th><?php echo zphrase('ItemPrice');?></th>
										<th><?php echo zphrase('size');?></th>
										<th width="10%"><?php echo zphrase('Action');?></th>
									</tr>
								</thead>
								<tbody>
									<?php $no = 1; ?>
									<?php foreach ($data as $row): ?>
										<tr pd="<?php echo $row['piID'];?>">
											<td><?php echo $no; ?></td>
											<td><?php echo $row['ppjName'];?></td>
											<td><?php echo $row['pctName'];?></td>
											<td><?php echo $row['piItemCode'];?></td>
											<td style="text-align: right">$ <?php echo $row['piPrice'];?></td>
											<?php
												$size = strtolower($row['piSize']);
												$size = explode("x", $size);
												$width = $size[0];
												$lenght = $size[1];
												$total = $width * $lenght ;
											 ?>
											<td><?php echo $row['piSize']." (".$total." m<sup>2</sup>)";?></td>
											<td>
												<a class="btn btn-sm blue" href="<?php echo site_url('stock/item/edit/'.$row['piID']);?>" title="Reschedule"><i class="fa fa-edit"></i></a>
												<a class="btn btn-sm red" data-toggle="modal" href="#delete" onclick="btnDelete(<?php echo $row['piID']; ?>)"><i class="fa fa-trash-o" title="Delete"></i></a>
											</td>
										</tr>
									<?php $no++; ?>
									<?php endforeach; ?>
								</tbody>
							</table>
						</div>
						<?php echo $this->pagination->create_links();?>
					</div>
				</div>
				<!-- /.delete -->
				<?php $this->load->view('stock/item/delete.php');?>
				<!-- /.end delete -->
			</div>
		</div>
	</div>
	<script>
		function btnDelete(obj){ 
			var id = obj;

			$('.id').val(id);
			
			// $.ajax({
			// 	url: "<?php echo site_url("pawn/form_delete")?>/"+id,
			// 	type: "get",
			// 	success: function(data){
			// 		var d = $.parseJSON(data);
			// 		$(".id").val(id);
			// 	}
			// });
		}
	</script>
	
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
  $('#datatable').dataTable();
</script>
